<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/BeaconController.php');
require_once('controllers/AdminController.php');
require_once('controllers/UserController.php');
$userObj		=  new UserController();
$beaconObj		=  new BeaconController();
$adminLoginObj  =  new AdminController();
admin_login_check();
ini_set('memory_limit', '256M');
$param='';
if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['beacon_sess_ana_beacon_type']);
	unset($_SESSION['beacon_sess_ana_organization_name']);
	unset($_SESSION['beacon_sess_ana_beacon_name']);
	unset($_SESSION['beacon_sess_orgId']);
	unset($_SESSION['beacon_sess_ana_from_date']);
	unset($_SESSION['beacon_sess_ana_to_date']);
	
}
if(isset($_POST['Search']) && $_POST['Search'] != '') {
	if(isset($_POST['FromDate']) && $_POST['FromDate'] != '') {
		$expiryDate 			= date('Y-m-d',strtotime($_POST['FromDate']));
		$_POST['FromDate'] 		= $expiryDate; 
		$_SESSION['beacon_sess_ana_from_date']	= $_POST['FromDate'];
	}else{
		$_SESSION['beacon_sess_ana_from_date']	=	'';
	}
	if(isset($_POST['ToDate']) && $_POST['ToDate'] != '') {
		$expiryDate 			= date('Y-m-d',strtotime($_POST['ToDate']));
		$_POST['ToDate'] 		= $expiryDate; 
		$_SESSION['beacon_sess_ana_to_date']	= $_POST['ToDate'];
	}else{
		$_SESSION['beacon_sess_ana_to_date']	=	'';
	}
	if(isset($_POST['BeaconName']))
		$beaconName	=	$_SESSION['beacon_sess_ana_beacon_name']				= $_POST['BeaconName'];
	if(isset($_POST['OrganizationName']))
		$_SESSION['beacon_sess_ana_organization_name']			= $_POST['OrganizationName'];
	if(isset($_POST['BeaconType']))
		$_SESSION['beacon_sess_ana_beacon_type']				= trim($_POST['BeaconType']);
}
setPagingControlValues('d.id',ADMIN_PER_PAGE_LIMIT);
$fields		= " * ";
$condition	= " and Status = 1 ";
$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
	}
}
$fkOrganizationId = $_SESSION['beacon_sess_user_orgid'];
$field			 	= " *,s.DateCreated as track_date";
$condition      	= " and b.BeaconType=3 ";
$condition1      	= " and b.BeaconType=4 ";
$condition2      	= " and b.BeaconType NOT IN(4,3,2) ";
if(isset($fkOrganizationId) && $fkOrganizationId != 0){
	$condition 	.=	" AND b.fkOrganizationId = ".$fkOrganizationId."";
	$condition1 	.=	" AND b.fkOrganizationId = ".$fkOrganizationId."";
	$condition2 	.=	" AND b.fkOrganizationId = ".$fkOrganizationId."";
}
$trafficResult  	= $beaconObj->getsystemTracking($field,$condition);
$sess=$_SESSION['curpage'];
unset($_SESSION['curpage']);
$trafficResults  	= $beaconObj->getsystemTracking($field,$condition);
$_SESSION['curpage']=$sess;
$tot_rec_traffic 		= $beaconObj->getTotalRecordCount();
if(isset($trafficResults) && !empty($trafficResults)){
	foreach($trafficResults as $value){
			//echo '<pre><div style="display:none">';print_r($value);echo '</div>';
			
		if($value->fkUserTypeId==1){
			if(isset($new_array[$value->phoneType]['blind_no']))
			$new_array[$value->phoneType]['blind_no']		+=	1;
			else
			$new_array[$value->phoneType]['blind_no']		=	1;
		}else if($value->fkUserTypeId==2){
			if(isset($new_array[$value->phoneType]['mobility_no']))
			$new_array[$value->phoneType]['mobility_no']		+=	1;
			else
			$new_array[$value->phoneType]['mobility_no']		=	1;
		}else {
			if(isset($new_array[$value->phoneType]['normal_no']))
			$new_array[$value->phoneType]['normal_no']	+=	1;
			else
			$new_array[$value->phoneType]['normal_no']	=	1;
		}
		if(isset($new_array[$value->phoneType]['total_no']))
		$new_array[$value->phoneType]['total_no']	+=	1;
		else
		$new_array[$value->phoneType]['total_no']	=	1;
	}
} 
if($tot_rec_traffic!=0 && !is_array($trafficResult)) {
	$_SESSION['curpage'] = 1;
	$trafficResult  	= $beaconObj->getsystemTracking($field,$condition);
}

$field3 		= "bc.id , bc.blind_count , bc.normal_count , bc.phoneType , bc.last_updated_date";

$condition3 	= '';
$condition3    .= " AND b.TrafficDeviceType=1 ";

if(isset($fkOrganizationId) && $fkOrganizationId != 0){
$condition3    .= " AND b.fkOrganizationId = ".$fkOrganizationId."";
}

 $boradcastedcountResult  	= $beaconObj->trafficCalculation($field3,$condition3);
if(isset($boradcastedcountResult) && $boradcastedcountResult != '')
{
	$total_array=array();
	foreach($boradcastedcountResult as $val){
		if(isset($total_array[$val->phoneType]['blind_count']))
		$total_array[$val->phoneType]['blind_count']	+=	$val->blind_count;	
		else
		$total_array[$val->phoneType]['blind_count']	=	$val->blind_count;
		if(isset($total_array[$val->phoneType]['normal_count']))
		$total_array[$val->phoneType]['normal_count']	+=	$val->normal_count;	
		else
		$total_array[$val->phoneType]['normal_count']	=	$val->normal_count;
		if(isset($total_array[$val->phoneType]['blind_no']))
		$total_array[$val->phoneType]['blind_no']	+=	1;	
		else
		$total_array[$val->phoneType]['blind_no']	=	1;
		if(isset($total_array[$val->phoneType]['normal_no']))
		$total_array[$val->phoneType]['normal_no']	+=	1;	
		else
		$total_array[$val->phoneType]['normal_no']	=	1;
		if(isset($total_array['total_count']))
		$total_array['total_count']	+=	$val->blind_count+$val->normal_count;
		else
		$total_array['total_count']	=	$val->blind_count+$val->normal_count;
		if(isset($total_array[$val->phoneType]['total_count']))
		$total_array[$val->phoneType]['total_count']	+=	$val->blind_count+$val->normal_count;
		else
		$total_array[$val->phoneType]['total_count']	=	$val->blind_count+$val->normal_count;
		if(isset($total_array[$val->phoneType]['total_no']))
		$total_array[$val->phoneType]['total_no']	+=	1;
		else
		$total_array[$val->phoneType]['total_no']	=	1;
	
		$total_array['last_updated_date'][] = $val->last_updated_date;
		
	}
	$max = max(array_map('strtotime', $total_array['last_updated_date']));
	$latest_date	=	 date('Y-m-d H:i:s', $max);
	
	$normal_count = $normal_count_android  = $blind_count_other = $normal_count_other = $blind_count =  $blind_count_ios =  $normal_count_ios = $blind_count_android = $no_normal_ios=$no_blind_ios=$no_normal_android=$no_blind_android=0;
	$total_number_other=isset($total_array[0]['total_no'])?$total_array[0]['total_no']:0;
	$total_number_ios=isset($new_array[1]['total_no'])?$new_array[1]['total_no']:0;
	$total_number_android=isset($new_array[2]['total_no'])?$new_array[2]['total_no']:0;
	
	$blind_number_ios=isset($new_array[1]['blind_no'])?$new_array[1]['blind_no']:0;
	$blind_number_android=isset($new_array[2]['blind_no'])?$new_array[2]['blind_no']:0;
	$blind_number_other=isset($new_array[0]['blind_no'])?$new_array[0]['blind_no']:0;
	
	
	$normal_number_ios=isset($new_array[1]['mobility_no'])?$new_array[1]['mobility_no']:0;
	$normal_number_android=isset($new_array[2]['mobility_no'])?$new_array[2]['mobility_no']:0;
	$normal_number_other=isset($new_array[0]['mobility_no'])?$new_array[0]['mobility_no']:0;
	
	$other_number_ios=isset($new_array[1]['normal_no'])?$new_array[1]['normal_no']:0;
	$other_number_android=isset($new_array[2]['normal_no'])?$new_array[2]['normal_no']:0;
	$other_number_other=isset($new_array[0]['normal_no'])?$new_array[0]['normal_no']:0;
	
	$mobility_no_ios=isset($new_array[1]['mobility_no'])?$new_array[1]['mobility_no']:0;
	$mobility_no_android=isset($new_array[2]['mobility_no'])?$new_array[2]['mobility_no']:0;
	$mobility_no_other=isset($new_array[0]['mobility_no'])?$new_array[0]['mobility_no']:0;
	
	//$blind_number_other=isset($total_array[0]['blind_no'])?$total_array[0]['blind_no']:0;
	//$normal_number_other=isset($total_array[0]['normal_no'])?$total_array[0]['normal_no']:0;
	$other_blind	=	isset($total_array[0]['blind_count'])?$total_array[0]['blind_count']:0;
	$ios_blind	=	isset($total_array[1]['blind_count'])?$total_array[1]['blind_count']:0;
	$android_blind	=	isset($total_array[2]['blind_count'])?$total_array[2]['blind_count']:0;
	$other_normal	=	isset($total_array[0]['normal_count'])?$total_array[0]['normal_count']:0;
	$ios_normal	=	isset($total_array[1]['normal_count'])?$total_array[1]['normal_count']:0;
	$android_normal =	isset($total_array[2]['normal_count'])?$total_array[2]['normal_count']:0;
	$blind_count=  $other_blind+ $ios_blind +$android_blind;
	$normal_count= $other_normal+ $ios_normal + $android_normal;
	//$A = $total_array['total_count'];
	//$A = $blind_count+($blind_number_other+$normal_number_other+$other_number_other+$normal_number_ios+$normal_number_android+$normal_number_other);
	$A = $blind_count+($other_number_ios+$other_number_android+$normal_number_ios+$normal_number_android);//+$normal_number_other
	$B = $total_number_ios;
	$C = $total_number_android;
	$E = $blind_count;
	$D = $A - ( $B + $C );
	$F = 	$blind_number_ios+$blind_number_android;//$blind_count_ios + $blind_count_android ;
	//$G = $D - $total_number_other ;
	//$G = $blind_count - ($blind_number_ios+$blind_number_android+$blind_number_other);
	$G = $blind_count - ($blind_number_ios+$blind_number_android);
	$H  = $I = $mobility_no_other+$mobility_no_android+$mobility_no_ios;//$normal_count;
	$J = 0;
	$K = $L = $other_number_ios+$other_number_android;//$normal_number_other + $blind_number_other ;  
} 
/*
A(33)	E(32)	H(1)	K(2)	
B(9)	F(7)	I(1)	L(2)	
C(1)
D(23)	G(25)	J(0)
PI-physical impared
BL-Blind
OT-OTHER
A=Blind Count+(other app total(other=>BL+other=>PI+other=>OT)) + (PI app total(ios=>PI+other=>PI+android=>PI))
G=Blind Count-(Blind app total(other=>BL+IOS=>BL+Andorid=>BL))

C=total number android request(BL+PI+other)






23=33-(9+1)
25=32-7
*/
commonHead();
?>
 <style>
.table .action-icons a:nth-child(1) {
	display:inline;
}

.traffic-border {
  border-right: dashed 1px #339966; 
  border-left: dashed 1px #339966;
}
.traffic-center-align
{
	text-align:center;
	padding-bottom:5px;
}
.width
{
	width:100px;
}
.set-width{
	width:65%;
}
.float-left-traffic{
	float:left;
}
#margin-top-tbl1
{
	margin-top:30px;
	margin-left:15px;
}
#margin-top-tbl2
{
	margin-top:10px;
}
.text-color{
	color: #39ac73;
}
.font-size-traffic{
	font-size:20px;
}
.width1
{
	width:280px;
}
</style>
<body class="skin-blue">
	<?php top_header(); ?>	
<!-- Main content -->
	<section class="content analytics">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary add-header">
				<h2>Analytics <?php if(isset($_GET['orgId']) && $_GET['orgId'] != '') { echo isset($organizationArray[$_GET['orgId']])?' - '.$organizationArray[$_GET['orgId']]:''; }else if(isset($fkOrganizationId) && $fkOrganizationId!=''){ echo isset($organizationArray[$fkOrganizationId])?' - '.$organizationArray[$fkOrganizationId]:''; }?></h2>
					<?php if(isset($_GET['orgId']) && $_GET['orgId'] != '') { ?>
						<div class="col-xs-12 add-btns">
							<a href="Organizations?cs=1" name="Back" id="Back" class="add-device" alt="Back" title="Back"> Back </a>
						</div>
					<?php } else if(isset($fkUsersId) && $fkUsersId == 0) { ?>
					     <div class="col-xs-8 add-btns">
							<div class="col-sm-5 col-xs-12 form-group" style=" margin-top:20px;">	
                                          
                                           <span id="selectOrg" style="display:<?php if(isset($_SESSION['select_org_id'])||isset($_GET['SelectOrganization'])) echo "block"; else echo "none"; ?>">									   
											<select name="SelectOrganization" id="SelectOrganization" class="form-control" onchange="this.form.submit()">
												<option value=''>--select Organization--</option>
												<?php foreach($organizationArray as $key=>$value) { ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['select_org_id']) && $_SESSION['select_org_id'] != '' && ($_SESSION['select_org_id'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } ?>
											</select>
											</span>
											
										</div>
						
						</div>
					<?php } ?>
					<div class="general-setting sett-menu">	
						<h2 class="tabsection" id="searchBox" alt="Search" title="Search">Search <i class="fa fa-angle-down" id="searchBox_icon"></i></h2>
						<div id="searchBox_block" style="<?php echo isset($formSytle)?$formSytle:''; ?>">
							<form name="searchCategory" style="" id="searchCategory" action="Analytics<?php echo isset($param)?$param:''; ?>" method="post">
								<div class="box box-primary box-padding report separator">
									<div class="box-body no-padding" >
										<?php  if(!isset($_GET['orgId']) && (isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 0) ) { ?>
										<div class="col-sm-4 col-xs-12 form-group ">
											<label for="OrganizationName">Organization Name</label>
											<select name="OrganizationName" id="OrganizationName" class="form-control">
											<option value=''>--select--</option>
												<?php foreach($organizationArray as $key=>$value) { ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['beacon_sess_ana_organization_name']) && $_SESSION['beacon_sess_ana_organization_name'] != '' && ($_SESSION['beacon_sess_ana_organization_name'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } ?>
											</select>
										</div>
										<?php } ?>
										<div class="col-sm-4 col-xs-12 form-group ui-widget">
											<label>Beacon Name</label>
											<input name="BeaconName" id="BeaconName" value="<?php echo isset($_SESSION['beacon_sess_ana_beacon_name'])?$_SESSION['beacon_sess_ana_beacon_name']:''; ?>" class="form-control">
											
										</div>
										<div class="col-sm-4 col-xs-12 form-group">
											<label for="BeaconType">Beacon Type</label>
											<select name="BeaconType" id="BeaconType" class="form-control">
												<option value=''>--select--</option>
												<?php  if(!isset($_GET['orgId']) && (isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 0) ) { ?>
												<?php foreach($beacon_type_array as $key=>$value) { ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['beacon_sess_ana_beacon_type']) && $_SESSION['beacon_sess_ana_beacon_type'] != '' && ($_SESSION['beacon_sess_ana_beacon_type'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } } else{
											if($ibeaconis==1){?>
											 <option value='1'<?php if(isset($_SESSION['beacon_sess_ana_beacon_type']) && $_SESSION['beacon_sess_ana_beacon_type'] != '' && ($_SESSION['beacon_sess_ana_beacon_type'] == 1)) echo "selected"; ?>>IBeacon</option>
											<?php }?>
										     <option value='2'<?php if(isset($_SESSION['beacon_sess_ana_beacon_type']) && $_SESSION['beacon_sess_ana_beacon_type'] != '' && ($_SESSION['beacon_sess_ana_beacon_type'] == 2)) echo "selected"; ?>>Virtual Beacon</option>
											 <?php 
											if($tbeaconis==1)
											{ ?>
											<option value='3'<?php if(isset($_SESSION['beacon_sess_ana_beacon_type']) && $_SESSION['beacon_sess_ana_beacon_type'] != '' && ($_SESSION['beacon_sess_ana_beacon_type'] == 3)) echo "selected"; ?>>Traffic Beacon</option>
											<?php }
											if($obeaconis==1)
											{ ?>
											<option value='4' <?php if(isset($_SESSION['beacon_sess_ana_beacon_type']) && $_SESSION['beacon_sess_ana_beacon_type'] != '' && ($_SESSION['beacon_sess_ana_beacon_type'] == 4)) echo "selected"; ?>>Open Door Beacon</option>
											<?php }
											if($cbeaconis==1)
											{	?>
											<option value='5' <?php if(isset($_SESSION['beacon_sess_ana_beacon_type']) && $_SESSION['beacon_sess_ana_beacon_type'] != '' && ($_SESSION['beacon_sess_ana_beacon_type'] == 5)) echo "selected"; ?>>Custom Beacon</option>
											<?php
										} }?>
									  
											</select>
										</div>
										<div class="col-sm-4 col-xs-12 form-group">
											<label>From Date</label>
											<input type="text" class="form-control show_date" name="FromDate" id="FromDate"  value="<?php if(isset($_SESSION['beacon_sess_ana_from_date']) && $_SESSION['beacon_sess_ana_from_date']!='') echo date('m/d/Y',strtotime($_SESSION['beacon_sess_ana_from_date'])) ?>" >
										</div>
										<div class="col-sm-4 col-xs-12 form-group">
											<label>To Date</label>
											<input type="text" class="form-control show_date" name="ToDate" id="ToDate"  value="<?php if(isset($_SESSION['beacon_sess_ana_to_date']) && $_SESSION['beacon_sess_ana_to_date']!='') echo date('m/d/Y',strtotime($_SESSION['beacon_sess_ana_to_date'])) ?>" >
										</div>
										<div class="col-sm-4 col-xs-12 form-group" align="center">
											<input type="submit" class="btn btn-success" name="Search" id="Search" value="Search">
										</div>
									</div>
								</div>
							</form>
							
						</div>
						
						
					</div>
					
				<div class="analys">
				<nav>
					<ul class="nav nav-tabs">
					<li class="nav-item"><a href="#" id="traffic"   data-block="traffic" class=" analytics_tab nav-link  active">TRAFFIC</a></li>
					<li class="nav-item"><a href="IbeaconAnalytics" id="ibeacon"   data-block="ibeacon" class="analytics_tab nav-link">IBEACON / CUSTOM BEACON</a></li>
					<li class="nav-item"><a href="OpenDoorAnalytics" id="opendoor" data-block="opendoor" class="analytics_tab nav-link">OPEN DOOR BEACON</a></li>
					</ul>
				</nav>
					<a href="ExportAnaytics?type=1" class="btn  btn-success float-right">Export to excel</a>
				
				<div class="float-left-traffic">
					<table id="margin-top-tbl2" style="margin-top: 25px;width: 92%;" class="set-width">
						<tr>
							<th  class="traffic-center-align" >TOTAL WIRELESS K2A CALLS</th>
							<th class="traffic-center-align ">Total Wireless </br> "Visually Impaired Calls"</th>
							<th class="traffic-center-align traffic-border">Total Wireless </br> "Mobility Impaired Calls"</th>
							<th class="traffic-center-align width">Total Wireless </br> "Other Calls"</th>
							
						</tr>
						<tr>
							<th class="font-size-traffic traffic-center-align" ><?php if(isset($A) && $A > 0) echo $A; else echo '-';  ?></th>
							<th class="font-size-traffic traffic-center-align "><?php if(isset($E) && $E > 0) echo $E ; else echo '-'; ?></th>
							<th class="font-size-traffic traffic-center-align traffic-border"><?php if(isset($H) && $H > 0) echo $H ; else echo'-'; ?></th>
							<th class="font-size-traffic traffic-center-align"><?php if(isset($K) && $K > 0) echo $K ; else echo '-'; ?></th>
						</tr>
						<tr>
							<td  class="text-color traffic-center-align ">IOS</td>
							<td class="text-color traffic-center-align ">MOBILE APP</td>
							<td class="text-color traffic-center-align traffic-border">MOBILE APP</td>
							<td class="text-color traffic-center-align">MOBILE APP</td>
						</tr>
						<tr>
							
							<td class="traffic-center-align"><?php if(isset($B) && $B > 0) echo $B ; else echo '-'; ?></td>
							<td class="traffic-center-align "><?php if(isset($F) && $F > 0 ) echo $F ; else echo '-'; ?></td>
							<td class="traffic-center-align traffic-border"><?php if(isset($I) && $I > 0) echo $I ; else echo '-'; ?></td>
							<td class="traffic-center-align"><?php if(isset($L) && $L > 0) echo $L ; else echo'-'; ?></td>
						</tr>
						<tr>
							<td  class="text-color traffic-center-align">ANDROID</td>
							<td  class="text-color traffic-center-align "></td>
							<td  class="text-color traffic-center-align traffic-border"></td>
							
						</tr>
						<tr>
							<td  class="traffic-center-align"><?php if(isset($C) && $C > 0) echo $C ; else echo '-'; ?></td>
							<td  class="traffic-center-align "></td>
							<td  class="traffic-center-align traffic-border"></td>
							
							
						</tr>
						<tr>
							<td  class="text-color traffic-center-align">K2A FOB</td>
							<td class="text-color traffic-center-align ">K2A FOB</td>
							<td class="text-color traffic-center-align traffic-border">K2A FOB</td>
						</tr>
						<tr>
							<td  class="traffic-center-align"><?php if(isset($D) && $D > 0 ) echo $D ; else echo '-'; ?></td>
							<td class="traffic-center-align "><?php if(isset($G) && $G > 0 ) echo $G ; else echo "-"; ?></td>
							<td class="traffic-center-align traffic-border"><?php echo isset($J)?$J:0 ; ?></td>
							<td class="traffic-center-align"></td>
							<td class="traffic-center-align text-color"><?php echo isset($latest_date)?"Date last updated: ".$latest_date:'-'; ?></td>
						</tr>
					</table>
				
				</div>
				</div>
				
				<div id="traffic_block"  class="analytics_block">
					<div style="padding-top:15px;"class="col-xs-12"> 
						<div class="col-xs-12 col-sm-8 no-padding">
						</div>
					</div>
					<div style="display:none">
					<?php echo '<pre>';print_R($trafficResult);?>
					</div>
					<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($trafficResult) && is_array($trafficResult) && count($trafficResult) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of System Trackings &nbsp:&nbsp;<strong><?php echo $tot_rec_traffic; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(isset($trafficResult) && is_array($trafficResult) && count($trafficResult) > 0 ) {
									pagingControlLatest($tot_rec_traffic,'Analytics'.$param); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>		
								<?php if((isset($fkUsersId) && $fkUsersId == 0) && ! isset($fkOrganizationId)) { ?>								
								<?php } ?>								
								<th width="10%" align="left" style="text-align:left;">Organization</th>		
								<th width="10%" align="left" style="text-align:left">City ID</th>
							    <th width="15%" align="left" style="text-align:left;">Location ID</th>
							    <th width="15%" align="left" style="text-align:left;">Intersection Name </th>
								<th width="11%" align="left" style="text-align:left;">User Type</th>								
								<th width="11%" align="left" style="text-align:left;">User Home City</th>								
								<th width="11%" align="left" style="text-align:left;">Street Requested</th>								
								<th width="11%" align="left" style="text-align:left;">Date / Time</th>	
								<?php //if($_SERVER['REMOTE_ADDR']=='103.98.32.27'  || $_SERVER['REMOTE_ADDR']=='172.21.4.174'){ ?>
									<th width="11%" align="left" style="text-align:left;">Beacon Date</th>								
									
								<?php //} ?>								
								<th width="10%" align="left" style="text-align:left;">Phone Type</th>
								<th width="15%" align="left" style="text-align:left;">Phone Language</th>
							</tr>
							<?php if(isset($trafficResult) && is_array($trafficResult) && count($trafficResult) > 0 ) {
										foreach($trafficResult as $key => $value) { 		
										if(isset($value->BeaconType) && $value->BeaconType != '' && $value->BeaconType==3 && $value->BeaconType!=2){										
							?>
							<tr  <?php  if(isset($value->Status) && $value->Status != '' && $value->Status == '0') echo 'style="color:red;"'; ?> >
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td><?php if(isset($value->OrganizationName) && $value->OrganizationName != '') echo ucfirst($value->OrganizationName); else echo '-'; ?></td>											
								<td><?php if(isset($value->Major) && $value->Major != '') echo ucfirst($value->Major); else echo '-';?></td>
								<td><?php if(isset($value->Minor) && $value->Minor != '') echo ucfirst($value->Minor); else echo '-';?></td>
								<td><?php if(isset($value->Description) && $value->Description != '') echo $value->Description; else echo '-';?> </td>
								<td><?php if(isset($value->Type) && $value->Type != ''){ 
								$values=$value->Type;
								$strpos=strripos($values,"#");
								$output=substr($values,0,$strpos);

								echo $output;
								}else echo '-';?> </td>
								<td><?php if(isset($value->CityName) && $value->CityName != '') echo $value->CityName; else echo '-';?> </td>
								<td><?php if(isset($value->streetCrossed) && $value->streetCrossed != '' ) echo $value->streetCrossed; else echo '-';?> </td>
								<td ><?php if(isset($value->track_date) && $value->track_date != '') echo date('m/d/Y',strtotime($value->track_date)).'</br>'.date('H:i:s',strtotime($value->track_date)); else echo '-'; ?> </td>
								<?php //if($_SERVER['REMOTE_ADDR']=='103.98.32.27' || $_SERVER['REMOTE_ADDR']=='172.21.4.174' ){ ?>
								<td dta-timezone="<?php echo $value->BeaconTimezone; ?>"><?php if(isset($value->track_date) && $value->track_date != '' && $value->track_date != '0000-00-00 00:00:00' && $value->track_date != '1970-01-01 00:00:00'){
									if($value->BeaconLatitude!='' && $value->BeaconLongitude!='' && $value->BeaconTimezone!='')
										$beacon_date_time_show = convertTrackIntoBeaconDateTimeAMPM($value->track_date,$value->BeaconTimezone);
									else
										$beacon_date_time_show = '';
									echo $beacon_date_time_show;
									//$date_created			=  displayConversationDateTimeForLog($gmt_current_start_time,$_SESSION['beacon_ses_from_timeZone']);
									//dateSplitter($date_created); 
								} else echo "-";?>
								</td>
								<td style="display:none"><?php if(isset($value->track_date) && $value->track_date != '') echo date('d/m/Y',strtotime($value->track_date)).'</br>'.date('H:i:s',strtotime($value->track_date)); else echo '-'; ?> </td>
								<td><?php if(isset($value->phoneType) && $value->phoneType != '' && $value->phoneType==1) echo 'iPhone';else if(isset($value->phoneType) && $value->phoneType != '' && $value->phoneType==2) echo 'Android'; else echo '-';?> </td>
								<td><?php if(isset($value->phoneLanguage) && $value->phoneLanguage != '' && $value->phoneLanguage==1) echo 'English';else if(isset($value->phoneLanguage) && $value->phoneLanguage != '' && $value->phoneLanguage==2) echo 'French'; else echo '-';?> </td>
								
							</tr>
										<?php  } } } else { ?>
							<tr>
								<td colspan="12" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Traffic Beacon System Tracking found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
				</div>
		</div>
	</section>
<?php commonfooter(); ?>
<script type="text/javascript">

$(document).on('click','.op_value',function(){

	value=$(this).html();
	$("#BeaconName").val(value);
	$("#suggesstion-box").hide();
	
});

$( "#BeaconName" ).autocomplete({
   source: actionPath+'models/AjaxAction.php?&action=BEACONAUTOCOMPLETE',
   minLength: 2
  
});
$(".show_date").datepicker({
	showButtonPanel	:	true,        
    buttonText		:	'',
    buttonImageOnly	:	true,
    buttonImage		:	path+'webresources/images/calender.png',
    dateFormat		:	'mm/dd/yy',
	changeMonth		:	true,
	changeYear		:	true,
	hideIfNoPrevNext:	true,
	showWeek		:	true,
	yearRange		:	"c-10:c+30",
	maxDate			:	"0",
	closeText		:   "Close",
});
$.datepicker._gotoToday = function(id) { 
    $(id).datepicker('setDate', new Date()).datepicker('hide').blur(); 
};

</script>
</html>