<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/BeaconController.php');
require_once('controllers/AdminController.php');
require_once('controllers/UserController.php');

$userObj		=  new UserController();
$beaconObj		=  new BeaconController();
$adminLoginObj  =  new AdminController();
admin_login_check();
$organizationDetails=array();
$beaconsList 	=  $param = $optionCondition = '';
/* check access and allow */
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] !=0 && isset($_SESSION['beacon_sess_beacon_permission']) && !empty($_SESSION['beacon_sess_beacon_permission'])) {
	if(!in_array($_GET['viewId'],$_SESSION['beacon_sess_beacon_permission'])){
		header("location:Beacons?cs=1");
	}
}	
/* check access and allow */ 




$fields		= " * ";
$condition	= " and Status = 1 ";
$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
		$organizationDetails[$orgValue->id]	=	$orgValue;
	}
}
$isAdmin=0;
$searchClass	=	"display:block";
$formSytle		=	"display:none";
if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['roles_sess_roletype']);
	unset($_SESSION['users_sess_searchUser']);
	unset($_SESSION['field_sess_searchField']);
}
if(isset($_POST['Search']) && $_POST['Search'] != '') {
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	if(isset($_POST['searchRolesType']))
		$_SESSION['roles_sess_roletype'] 	    = $_POST['searchRolesType'];
	if(isset($_POST['searchUser']))
		$_SESSION['users_sess_searchUser']		= trim($_POST['searchUser']);
	if(isset($_POST['searchField']))
		$_SESSION['field_sess_searchField']		= trim($_POST['searchField']);
}

$beaconCondition	=	1;


if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] != 0)
	$organizationId		=	$_SESSION['beacon_sess_user_orgid'];



if(isset($_GET['orgId']) && $_GET['orgId'] != '') 
	$fkOrganizationId = $_SESSION['beacon_sess_orgId'] = $_GET['orgId'];
if($_SESSION['beacon_sess_user_orgid'] != 0)
	$fkOrganizationId = $_SESSION['beacon_sess_user_orgid'];
if(isset($_GET['viewId']) && $_GET['viewId'] != ''){
	$param		 = '?viewId='.$_GET['viewId'];
}
setPagingControlValues('d.id',ADMIN_PER_PAGE_LIMIT);
$Result	=	array();
if(isset($_GET['viewId']) && $_GET['viewId']!=''){
	$condition       		= 	" id = ".$_GET['viewId']." and Status in (0,1)";
	$field					=	'Description';
	$beaconDetailsResult  	= 	$beaconObj->selectBeaconDetails($field,$condition);
$fields='b.BeaconTimezone,b.BeaconLatitude,b.BeaconLongitude,bu.id,bu.jsonValue,bu.fkDeviceId,bu.dateCreated,a.UserName,a.last_name,a.first_name,a.IsSubAdmin';
$condition='bu.fkBeaconsId='.$_GET['viewId'];
$Result  	= $beaconObj->getTrafficBeaconTracking($fields,$condition);
$role_array[0]='K2A Master';

$tot_rec 			= $beaconObj->getTotalRecordCount();
if($tot_rec!=0 && !is_array($Result)) {
	$_SESSION['curpage'] = 1;
	$Result 	 = $beaconObj->getTrafficBeaconTracking($fields,$condition);
}
}
//echo '<pre>==========>';print_r($Result);

commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>	
<!-- Main content -->
	<section class="content bor-change">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary add-header">
				<h2><b>Traffic Receiver Configuration History </b></h2>
					<?php if(isset($_GET['viewId']) && $_GET['viewId'] != '') { ?>
						<div class="col-xs-12 add-btns">					
							<a href="Beacons" name="Back" id="Back" class="add-device" alt="Back" title="Back"> Back </a>
						</div>
					<?php }  ?>
					<!----admin View Org---->
					
					<div class="general-setting sett-menu">	
						<h2 class="tabsection" id="searchBox" alt="Search" title="Search">Search <i class="fa fa-angle-down" id="searchBox_icon"></i></h2>
						<div id="searchBox_block" style="<?php echo $formSytle; ?>">
							<form name="searchCategory" style="" id="searchCategory" action="BeaconsTrafficTrack<?php echo $param; ?>" method="post">
								<div class="box box-primary box-padding report separator">
									<div class="box-body no-padding" >
										
										
										<div class="col-sm-4 col-xs-12 form-group">
											<label for="RolesType">Roles Type</label>
											<select name="searchRolesType" id="searchRolesType" class="form-control">
												<option value=''>--select--</option>
												<?php foreach($role_array as $key=>$value) { ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['roles_sess_roletype']) && $_SESSION['roles_sess_roletype'] != '' && ($_SESSION['roles_sess_roletype'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } ?>
											</select>
										</div>
										<div class="col-sm-4 col-xs-12 form-group">
											<label for="Users">Users</label>
											<input name="searchUser" id="searchUser" value="<?php echo isset($_SESSION['users_sess_searchUser'])?$_SESSION['users_sess_searchUser']:''; ?>" class="form-control">
										</div>
										
										<div class="col-sm-12 clear" align="center">
											<input type="submit" class="btn btn-success" name="Search" id="Search" value="Search">
										</div>
									</div>
								</div>
							</form>
						</div>
					</div>						
					<div class="row paging paging-margin report col-xs-12">
						<center><h1 style="color:black;"><b><?php echo isset($beaconDetailsResult[0]->Description)?$beaconDetailsResult[0]->Description:'';?></h1></b></center>
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($Result) && is_array($Result) && count($Result) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of Traffic Beacon Update Log(s)&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(is_array($Result) && count($Result) > 0 ) {
									pagingControlLatest($tot_rec,'BeaconsTrafficTrack'.$param); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0" border="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>
								<th width="10%" align="left" style="text-align:left;">User Name</th>
								<th width="10%" align="left" style="text-align:left;">Device Id</th>
								<th width="10%" align="left" style="text-align:left">Role</th>
								<th width="20%" align="left" style="text-align:left;">Field</th>
								<th width="25%" align="left" style="text-align:left;">Old Value</th>
								<th width="25%" align="left" style="text-align:left;">New Value</th>
								<th width="5%" align="left" style="text-align:left;">Date/Time<br />Updated </th>
								<?php //if($_SERVER['REMOTE_ADDR']=='103.98.32.27' || $_SERVER['REMOTE_ADDR']=='172.21.4.174' ){ ?>
								<!--th width="5%" align="left" style="text-align:left;">Beacon <br /> Date/Time Updated </th-->
								<?php // } ?>
							</tr>
							<?php if(isset($Result) && is_array($Result) && count($Result) > 0 ) {
										foreach($Result as $key => $value) { 
							?>
							<tr id="test_id_<?php echo $value->id;?>" >
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td class="description-value"><?php if(isset($value->first_name) && $value->first_name != '' && isset($value->last_name)) echo ucfirst($value->first_name.' '.$value->last_name); else echo '-'; ?></td>
								<td class="description-value"><?php if(isset($value->fkDeviceId) && $value->fkDeviceId != '') echo $value->fkDeviceId; else echo '-'; ?></td>
								
								<td class="description-value"><?php if(isset($value->IsSubAdmin) && $value->IsSubAdmin != '' && isset($role_array[$value->IsSubAdmin])) echo $role_array[$value->IsSubAdmin]; else echo '-';?></td>
								<?php 
									$field_array=$old_array=$new_array=array();
										if($value->jsonValue!=''){
											$str=$value->jsonValue; 
											$output=json_decode($str,true);
											if(isset($output) && !empty($output) && is_array($output)){
												array_multisort($output, SORT_ASC, $output);
												//echo '<pre>===>';print_r($output);echo '<pre>===>';
													$row=0;
												foreach($output as $k =>$v){
												    if($v['name']=='Street 1')
														$row=0;
													else if($v['name']=='Street 2')
														$row=1;
													else if($v['name']=='Major')
														$row=2;
													else if($v['name']=='Minor')
														$row=3;
													else if($v['name']=='Device ID')
														$row=4;
													else if($v['name']=='Signal strength')
														$row=5;
													else if($v['name']=='Locator tone')
														$row=6;
													else if($v['name']=='Normal volume')
														$row=7;
													else if($v['name']=='Max volume')
														$row=8;
													else if($v['name']=='Countdown volume')
														$row=9;
													else if($v['name']=='Street name volume')
														$row=10;
													else 
														$row++;
													
													$field_array[$row]=$v['name'];
													$old_array[$row]=isset($v['oldValue'])?$v['oldValue']:'';
													$new_array[$row]=isset($v['newValue'])?$v['newValue']:'';
												}
												ksort($field_array);
												ksort($old_array);
												ksort($new_array);
												//echo '<pre>===>';print_r($field_array);echo '<pre>===>';
											}
										}
										
								?>
								<td><?php if(isset($field_array) && !empty($field_array) ) { foreach($field_array as $name){ echo $name.'</br>'; } } else echo '-';?></td>
								<td><?php if(isset($old_array) && !empty($old_array) ) { foreach($old_array as $old){ if($old!='') echo $old; else echo '-'; echo '</br>'; } } else echo '-';?></td>
								<td><?php if(isset($new_array) && !empty($new_array) ) { foreach($new_array as $new){ if($new!='') echo $new; else echo '-';echo '</br>'; } } else echo '-';?></td>
								
								<?php //if($_SERVER['REMOTE_ADDR']=='103.98.32.27' || $_SERVER['REMOTE_ADDR']=='172.21.4.174' ){ ?>
								<!--td ><?php 
								if(isset($value->dateCreated) && $value->dateCreated != ''){
									//echo date_default_timezone_get();
									$track_time = convertTimeToZeroUTC($value->dateCreated,date_default_timezone_get());
									$time_show = convertTimeToZeroUTCAMPM($value->dateCreated,date_default_timezone_get());
									//echo $time_show; 
								}
									//else 
										//echo '-';  
								?> </td-->
								<td dta-timezone="<?php echo $value->BeaconTimezone; ?>" dta-create="<?php echo $value->dateCreated; ?>"><?php if(isset($track_time) && $track_time != '' && $track_time != '0000-00-00 00:00:00' && $track_time != '1970-01-01 00:00:00'){
									if($value->BeaconLatitude!='' && $value->BeaconLongitude!='' && $value->BeaconTimezone!='')
										$beacon_date_time_show = convertTrackIntoBeaconDateTimeAMPM($track_time,$value->BeaconTimezone);
									else
										$beacon_date_time_show = '';
									echo $beacon_date_time_show;
								} else echo "-";
								?>
								</td>
								<?php //} ?>
								<!--td><?php //if(isset($value->dateCreated) && $value->dateCreated != '' && $value->dateCreated != '0000-00-00 00:00:00' && $value->dateCreated != '1970-01-01 00:00:00'){
									//$gmt_current_start_time = convertIntocheckinGmtSite($value->dateCreated);
									//$date_created			=  displayConversationDateTimeForLog($gmt_current_start_time,$_SESSION['beacon_ses_from_timeZone']);
								//	dateSplitter($date_created); 
								//} else echo "-";?></td-->
								
								
								
							</tr>
							<?php } } else { ?>
							<tr>
								<td colspan="11" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Beacon Update Log found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php commonfooter(); ?>
<script type="text/javascript">
</script>
</html>