<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/UserController.php');
require_once('controllers/AdminController.php');
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2)//user 
	header("location:Devices?cs=1");

$userObj		=  new UserController();
$adminLoginObj  =  new AdminController();
admin_login_check();

if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['beacon_sess_customer_user_name']);
	unset($_SESSION['beacon_sess_customer_email']);
	unset($_SESSION['beacon_sess_customer_status']);
}

if(isset($_GET['deleteId']) && $_GET['deleteId'] != '') {
	$condition			=	" id	=".$_GET['deleteId'];
	$update_string 		= 	" Status = 2";
	$customerListResult	= 	$userObj->updateCustomerDetails($update_string,$condition);
	header("location:Customers?msg=3");
}

if(isset($_POST['Search']) && $_POST['Search'] != '') {
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	if(isset($_POST['UserName']))
		$_SESSION['beacon_sess_customer_user_name']			= trim($_POST['UserName']);
	if(isset($_POST['Email']))
		$_SESSION['beacon_sess_customer_email']				= trim($_POST['Email']);
	if(isset($_POST['Status']))
		$_SESSION['beacon_sess_customer_status']			= $_POST['Status'];
}

setPagingControlValues('id',ADMIN_PER_PAGE_LIMIT);
$fields    	 = " * ";
$condition 	 = " and Status in (0,1) ";

$customerListResult  	= $userObj->selectCustomerDetails($fields,$condition);
$tot_rec 				= $userObj->getTotalRecordCount();
if($tot_rec!=0 && !is_array($customerListResult)) {
	$_SESSION['curpage'] = 1;
	$customerListResult 	 = $userObj->selectCustomerDetails($fields,$condition);
}

 if(isset($_GET['msg']) && $_GET['msg'] == 2 ) {
	$msg		= "Customer updated successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 3 ) {
	$msg		= "Customer deleted successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
/* echo '<pre>';print_r($customerListResult);echo '</pre>';
echo '<br>==============>'.$tot_rec;
 */
commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>	
<!-- Main content -->
	<section class="content">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary">
				<h2>App Customer List</h2>
				
				<form name="searchCategory" action="Customers" method="post">
						<div class="box box-primary box-padding report separator">
							<div class="box-body no-padding" >
								<div class="col-sm-3 col-xs-12 form-group">
									<label>User Name</label>
									<input type="text" placeholder="User Name" class="form-control" name="UserName" id="UserName"  value="<?php  if(isset($_SESSION['beacon_sess_customer_user_name']) && $_SESSION['beacon_sess_customer_user_name'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_customer_user_name'])); ?>" >
								</div>
								<div class="col-sm-3 col-xs-12 form-group">
									<label>Email</label>
									<input type="text" placeholder="Email" class="form-control" name="Email" id="Email"  value="<?php if(isset($_SESSION['beacon_sess_customer_email']) && $_SESSION['beacon_sess_customer_email'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_customer_email']));  ?>" >
								</div>
								<div class="col-sm-3 col-xs-12 form-group">
									<label for="Status">Status</label>
									<select name="Status" id="Status" class="form-control">
										<option value=''>--select--</option>
										<?php foreach($beacons_status_array as $key=>$value) {
										if($key != 2){ ?>
										<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['beacon_sess_customer_status']) && $_SESSION['beacon_sess_customer_status'] != '' && ($_SESSION['beacon_sess_customer_status'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
										<?php } } ?>
									</select>
								</div>
								
								<div class="col-sm-3 col-xs-12 form-group" align="center">
									<label>&nbsp;</label>
									<input type="submit" class="btn btn-success" name="Search" id="Search" value="Search">
								</div>
							</div>
						</div>
					</form>
				
				
				<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($customerListResult) && is_array($customerListResult) && count($customerListResult) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of App Customer(s)&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(is_array($customerListResult) && count($customerListResult) > 0 ) {
									pagingControlLatest($tot_rec,'Customers'); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>
								<th width="20%" align="left" style="text-align:left;"><?php echo sortColumn('FirstName','User Name'); ?></th>
								<th width="20%" align="left" style="text-align:left;"><?php echo sortColumn('Email','Email'); ?></th>
								<th width="20%" align="left" style="text-align:left;">Status</th>
								<th width="7%" align="left" style="text-align:left;">Action</th>
							</tr>
							<?php if(isset($customerListResult) && is_array($customerListResult) && count($customerListResult) > 0 ) {
										foreach($customerListResult as $key => $value) { 
											$user_name	=	$value->FirstName.' '.$value->LastName;
							?>
							<tr id="test_id_<?php echo $value->id;?>">
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td><?php if(isset($user_name) && trim($user_name) != '') echo $user_name; else echo '-';?></td>
								<td><?php if(isset($value->Email) && $value->Email != '') echo $value->Email; else echo '-'; ?></td>
								<td><?php if(isset($value->Status) && $value->Status != '') echo $beacons_status_array[$value->Status]; else echo '-'; ?></td>
								<td class="action-icons" align="center">
									<a href='CustomerDetails?viewId=<?php echo $value->id; ?>' name='view' title='View'><i class="fa fa-eye"></i></a>
									<a href='ManageCustomers?editId=<?php echo $value->id; ?>' name='edit' title='Edit'><i class="fa fa-pencil"></i></a>
									<a href='Customers?deleteId=<?php echo $value->id; ?>' class="delete_click" data-msg="Are you sure you want to delete this Customer?" data-clicktype="1"  name='deleteCustomer' title='Delete'><i class="fa fa-trash-o"></i></a>
								</td>
							<?php } } else { ?>
							<tr>
								<td colspan="9" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Customers found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php commonfooter(); ?>