<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/UserController.php');
require_once('controllers/AdminController.php');
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2)//user 
	header("location:Devices?cs=1");

$userObj		=  new UserController();
$adminLoginObj  =  new AdminController();
admin_login_check();

if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['beacon_sess_customer_user_type']);
	unset($_SESSION['beacon_sess_customer_city']);
	unset($_SESSION['beacon_sess_customer_login_date']);
}

$fields			=	'*';
$condition		= 	' AND Status = 1'; 
$userTypeArray	=	$userObj->selectUserTypeList($fields,$condition);

$fields			=	'*';
$condition		= 	' Status = 1'; 
$cityArray		=	$userObj->selectCityDetails($fields,$condition);

if(isset($_POST['Search']) && $_POST['Search'] != '') {
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	if(isset($_POST['UserType']))
		$_SESSION['beacon_sess_customer_user_type']		= $_POST['UserType'];
	if(isset($_POST['City']))
		$_SESSION['beacon_sess_customer_city']			= $_POST['City'];
	if(isset($_POST['LoginDate']))
		$_SESSION['beacon_sess_customer_login_date'] 	= $_POST['LoginDate'];
}

setPagingControlValues('ct.id',ADMIN_PER_PAGE_LIMIT);
$fields    	 = " ct.id,c.CityName,u.Type,ct.LoginDate ";
$condition 	 = " and u.Status = 1 and c.Status = 1 ";

$customerListResult  	= $userObj->selectCustomerTracking($fields,$condition);
$tot_rec 				= $userObj->getTotalRecordCount();
if($tot_rec!=0 && !is_array($customerListResult)) {
	$_SESSION['curpage'] = 1;
	$customerListResult 	 = $userObj->selectCustomerTracking($fields,$condition);
}
/* echo '<pre>';print_r($customerListResult);echo '</pre>';
echo '<br>==============>'.$tot_rec;
 */
commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>	
<!-- Main content -->
	<section class="content">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary">
				<h2>App Customer List</h2>
				
				<form name="searchCategory" action="CustomersTracking" method="post">
						<div class="box box-primary box-padding report separator">
							<div class="box-body no-padding" >
								<div class="col-sm-3 col-xs-12 form-group">
									<label for="UserType">User Types</label>
									<select name="UserType" id="UserType" class="form-control">
										<option value=''>--select--</option>
										<?php 
										if(isset($userTypeArray) && !empty($userTypeArray)){
											foreach($userTypeArray as $key=>$value) {?>
										<option value="<?php echo $value->id; ?>" <?php if(isset($_SESSION['beacon_sess_customer_user_type']) && $_SESSION['beacon_sess_customer_user_type'] != '' && ($_SESSION['beacon_sess_customer_user_type'] == $value->id)) echo "selected"; ?>><?php echo ucfirst($value->Type); ?></option>
										<?php } } ?>
									</select>
								</div>
								<div class="col-sm-3 col-xs-12 form-group">
									<label for="City">Cities</label>
									<select name="City" id="City" class="form-control">
										<option value=''>--select--</option>
										<?php 
										if(isset($cityArray) && !empty($cityArray)){
											foreach($cityArray as $key=>$value) {?>
										<option value="<?php echo $value->id; ?>" <?php if(isset($_SESSION['beacon_sess_customer_user_city']) && $_SESSION['beacon_sess_customer_user_city'] != '' && ($_SESSION['beacon_sess_customer_user_city'] == $value->id)) echo "selected"; ?>><?php echo ucfirst($value->CityName); ?></option>
										<?php } } ?>
									</select>
								</div>
								<div class="col-sm-3 col-xs-12 form-group">
									<label>Login Date</label>
									<input type="text" placeholder="Login Date" class="form-control datepicker" name="LoginDate" id="LoginDate"  value="<?php  if(isset($_SESSION['beacon_sess_customer_login_date']) && $_SESSION['beacon_sess_customer_login_date'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_customer_login_date'])); ?>" >
								</div>
								<div class="col-sm-3 col-xs-12 form-group" align="center">
									<label>&nbsp;</label>
									<input type="submit" class="btn btn-success" name="Search" id="Search" value="Search">
								</div>
							</div>
						</div>
					</form>
				
				
				<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($customerListResult) && is_array($customerListResult) && count($customerListResult) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of App Customer(s)&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(is_array($customerListResult) && count($customerListResult) > 0 ) {
									pagingControlLatest($tot_rec,'CustomersTracking'); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>
								<th width="20%" align="left" style="text-align:left;">User Type</th>
								<th width="20%" align="left" style="text-align:left;">City</th>
								<th width="20%" align="left" style="text-align:left;">Date</th>
							</tr>
							<?php if(isset($customerListResult) && is_array($customerListResult) && count($customerListResult) > 0 ) {
										foreach($customerListResult as $key => $value) { 
							?>
							<tr id="test_id_<?php echo $value->id;?>">
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td><?php if(isset($value->Type) && $value->Type != '') echo ucfirst($value->Type); else echo '-'; ?></td>
								<td><?php if(isset($value->CityName) && $value->CityName != '') echo ucfirst($value->CityName); else echo '-'; ?></td>
								<td>
								<?php if(isset($value->LoginDate) && $value->LoginDate != '' && $value->LoginDate != '0000-00-00 00:00:00' && $value->LoginDate != '1970-01-01 00:00:00'){
									$gmt_current_start_time = convertIntocheckinGmtSite($value->LoginDate);
									$date_created			=  displayConversationDateTimeForLog($gmt_current_start_time,$_SESSION['beacon_ses_from_timeZone']);
									dateSplitter($date_created); 
								} else echo "-";?>
								
							<?php } } else { ?>
							<tr>
								<td colspan="9" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Customers found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php commonfooter(); ?>
<script type="text/javascript">
	$(".datepicker").datepicker({
	showButtonPanel	:	true,        
    buttonText		:	'',
    buttonImageOnly	:	true,
    dateFormat		:	'mm/dd/yy',
	changeMonth		:	true,
	changeYear		:	true,
	hideIfNoPrevNext:	true,
	showWeek		:	true,
	yearRange		:	"c-30:c",
	closeText		:   "Close"
   });
</script>