<?php 
require_once('includes/CommonIncludes.php');
admin_login_check();
commonHead();
require_once('controllers/DeviceController.php');
$deviceObj    =   new DeviceController();
$fieldNameArr = $sampleDataArr = $requiredArr = $explanationArr = array();
if(isset($_GET['viewId']) && $_GET['viewId'] != '' ){
	$condition       = " id = ".$_GET['viewId'];
	$field			 = " * ";
	$deviceDetails  = $deviceObj->selectDeviceDetails($field,$condition);
	if(isset($deviceDetails) && is_array($deviceDetails) && count($deviceDetails) > 0) {
		$DeviceName		= $deviceDetails[0]->DeviceName;
		$DeviceId		= $deviceDetails[0]->DeviceId;
		$DeviceType		= $deviceDetails[0]->DeviceType;
		//$LocationLimit	= $deviceDetails[0]->LocationLimit;
		$Status			= $deviceDetails[0]->Status;
		/* $Latitude		= $deviceDetails[0]->Latitude;
		$Longitude		= $deviceDetails[0]->Longitude; */
	}
}

?>
<body class="skin-blue">
	<?php top_header(); ?>
	 <!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="col-md-12 view-page"> 
				<div class="box box-primary box-padding"> 
					<h2>Device Detail</h2>
					<div class="box-padding">
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Beacon Type</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($beacon_type_array[$DeviceType]) && $beacon_type_array[$DeviceType] != '') echo $beacon_type_array[$DeviceType]; else echo '-'; ?>
							</div>
						</div>	
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Device Name</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($DeviceName) && $DeviceName != '') echo $DeviceName; else echo '-'; ?>
							</div>
						</div>	
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">UUID</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($DeviceId) && $DeviceId != '') echo $DeviceId;  else echo '-'; ?>
							</div>
						</div>
				<!--		<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Latitude</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($Latitude) && $Latitude != '') echo $Latitude;  else echo '-'; ?>
							</div>
						</div>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Longitude</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($Longitude) && $Longitude != '') echo $Longitude;  else echo '-'; ?>
							</div>
						</div>
						<!--<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Location Limit</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($LocationLimit) && $LocationLimit != 0 ) echo $LocationLimit.' (metres)';  else echo '-'; ?>
							</div>
							
						</div> -->
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Status</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($Status) && $Status != '' ) echo $device_status_array[$Status]; ?>
							</div>
						</div>
					<!--	<?php if($Latitude != '' && $Longitude != '') { ?>
						<div class="form-group col-sm-12">
							<div id="dvMap" style="width: 100%; height: 400px;align:center;text-align:left;" align="center"></div>
						</div>
						<?php } ?> --> 
						</div>
						<div class="box-footer col-sm-12" align="center">
							<?php if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2){ //user ?>
								<a href="ManageDevices?editId=<?php echo $_GET['viewId'];?>" title="Edit" alt="Edit" class="btn btn-success">Edit</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<?php } ?>
							<a href="Devices" class="btn btn-default" name="Back" id="Back" title="Back" alt="Back" >Back </a>
						</div>
					</div>
				</div>		
			</div>		
		</div><!-- /.row -->
	</section><!-- /.content -->				
<?php commonFooter(); ?>
</html>
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCeIbrMJNmUVrn1yjRUp804JxhSHtg5UqI"></script>
<script type="text/javascript">
<?php /* if((isset($Latitude) && $Latitude != '') && (isset($Longitude) && $Longitude != '')) { ?>
	 window.onload = function () {
        LoadMap();
    }
	
	maxZoomLevel = new google.maps.MaxZoomService();
	
    function LoadMap(a) {
        var mapOptions = {
            center: new google.maps.LatLng(37.09024, -95.712891),
            zoom: 5, //Not required.
			minZoom:2,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        };
		
		var map 		= new google.maps.Map(document.getElementById("dvMap"), mapOptions);
		var lastMarker;
		var lat			=	<?php echo $Latitude; ?>;
		var lng			=	<?php echo $Longitude; ?>;
		if(lat != '' && lng != '') {
			var latLng	=	new google.maps.LatLng(lat,lng);
			placeMarker(latLng);
		}
		
		function placeMarker(Location) {
			if(lastMarker != null)
				lastMarker.setMap(null);
			var marker =	new google.maps.Marker({
				position : Location,
				map		 : map
			});
			map.setCenter(marker.getPosition());
			map.setZoom(8);
			lastMarker	=	marker;
		}
	} */
//} ?>
</script>