<?php 
  
    set_time_limit(240);
	require_once('./includes/PEAR/Spreadsheet_Excel_Writer/Writer.php');
	require_once('includes/CommonIncludes.php');
	require_once('controllers/UserController.php');
	require_once('includes/CommonIncludes.php');
	require_once('controllers/BeaconController.php');
	require_once('controllers/AdminController.php');
	$beaconObj		=  new BeaconController();
	$adminLoginObj       =  new AdminController(); 
	$workbook = new Spreadsheet_Excel_Writer();
	$userObj		=  	new UserController();
	$fkUsersId	=	$_SESSION['beacon_sess_user_orgid'];
	$analyticstype=0;$name=$condition=$condition1=$condition2='';
	$field			 	= " *,s.DateCreated as track_date";
	$fkOrganizationId = $_SESSION['beacon_sess_user_orgid'];
	if(isset($fkOrganizationId) && $fkOrganizationId != 0){
		$condition 		=	" AND b.fkOrganizationId = ".$fkOrganizationId."";
		$condition1 	=	" AND b.fkOrganizationId = ".$fkOrganizationId."";
		$condition2 	=	" AND b.fkOrganizationId = ".$fkOrganizationId."";
	}
	if(isset($_GET['type']) && $_GET['type']!=''){
		$analyticstype	=	$_GET['type'];
	}
	if($analyticstype==1){
		$name	=	'Traffic';
		$condition      	.= " and b.BeaconType=3 ";
		$trafficResult  	= $beaconObj->getsystemTracking($field,$condition);
	}
	else if($analyticstype==2){
		$name	=	'Ibeacon / Custom';
		$condition1      	.= " and ( b.BeaconType=1 OR b.BeaconType=5) ";
		$trafficResult  	= $beaconObj->getsystemTracking($field,$condition1);
	}
	else if($analyticstype==3){
		$name	=	'OpenDoor';
		$condition2      	.= " and b.BeaconType=4 ";
		$trafficResult  	= $beaconObj->getsystemTracking($field,$condition2);
	}
	
	$tot_rec_traffic 		= $beaconObj->getTotalRecordCount();
	$fileName = $name.' Analytics';
	$workbook->send($fileName.'.xls');
    $worksheet=& $workbook->addWorksheet('Export');
	$worksheet->setLandscape();  
	$numColumns 			= 300;
	$maxColumnWidth			= 10;
	$intermediateColumnWidth= 20;
	$minColumnWidth 		= 20;
	$sheetTitleFormat 		=& $workbook->addFormat(array('bold'=>1,'size'=>10));
	$boldFormat				=& $workbook->addFormat(array('bold'=>1,'size'=>9,'align'=>'left','textWrap'=>1,'bottom'=>1,'top'=>1,'left'=>1,'right'=>1));
	$TitleFormat			=& $workbook->addFormat(array('bold'=>1,'top'=>1,'bottom'=>1 ,'textWrap'=>1,'size'=>12,'left'=>1,'right'=>1,'color'=>'black','align'=>'center'));
	$columnTitleFormat		=& $workbook->addFormat(array('bold'=>1,'top'=>1,'bottom'=>1 ,'textWrap'=>1,'size'=>9,'left'=>1,'right'=>1,'color'=>'black','align'=>'center'));
	$regularFormat			=& $workbook->addFormat(array('size'=>9,'align'=>'left','textWrap'=>1,'bottom'=>1,'top'=>1,'left'=>1,'right'=>1));
	$mainTitleFormat		=& $workbook->addFormat(array('bold'=>1,'size'=>15));
	$mainsmallTitleFormat	=& $workbook->addFormat(array('bold'=>1,'size'=>12)); 
	if($analyticstype==1){
		$beaconsList 	=  $param = $optionCondition = '';
		$worksheet->setColumn(0, 0, 5);
		$worksheet->setColumn(0, 1, 20);
		$worksheet->setColumn(0, 2, 10);
		$worksheet->setColumn(0, 3, 10);
		$worksheet->setColumn(0, 4, 30);
		$worksheet->setColumn(0, 5, 25);
		$worksheet->setColumn(0, 6, 25);
		$worksheet->setColumn(0, 7, 30);
		$worksheet->setColumn(0, 8, 30);
		$worksheet->setColumn(0, 9, 20);
		$worksheet->setColumn(0, 10, 20);
		$userType='';$beaconListResult =array();
		$beaconCondition	=	1;
		$fields		= " * ";
		$condition	= " and Status = 1 ";
		$organizationResult		= $userObj->selectOrganizations($fields,$condition);
		if(isset($organizationResult) && !empty($organizationResult)) {
			foreach($organizationResult as $orgKey => $orgValue) {
				$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
			}
		}
		
		$row	=	0;
		$column =	0;
		$lastcolumn	=	10;
		$worksheet->setMerge($row,$column,$row,$lastcolumn);
		$worksheet->write($row, $column, $fileName, $TitleFormat);
		$row	=	1;
		$column =	0;
		$worksheet->write($row, $column, '#', $columnTitleFormat);
		if((isset($fkUsersId) && $fkUsersId == 0) ){
			$column ++;
			$worksheet->write($row, $column, 'Organization', $columnTitleFormat);
		}
		$column ++;
		$worksheet->write($row, $column, 'Intersection Name', $columnTitleFormat);
		if((in_array('all',$_SESSION['beacon_sess_user_permission']))){ 
			$column ++;
			$worksheet->write($row, $column, 'City ID', $columnTitleFormat);
		}
		$column ++;
		$worksheet->write($row, $column, 'Location ID', $columnTitleFormat);
		
		$column ++;
		$worksheet->write($row, $column, 'User Type', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'User Home City', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Street Requested', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Date / Time', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Phone Type', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Phone Language', $columnTitleFormat);
		if(isset($trafficResult) && is_array($trafficResult) && count($trafficResult) > 0 ) {
			foreach($trafficResult as $key => $value) { 		
			if(isset($value->BeaconType) && $value->BeaconType != '' && $value->BeaconType==3 && $value->BeaconType!=2){
					$row++;
					$column =	0;
					$worksheet->write($row, $column, (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1, $columnTitleFormat);
					
					$OrganizationName=$major=$Minor=$Description=$Type=$CityName=$streetCrossed=$phoneType=$phoneLanguage='-';
					if(isset($value->OrganizationName) && $value->OrganizationName != '') 
						$OrganizationName	= ucfirst($value->OrganizationName);
					if(isset($value->Major) && $value->Major != '')
						$major	=	ucfirst($value->Major);
					if(isset($value->Minor) && $value->Minor != '')
						$Minor	=	ucfirst($value->Minor);
					if(isset($value->Description) && $value->Description != '')
						$Description=$value->Description;
					if(isset($value->Type) && $value->Type != '') 
						$Type	= $value->Type;
					if(isset($value->CityName) && $value->CityName != '')
						$CityName	=	$value->CityName;
					if(isset($value->streetCrossed) && $value->streetCrossed != '' ) 
						$streetCrossed	=	$value->streetCrossed; 
					if(isset($value->phoneType) && $value->phoneType != '' && $value->phoneType==1) 
						$phoneType	= 'iPhone';
					else if(isset($value->phoneType) && $value->phoneType != '' && $value->phoneType==1) 
						$phoneType	= 'Android'; 
					if(isset($value->phoneLanguage) && $value->phoneLanguage != '' && $value->phoneLanguage==1) 
						$phoneLanguage	= 'English';
					else if(isset($value->phoneLanguage) && $value->phoneLanguage != '' && $value->phoneLanguage==1) 
						$phoneLanguage	= 'French'; 
					if((isset($fkUsersId) && $fkUsersId == 0) ){
						$column ++;
						$worksheet->write($row, $column, $OrganizationName , $columnTitleFormat);
					}
					$column ++;
					$worksheet->write($row, $column, $Description , $columnTitleFormat);
					if((in_array('all',$_SESSION['beacon_sess_user_permission']))){ 
						$column ++;
						$worksheet->write($row, $column, $major , $columnTitleFormat);
					}
					$column ++;
					$worksheet->write($row, $column, $Minor , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $Type , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $CityName , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $streetCrossed , $columnTitleFormat);
					$column++;
					if(isset($value->track_date) && $value->track_date != '0000-00-00 00:00:00' && $value->track_date != '')
					{
						$trackdate =	date('d/m/Y',strtotime($value->track_date)).'  '.date('H:m:s',strtotime($value->track_date));
						$worksheet->write($row, $column,$trackdate , $columnTitleFormat);
					}						
					else {
						$trackdate = '-';
						$worksheet->write($row, $column,$trackdate , $columnTitleFormat);
					}
					$column ++;
					$worksheet->write($row, $column, $phoneType , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $phoneLanguage , $columnTitleFormat);
				}
			}
		}
		else { 
			$row	=	2;
			$column =	0;
			$lastcolumn	=	11;
			$worksheet->setMerge($row,$column,$row,$lastcolumn);
			$worksheet->write($row, $column, 'No Data found', $columnTitleFormat);
		}
	}else if($analyticstype==2){
		$beaconsList 	=  $param = $optionCondition = '';
		$worksheet->setColumn(0, 0, 5);
		$worksheet->setColumn(0, 1, 20);
		$worksheet->setColumn(0, 2, 30);
		$worksheet->setColumn(0, 3, 10);
		$worksheet->setColumn(0, 4, 10);
		$worksheet->setColumn(0, 5, 40);
		$worksheet->setColumn(0, 6, 25);
		$worksheet->setColumn(0, 7, 20);
		$worksheet->setColumn(0, 8, 20);
		$worksheet->setColumn(0, 9, 20);
		$worksheet->setColumn(0, 10, 20);
		$worksheet->setColumn(0, 11, 20);
		$userType='';$beaconListResult =array();
		$beaconCondition	=	1;
		$fields		= " * ";
		$condition	= " and Status = 1 ";
		$organizationResult		= $userObj->selectOrganizations($fields,$condition);
		if(isset($organizationResult) && !empty($organizationResult)) {
			foreach($organizationResult as $orgKey => $orgValue) {
				$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
			}
		}
		
		$row	=	0;
		$column =	0;
		$lastcolumn	=	10;
		$worksheet->setMerge($row,$column,$row,$lastcolumn);
		$worksheet->write($row, $column, $fileName, $TitleFormat);
		$row	=	1;
		$column =	0;
		$worksheet->write($row, $column, '#', $columnTitleFormat);
		if((isset($fkUsersId) && $fkUsersId == 0) ){
		$column ++;
		$worksheet->write($row, $column, 'Organization', $columnTitleFormat);
		}
		$column ++;
		$worksheet->write($row, $column, 'Beacon Name', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Type', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Major', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Minor', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Hardware Id', $columnTitleFormat);
		
		$column ++;
		$worksheet->write($row, $column, 'User Type', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'User Home City', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Date / Time', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Phone Type', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Phone Language', $columnTitleFormat);
		if(isset($trafficResult) && is_array($trafficResult) && count($trafficResult) > 0 ) {
			foreach($trafficResult as $key => $value) { 		
			if(isset($value->BeaconType) && $value->BeaconType != '' && ($value->BeaconType==1 || $value->BeaconType==5)){
					$row++;
					$column =	0;
					$worksheet->write($row, $column, (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1, $columnTitleFormat);
					$OrganizationName=$major=$Minor=$Description=$BeaconType=$DeviceId=$Type=$CityName=$streetCrossed=$phoneType=$phoneLanguage='-';
					if(isset($value->OrganizationName) && $value->OrganizationName != '') 
						$OrganizationName	= ucfirst($value->OrganizationName);
					if(isset($value->BeaconType) && $value->BeaconType != '' && $value->BeaconType==1)
						$BeaconType	= 'Ibeacon';
					if(isset($value->BeaconType) && $value->BeaconType != '' && $value->BeaconType==5)
						$BeaconType	= 'Custom Beacon';
					if(isset($value->Major) && $value->Major != '')
						$major	=	ucfirst($value->Major);
					if(isset($value->Minor) && $value->Minor != '')
						$Minor	=	ucfirst($value->Minor);
					if(isset($value->DeviceId) && $value->DeviceId != '')
						$DeviceId	=	ucfirst($value->DeviceId);
					if(isset($value->Description) && $value->Description != '')
						$Description=$value->Description;
					if(isset($value->Type) && $value->Type != '') 
						$Type	= $value->Type;
					if(isset($value->CityName) && $value->CityName != '')
						$CityName	=	$value->CityName;
					if(isset($value->streetCrossed) && $value->streetCrossed != '' ) 
						$streetCrossed	=	$value->streetCrossed; 
					if(isset($value->phoneType) && $value->phoneType != '' && $value->phoneType==1) 
						$phoneType	= 'iPhone';
					else if(isset($value->phoneType) && $value->phoneType != '' && $value->phoneType==1) 
						$phoneType	= 'Android'; 
					if(isset($value->phoneLanguage) && $value->phoneLanguage != '' && $value->phoneLanguage==1) 
						$phoneLanguage	= 'English';
					else if(isset($value->phoneLanguage) && $value->phoneLanguage != '' && $value->phoneLanguage==1) 
						$phoneLanguage	= 'French'; 
					if((isset($fkUsersId) && $fkUsersId == 0) ){
						$column ++;
						$worksheet->write($row, $column, $OrganizationName , $columnTitleFormat);
					}
					$column ++;
					$worksheet->write($row, $column, $Description , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $BeaconType , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $major , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $Minor , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $DeviceId , $columnTitleFormat);
					
					$column ++;
					$worksheet->write($row, $column, $Type , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $CityName , $columnTitleFormat);
					$column++;
					if(isset($value->track_date) && $value->track_date != '0000-00-00 00:00:00' && $value->track_date != '')
					{
						$trackdate =	date('d/m/Y',strtotime($value->track_date)).'  '.date('H:m:s',strtotime($value->track_date));
						$worksheet->write($row, $column,$trackdate , $columnTitleFormat);
					}						
					else {
						$trackdate = '-';
						$worksheet->write($row, $column,$trackdate , $columnTitleFormat);
					}
					$column ++;
					$worksheet->write($row, $column, $phoneType , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $phoneLanguage , $columnTitleFormat);
				}
			}
		}
		else { 
			$row	=	2;
			$column =	0;
			$lastcolumn	=	11;
			$worksheet->setMerge($row,$column,$row,$lastcolumn);
			$worksheet->write($row, $column, 'No Data found', $columnTitleFormat);
		}
		
	}else if($analyticstype==3){
		$beaconsList 	=  $param = $optionCondition = '';
		$worksheet->setColumn(0, 0, 5);
		$worksheet->setColumn(0, 1, 20);
		$worksheet->setColumn(0, 2, 10);
		$worksheet->setColumn(0, 3, 10);
		$worksheet->setColumn(0, 4, 30);
		$worksheet->setColumn(0, 5, 25);
		$worksheet->setColumn(0, 6, 25);
		$worksheet->setColumn(0, 7, 30);
		$worksheet->setColumn(0, 8, 30);
		$worksheet->setColumn(0, 9, 20);
		$worksheet->setColumn(0, 10, 20);
		$userType='';$beaconListResult =array();
		$beaconCondition	=	1;
		$fields		= " * ";
		$condition	= " and Status = 1 ";
		$organizationResult		= $userObj->selectOrganizations($fields,$condition);
		if(isset($organizationResult) && !empty($organizationResult)) {
			foreach($organizationResult as $orgKey => $orgValue) {
				$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
			}
		}
		
		$row	=	0;
		$column =	0;
		$lastcolumn	=	10;
		$worksheet->setMerge($row,$column,$row,$lastcolumn);
		$worksheet->write($row, $column, $fileName, $TitleFormat);
		$row	=	1;
		$column =	0;
		$worksheet->write($row, $column, '#', $columnTitleFormat);
		if((isset($fkUsersId) && $fkUsersId == 0) ){
			$column ++;
			$worksheet->write($row, $column, 'Organization', $columnTitleFormat);
		}
		$column ++;
		$worksheet->write($row, $column, 'Beacon Name', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Major', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Minor', $columnTitleFormat);
		
		$column ++;
		$worksheet->write($row, $column, 'User Type', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'User Home City', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Date / Time', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Phone Type', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Phone Language', $columnTitleFormat);
		if(isset($trafficResult) && is_array($trafficResult) && count($trafficResult) > 0 ) {
			foreach($trafficResult as $key => $value) { 		
			if(isset($value->BeaconType) && $value->BeaconType != '' && $value->BeaconType==4){
					$row++;
					$column =	0;
					$worksheet->write($row, $column, (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1, $columnTitleFormat);
					$OrganizationName=$major=$Minor=$Description=$Type=$CityName=$streetCrossed=$phoneType=$phoneLanguage='-';
					if(isset($value->OrganizationName) && $value->OrganizationName != '') 
						$OrganizationName	= ucfirst($value->OrganizationName);
					if(isset($value->Major) && $value->Major != '')
						$major	=	ucfirst($value->Major);
					if(isset($value->Minor) && $value->Minor != '')
						$Minor	=	ucfirst($value->Minor);
					if(isset($value->Description) && $value->Description != '')
						$Description=$value->Description;
					if(isset($value->Type) && $value->Type != '') 
						$Type	= $value->Type;
					if(isset($value->CityName) && $value->CityName != '')
						$CityName	=	$value->CityName;
					if(isset($value->phoneType) && $value->phoneType != '' && $value->phoneType==1) 
						$phoneType	= 'iPhone';
					else if(isset($value->phoneType) && $value->phoneType != '' && $value->phoneType==1) 
						$phoneType	= 'Android'; 
					if(isset($value->phoneLanguage) && $value->phoneLanguage != '' && $value->phoneLanguage==1) 
						$phoneLanguage	= 'English';
					else if(isset($value->phoneLanguage) && $value->phoneLanguage != '' && $value->phoneLanguage==1) 
						$phoneLanguage	= 'French'; 
					if((isset($fkUsersId) && $fkUsersId == 0) ){
						$column ++;
						$worksheet->write($row, $column, $OrganizationName , $columnTitleFormat);
					}
					$column ++;
					$worksheet->write($row, $column, $Description , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $major , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $Minor , $columnTitleFormat);
					
					$column ++;
					$worksheet->write($row, $column, $Type , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $CityName , $columnTitleFormat);
					$column++;
					if(isset($value->track_date) && $value->track_date != '0000-00-00 00:00:00' && $value->track_date != '')
					{
						$trackdate =	date('d/m/Y',strtotime($value->track_date)).'  '.date('H:m:s',strtotime($value->track_date));
						$worksheet->write($row, $column,$trackdate , $columnTitleFormat);
					}						
					else {
						$trackdate = '-';
						$worksheet->write($row, $column,$trackdate , $columnTitleFormat);
					}
					$column ++;
					$worksheet->write($row, $column, $phoneType , $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $phoneLanguage , $columnTitleFormat);
				}
			}
		}
		else { 
			$row	=	2;
			$column =	0;
			$lastcolumn	=	11;
			$worksheet->setMerge($row,$column,$row,$lastcolumn);
			$worksheet->write($row, $column, 'No Data found', $columnTitleFormat);
		}
		
	}
	 
	$workbook->close();
?>