<?php 
  
    set_time_limit(240);
	require_once('./includes/PEAR/Spreadsheet_Excel_Writer/Writer.php');
	require_once('includes/CommonIncludes.php');
	require_once('controllers/UserController.php');
	require_once('includes/CommonIncludes.php');
	require_once('controllers/BeaconController.php');
	require_once('controllers/AdminController.php');
	$beaconObj		=  new BeaconController();
	$adminLoginObj       =  new AdminController(); 
	$workbook = new Spreadsheet_Excel_Writer();
	$userObj		=  	new UserController();
	$fileName = 'Data(s)';
	$workbook->send($fileName.'.xls');
    $worksheet=& $workbook->addWorksheet('Export');
	$worksheet->setLandscape();  
	$beaconsList 	=  $param = $optionCondition = '';
	$numColumns 			= 300;
	$maxColumnWidth			= 10;
	$intermediateColumnWidth= 20;
	$minColumnWidth 		= 20;
	$worksheet->setColumn(0, 0, 5);
	$worksheet->setColumn(0, 1, 10);
	$worksheet->setColumn(0, 2, 20);
	$worksheet->setColumn(0, 3, 20);
	$worksheet->setColumn(0, 4, 10);
	$worksheet->setColumn(0, 5, 10);
	$worksheet->setColumn(0, 6, 25);
	$worksheet->setColumn(0, 7, 20);
	$sheetTitleFormat 		=& $workbook->addFormat(array('bold'=>1,'size'=>10));
	$boldFormat				=& $workbook->addFormat(array('bold'=>1,'size'=>9,'align'=>'left','textWrap'=>1,'bottom'=>1,'top'=>1,'left'=>1,'right'=>1));
	$TitleFormat			=& $workbook->addFormat(array('bold'=>1,'top'=>1,'bottom'=>1 ,'textWrap'=>1,'size'=>12,'left'=>1,'right'=>1,'color'=>'black','align'=>'center'));
	$columnTitleFormat		=& $workbook->addFormat(array('bold'=>1,'top'=>1,'bottom'=>1 ,'textWrap'=>1,'size'=>9,'left'=>1,'right'=>1,'color'=>'black','align'=>'center'));
	$regularFormat			=& $workbook->addFormat(array('size'=>9,'align'=>'left','textWrap'=>1,'bottom'=>1,'top'=>1,'left'=>1,'right'=>1));
	$mainTitleFormat		=& $workbook->addFormat(array('bold'=>1,'size'=>15));
	$mainsmallTitleFormat	=& $workbook->addFormat(array('bold'=>1,'size'=>12)); 
	
	$userType='';$beaconListResult =array();
	$beaconCondition	=	1;
	$fields		= " * ";
	$condition	= " and Status = 1 ";

	$organizationResult		= $userObj->selectOrganizations($fields,$condition);
	if(isset($organizationResult) && !empty($organizationResult)) {
		foreach($organizationResult as $orgKey => $orgValue) {
			$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
		}
		}
	$fields    	 = " ct.id,c.CityName,u.Type,ct.LoginDate,ct.phoneType ";
	$condition 	 = " and u.Status = 1 and c.Status = 1 ";
	$customerListResult  	= $userObj->selectCustomerTracking($fields,$condition);
	$tot_rec 				= $userObj->getTotalRecordCount();
	$row	=	0;
	$column =	0;
	$lastcolumn	=	5;
	$worksheet->setMerge($row,$column,$row,$lastcolumn);
	$worksheet->write($row, $column, 'Data', $TitleFormat);
	$row	=	1;
	$column =	0;
	$worksheet->write($row, $column, '#', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Phone Type', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Selected User', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Selected Home City', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Download Date', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Download Time', $columnTitleFormat);
	if(isset($customerListResult) && is_array($customerListResult) && count($customerListResult) > 0 ) {
		foreach($customerListResult as $key => $value) { 
			$row++;
			$column =	0;
			$worksheet->write($row, $column, (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1, $columnTitleFormat);
			$column =	1;
			if(isset($value->phoneType) && $value->phoneType != '' && $value->phoneType==1) 
				$phoneType	= 'iPhone';
			else if(isset($value->phoneType) && $value->phoneType != '' && $value->phoneType==1) 
				$phoneType	= 'Android'; 
			else 
				$phoneType	= '-';
			if(isset($value->Type) && $value->Type != '') 
				$Type	= ucfirst($value->Type); 
			else 
				$Type	= '-';
			if(isset($value->CityName) && $value->CityName != '') 
				$city	= ucfirst($value->CityName); 
			else 
				$city	= '-';
			$worksheet->write($row, $column, $phoneType , $columnTitleFormat);
			$column ++;
			$worksheet->write($row, $column, $Type , $columnTitleFormat);
			$column ++;
			$worksheet->write($row, $column, $city , $columnTitleFormat);
			$column++;
			if(isset($value->LoginDate) && $value->LoginDate != '0000-00-00 00:00:00')
			{
				$gmt_current_start_time = convertIntocheckinGmtSite($value->LoginDate);
				$date_created			=  displayConversationDateTimeForLog($gmt_current_start_time,$_SESSION['beacon_ses_from_timeZone']);
				$LoginDate=dateSplitter_export($date_created);
				$worksheet->write($row, $column,date('d/m/Y',strtotime($LoginDate)) , $columnTitleFormat);
			}						
			else {
				$LoginDate = '-';
				$worksheet->write($row, $column,date('d/m/Y',strtotime($LoginDate)) , $columnTitleFormat);
			}
			$column ++;
			if(isset($value->LoginDate) && $value->LoginDate != '0000-00-00 00:00:00')
			{
				$gmt_current_start_time = convertIntocheckinGmtSite($value->LoginDate);
				$date_created			=  displayConversationDateTimeForLog($gmt_current_start_time,$_SESSION['beacon_ses_from_timeZone']);
				$LoginDate=dateSplitter_export($date_created);
				$worksheet->write($row, $column,date('h:m:s',strtotime($LoginDate)) , $columnTitleFormat);
			}						
			else {
				$LoginDate = '-';
				$worksheet->write($row, $column,date('h:m:s',strtotime($LoginDate)) , $columnTitleFormat);
			}
			}
	}
	else { 
		$row	=	2;
		$column =	0;
		$lastcolumn	=	9;
		$worksheet->setMerge($row,$column,$row,$lastcolumn);
		$worksheet->write($row, $column, 'No Data found', $columnTitleFormat);
	} 
	$workbook->close();
?>