<?php
ob_start();
require_once('includes/CommonIncludes.php');
require_once('controllers/AdminController.php');
$adminLoginObj   =   new AdminController();
require_once('controllers/UserController.php');
$userLoginObj   =   new UserController();
require_once('controllers/DeviceController.php');	
$deviceObj		=	new DeviceController();

if(isset($_SESSION['beacon_user_name'])){
	header('location:Beacons?cs=1');
	die();
}
$error = '';

$_SESSION['beacon_login_attempt']	=	isset($_SESSION['beacon_login_attempt'])	?	$_SESSION['beacon_login_attempt'] : 0;

if(isset($_POST['admin_login_submit']) && $_POST['admin_login_submit'] == 'LOG IN'){
	$_POST          =   unEscapeSpecialCharacters($_POST);
   	$_POST          =   escapeSpecialCharacters($_POST);
    $md5Pass        =   $_POST['password'];	
	
	// Check 
    $condition  	=   " UserName = '{$_POST['user_name']}' AND Password = '{$md5Pass}' AND IsSubAdmin !=5 AND Status = 1";
	$Result 	=   $adminLoginObj->checkAdminLogin($condition);
	
	$captchaError	=	0;
	if(isset($_POST['captcha_code'])	&&	isset($_SESSION['captcha_code']) && (empty($_SESSION['captcha_code'] ) || strcasecmp($_SESSION['captcha_code'], $_POST['captcha_code']) != 0)){  
		$captchaError	=	1;	// Captcha verification is incorrect.		
	}
	if($Result	&&	!$captchaError)	{
		// if logged in successfully then reset the attempt count
		$_SESSION['beacon_login_attempt']	=	0;
	}
	
	if($Result	&&	!$captchaError) 
    {
			$fields		= " * ";
			$condition	= " and Status = 1 ";
			$organizationResult		= $userLoginObj->selectOrganizations($fields,$condition);
			$organizationArray[0]	=	'K2A Master';
			if(isset($organizationResult) && !empty($organizationResult)) {
				foreach($organizationResult as $orgKey => $orgValue) {
					$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
					$organizationAnalyst[$orgValue->id]	=	$orgValue->Isanalytics;//ezhil 7/6/2019
				}
			}
			
			$_SESSION['beacon_sess_user_id'] 		= $Result[0]->id;
			$_SESSION['beacon_sess_user_name'] 		= $Result[0]->first_name . ' ' . $Result[0]->last_name;
			$_SESSION['beacon_sess_user_email'] 		= $Result[0]->EmailAddress;
			$_SESSION['beacon_sess_user_orgid'] 		= $Result[0]->fkOrganizationId;
			
			$_SESSION['beacon_sess_user_image']			= $Result[0]->AdminLogo;
			if(isset($Result[0]->web_permission) && $Result[0]->web_permission!='')
				$_SESSION['beacon_sess_user_permission'] 	= explode('#',$Result[0]->web_permission);
			else
				$_SESSION['beacon_sess_user_permission']	= array('all');
			if(isset($Result[0]->beacon_permission) && $Result[0]->beacon_permission!='')
				$_SESSION['beacon_sess_beacon_permission'] 	= explode('#',$Result[0]->beacon_permission);
			else
				$_SESSION['beacon_sess_beacon_permission']	= array();
			$_SESSION['beacon_sess_user_type'] 			= $Result[0]->IsSubAdmin;
			if($Result[0]->IsSubAdmin!=0)
			$_SESSION['beacon_sub_admin_org_name'] 		= $organizationArray[$Result[0]->fkOrganizationId];
		    $_SESSION['beacon_sub_admin_analist'] 		= $organizationAnalyst[$Result[0]->fkOrganizationId];
			
			$fields										= '*';
			$condition									= "DeviceType in (3,4)";
			$uuidResult									= $deviceObj->selectDeviceDetails($fields,$condition);
			
			foreach($uuidResult as $key => $value) {
				if($value->DeviceType == 3) {
					$_SESSION['beacon_traffic_uuid_id']		= $value->id;
					$_SESSION['beacon_traffic_device_id']	= $value->DeviceId;
				}
				else if($value->DeviceType == 4) {
					$_SESSION['beacon_open_door_uuid']		= $value->id;
					$_SESSION['beacon_open_door_device_id']	= $value->DeviceId;
				}
			}
			
			
			
			$fields     = " LastLoginDate = '".date('Y-m-d H:i:s')."'";
			$condition  = " Id = ".$Result[0]->id;
			$result     =   $adminLoginObj->updateAdminDetails($fields,$condition);
			header('location:Beacons?cs=1');
			die();
	} else {
		$_SESSION['beacon_login_attempt']	=	$_SESSION['beacon_login_attempt'] +1;
		$error = "Invalid Username / Email or Password";
		
		if($captchaError)	{
			$error = "Invalid Captcha";
		}

	}
}


commonHead();
?>
<body onload="fieldfocus('user_name');">
<div class="login_bg">
	<div class="navbar-inner">
		<!-- <div class="navbar-user-list">
			<a href="UserLogin" name="userLink" id="userLink" >USER</a>
		</div> -->
	</div>
	<div class="login-container">
		<div class="beacon_logo">
			<div class="login-box" id="login-box">
				<form action="" name="admin_login_form" id="admin_login_form"  method="post">
					<div class="body">
						<a href="javascript:void(0)" class="logo-image"></a>
						<!-- div class="header">Log In</div --> 
						<div class="login_error_msg_hgt" align="center"> 
						<?php if($error !='') { ?><div class="alert alert-danger alert-dismissable col-xs-10" style="margin:0px"><i class="fa fa-warning"></i>&nbsp;&nbsp;<?php echo $error;?></div><?php  } ?>
						</div>
						<div class="login-bg">
						<div class="form-group msg_hgt">
							<input type="text" name="user_name"  id="user_name" class="form-control" onkeypress="return isSpace(event)" placeholder="Username / Email" maxlength="50" />
						</div>
						<div class="form-group msg_hgt">
							<input type="password" name="password" id="password" class="form-control" maxlength="16" placeholder="Password"/>
						</div> 
						<?php if(isset($_SESSION['beacon_login_attempt'])	&&	$_SESSION['beacon_login_attempt'] >= 3) {	?>
						<div class="form-group msg_hgt">
							<input id="captcha_code" name="captcha_code" type="text">
							<img src="includes/phpcaptcha/captcha.php?rand=<?php echo rand();?>" id='captchaimg'>
							<span>Can't read the image? click <a href='javascript: refreshCaptcha();'>here</a> to refresh.</span></td>
						</div> 
						<?php } ?>
						<input type="submit" name="admin_login_submit" id="admin_login_submit" value="LOG IN" title="Log In" class="btn btn-success btn-block">
						</div>
						
						<div class="footer sign-reset">      
							<div class="col-xs-12"><a href="ForgotPassword" title="Forgot Password">FORGOT PASSWORD</a></div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
<?php commonFooter(); ?>
<script type='text/javascript'>
/* 	function refreshCaptcha(){
		var img = document.images['captchaimg'];
		img.src = img.src.substring(0,img.src.lastIndexOf("?"))+"?rand="+Math.random()*1000;
	} */
	</script>
</html>