<?php 
require_once('includes/CommonIncludes.php');
admin_login_check();
commonHead();
require_once('controllers/UserController.php');
$userObj	   		=   new UserController();
require_once('controllers/AdminController.php');
$adminLoginObj   	=   new AdminController();

$field_focus		=	'UserType';

$fields		= " * ";
$condition	= " and Status = 1 and fkAdminsId = 0 ";
if(isset($_GET['editId']) && $_GET['editId'] != '' )
	$condition	=	" and Status = 1 and fkAdminsId = '".$_GET['editId']."' OR fkAdminsId = 0 ";

$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
	}
}
$Organizations			=	array();
if(isset($_GET['editId']) && $_GET['editId'] != '' ){
	/* TO get subadmin details */
	$condition       		= 	" AND id = ".$_GET['editId']." AND IsSubAdmin = 1 AND Status = 1";
	$fields					=	'*';
	$subAdminsResult		= 	$adminLoginObj->selectSubAdmins($fields,$condition);
	// echo "<pre>======";print_r($subAdminsResult);echo "=====</pre>";
	
	/* to get organization result */
	$condition				=	" fkAdminsId	=	'".$_GET['editId']."'";
	$fields					=	" * ";
	$orgResult				=	$userObj->getOrganization($fields,$condition);	
	
	
	// echo "<pre>======";print_r($orgResult);echo "=====</pre>";
	
	if(isset($subAdminsResult) && is_array($subAdminsResult) && count($subAdminsResult) > 0){
		$UserName 			= 	$subAdminsResult[0]->UserName;
		$Email 				= 	$subAdminsResult[0]->EmailAddress;
	}
	if(isset($orgResult) && count($orgResult)>0) {
		$Organizations		=	$orgResult[0]->id;
	}
	// echo "<pre>======";print_r($Organizations);echo "=====</pre>";die();
}


$query	= '';
if(isset($_POST['submit']) && $_POST['submit'] != ''){
	
	// echo "<pre>======";print_r($_POST);echo "=====</pre>";die();
	
	$_POST          =   unEscapeSpecialCharacters($_POST);
   	$_POST          =   escapeSpecialCharacters($_POST);
	
	if(isset($_POST['UserName']))
		$UserName	=	$_POST['UserName'];
	
	if(isset($_POST['Email']))
		$Email		=	$_POST['Email'];
		
	if(isset($_POST['Password']))
		$Password	=	$_POST['Password'];
	
	if(isset($_POST['ConfirmPassword']))
		$ConfirmPassword	=	$_POST['ConfirmPassword'];
		
	if(isset($_POST['Organizations']))
		$Organizations		=	$_POST['Organizations'];
	
	// echo "<pre>======";print_r($Organizations);echo "=====</pre>";
	
	if($_POST['submit'] == 'Save')
		$condition	=	" AND UserName = '".$_POST['UserName']."' AND id != ".$_POST['subAdminsId']." And IsSubAdmin = 1 AND Status = 1";
	else
		$condition	=	" AND UserName = '".$_POST['UserName']."' OR EmailAddress = '".$_POST['Email']."' And IsSubAdmin = 1 AND Status = 1";
	
	// To check admin email exist in regular user email
	$emailCondition		=	" Email = '".$_POST['Email']."' and Status = 1";
	$emailAlreadyExist	=	$userObj->checkUserLogin($emailCondition);
	
	// To check admin name and email is exist
	$fields			= 	" * ";
	$alreadyExist	=	$adminLoginObj->selectSubAdmins($fields,$condition);
	if(isset($alreadyExist) && is_array($alreadyExist) && count($alreadyExist) > 0) {
		if($alreadyExist[0]->UserName == $_POST['UserName']){
			$error_msg  	= "User Name already exists";
			$field_focus	= 'UserName';
		}else{
			$error_msg  	= "Email already exists";
			$field_focus	= 'Email';
		}
		$display 		= "block";
		$class   		= "alert-danger";
		$class_icon     = "fa-warning";
	}else if(isset($emailAlreadyExist) && is_array($emailAlreadyExist) && count($emailAlreadyExist) > 0){
		$error_msg  	= "Email already exists";
		$field_focus	= 'Email';
		$display 		= "block";
		$class   		= "alert-danger";
		$class_icon     = "fa-warning";
		
	}else {
		if($_POST['submit'] == 'Add') {
			$_POST['Status']		=	1;
			$_POST['IsSubAdmin']	=	1;
			$insert_id				=	$adminLoginObj->insertSubadmin($_POST);
			$date					=	date('Y-m-d H:i:s');
			// echo "=============".$insert_id;die();
			if(isset($insert_id) && $insert_id != '') {	
				$fields		=	" fkAdminsId = '".$insert_id."'";
				$condition	=	" id = '".$Organizations."'";
				$userObj->updateOrganization($fields,$condition);
			}
			$msg					=	1;
		}
		
		if($_POST['submit'] == 'Save') {
			if(isset($_POST['subAdminsId']) && $_POST['subAdminsId'] != '') {
				$passwordString	= '';
				
				if(isset($Password) && $Password != '')
					$passwordString	=	"Password			= '".$Password."',";
				
				$fields		=	$passwordString.
								"UserName			=	'".$UserName."',
								EmailAddress		=	'".$Email."',
								DateModified		= 	'".date('Y-m-d H:i:s')."'";
				$condition	=	" id	= ".$_POST['subAdminsId'];
				$adminLoginObj->updateSubadmin($fields,$condition);
				
				$orgFields	=	" fkAdminsId	=	0 ";
				$condition	=	" fkAdminsId = '".$_POST['subAdminsId']."'";
				$userObj->updateOrganization($orgFields,$condition);
				
				
				
				$orgFields	=	"fkAdminsId	=	".$_POST['subAdminsId'];
				$condition	=	" id = '".$Organizations."'";
				$userObj->updateOrganization($orgFields,$condition);
				$msg		=	2;
			}
		}
		header("location:SubAdmins?cs=1&msg=".$msg);
	}
}

?>
<body class="skin-blue" onload="return fieldfocus('<?php echo $field_focus; ?>');">
	<?php top_header(); ?>
	<section class="content">
		<div class="row">
			<form name="add_subadmins_form" id="<?php if(isset($_GET['editId']) && $_GET['editId'] != '' ) echo "edit"; else echo 'add';?>_subadmins_form" action="" method="post">
			<div class="col-md-12"> 
				<div class="box box-primary"> 
					<h2><?php if(isset($_GET['editId']) && $_GET['editId'] != '' ) echo "Edit "; else echo 'Add ';?>Organization Owner</h2>
					<div class="box-padding">
						<div class="col-md-12 no-padding">
						<?php if(isset($error_msg) && $error_msg != '')  { ?> <div class="alert <?php echo $class;  ?> alert-dismissable col-lg-4  col-sm-5  col-xs-11 text-center"><i class="fa <?php echo $class_icon ;  ?>"></i>  <?php echo $error_msg;  ?></div> <?php } ?>
						<input type="Hidden" name="subAdminsId" id="subAdminsId" value="<?php if(isset($_GET['editId']) && $_GET['editId'] != '' ) echo $_GET['editId'];?>">
						<input type="Hidden" name="fkUsersId" id="fkUsersId" value="<?php if(isset($fkUsersId) && $fkUsersId != '' ) echo $fkUsersId;?>">
						</div>
						<div class="form-group col-sm-6">
							<label>User Name</label>
							<input type="text" class="form-control" id="UserName" name="UserName" maxlength="50" onkeypress="return isSpace(event)" value="<?php if(isset($UserName) && $UserName != '') echo $UserName;  ?>" >
						</div>
						<div class="form-group col-sm-6">
							<label>Email Address</label>
							<input type="text" class="form-control" id="Email" name="Email" maxlength="50" value="<?php if(isset($Email) && $Email != '') echo $Email;  ?>" >
						</div>
						<div class="form-group col-sm-6 clear">
							<label>Password</label>
							<input type="password" class="form-control" id="Password" name="Password" maxlength="50" value="<?php if(isset($Password) && $Password != '') echo $Password;  ?>" >
						</div>
						<div class="form-group col-sm-6">
							<label>Confirm Password</label>
							<input type="password" class="form-control" id="ConfirmPassword" name="ConfirmPassword" maxlength="50" value="<?php if(isset($ConfirmPassword) && $ConfirmPassword != '') echo $ConfirmPassword;  ?>" >
						</div>
						<div class="form-group col-sm-6 clear">
							<label>Organizations</label>
							<select class="form-control" name="Organizations" id="Organizations">
							<option value="">--select--</option>
							<?php foreach($organizationArray as $key => $value) { ?>
							<option value="<?php echo $key; ?>" <?php if(isset($Organizations) && $Organizations == $key) echo 'selected'; ?>><?php echo $value; ?></option>
							<?php } ?>
							</select>
						</div>
						<div class="box-footer  col-xs-12" align="center">
							<?php if(isset($_GET['editId']) && $_GET['editId'] != ''){ ?>
								<input type="submit" class="btn btn-success mR-button" name="submit" id="submit" value="Save" title="Save" alt="Save">
							<?php } else { ?>
								<input type="submit" class="btn btn-success mR-button" name="submit" id="submit" value="Add" title="Add" alt="Add">
							<?php } ?>
							<?php $href_page = "SubAdmins";?>		
							<a href="<?php if(isset($href_page) && $href_page != '' ) echo $href_page; else echo 'SubAdmins';?>" class="btn btn-default" name="Back" id="Back" title="Back" alt="Back" >Back </a>	
						</div>
					</div>
				</div><!-- /.box -->
			</div><!-- /.col -->
			</form>	
		</div><!-- /.row -->
	</section><!-- /.content -->	
<?php commonFooter(); ?>
<script type="text/javascript">
/* $('#submit').click(function(){
	console.log($('#Organizations').val())
	if($('#Organizations').val() == null) {
		$('#org-error').show();
	}
}); */
</script>
</html>