<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/AdminController.php');
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] != 1) // user 
	header("location:Devices?cs=1");

require_once('controllers/UserController.php');
require_once('controllers/DeviceController.php');
require_once('controllers/BeaconController.php');

$userObj	   		=   new UserController();
$deviceObj	   		=   new DeviceController();
$beaconObj	   		=   new BeaconController();
$adminLoginObj  	=  	new AdminController();
	
admin_login_check();

if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['beacon_sess_subadmins_name']);
}

$subAdminsResult	=	array();

$fields		= " * ";
$condition	= " and Status = 1 ";

$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
	}
}

/* $userCondition		=	" fkOrganizationId = ".$_GET['deleteId']." AND Status = 1";
$userFields			=	" * ";
$userResult			=	$userObj->selectUserDetails($userFields,$userCondition);
//echo "<pre>======";print_r($userResult);echo "=====</pre>";die();
if(!empty($userResult)) {
	header("location:Organizations?msg=4");
} else { */

if(isset($_GET['deleteId']) && $_GET['deleteId'] != '') {
	$condition			=	" id	=".$_GET['deleteId'];
	$fields		 		= 	" Status = 2";
	$userTypeResult		= 	$adminLoginObj->updateSubadmin($fields,$condition);
	
	// CODE FOR DELETE HARDWARES
	$fields			=	" Status = 3";
	$condition		=	" fkAdminsId = ".$_GET['deleteId'];
	$deviceObj->updateDeviceDetails($fields,$condition);
	
	// CODE FOR DELETE BEACONS
	$fields			=	" Status = 2";
	$condition		=	" fkAdminsId = ".$_GET['deleteId'];
	$beaconObj->updateBeaconDetails($fields,$condition);
	
	header("location:SubAdmins?msg=3");
}

if(isset($_POST['Search']) && $_POST['Search'] != '') {
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	if(isset($_POST['UserName']))
		$_SESSION['beacon_sess_subadmins_name']		= trim($_POST['UserName']);
}


setPagingControlValues('a.id',ADMIN_PER_PAGE_LIMIT);
$fields    	 = " a.*, o.OrganizationName ";
$condition 	 = " and a.IsSubAdmin = 1 AND a.Status = 1";

$subAdminsResult	  	= $adminLoginObj->getSubAdminDetails($fields,$condition);
$tot_rec 				= $adminLoginObj->getTotalRecordCount();
if($tot_rec!=0 && !is_array($subAdminsResult)) {
	$_SESSION['curpage'] = 1;
	$subAdminsResult	 	 = $adminLoginObj->getSubAdminDetails($fields,$condition);
}

// echo "<pre>======";print_r($subAdminsResult);echo "=====</pre>";die();

/* if(isset($subAdminsResult) && count($subAdminsResult) > 0) {
	foreach($subAdminsResult as $key => $value) {
		$sudAdminDetails[$key]['id']				=	$value->id;
		$sudAdminDetails[$key]['UserName']			=	$value->UserName;
		$sudAdminDetails[$key]['EmailAddress']		=	$value->EmailAddress;
		$fields										=	'OrganizationId';
		$condition									=	" SubAdminId = ".$value->id;
		$relationResult								=	$adminLoginObj->selectRelationship($fields,$condition);
		foreach($relationResult as $relKey => $relVal) {
			$sudAdminDetails[$key]['Organizations'][]	=	$relVal->OrganizationId;
		}
	}
} */
// echo "<pre>======";print_r($sudAdminDetails);echo "=====</pre>";
	
if(isset($_GET['msg']) && $_GET['msg'] == 1) {
	$msg		= "Organization Owner added successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 2 ) {
	$msg		= "Organization Owner updated successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 3 ) {
	$msg		= "Organization Owner deleted successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}else if(isset($_GET['msg']) && $_GET['msg'] == 4 ) {
	$msg		= "You don't have permission to delete this organization, since it have users";
	$class		= "alert-danger";
	$class_icon = "fa-warning";
	$display 	= "block";
}
commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>	
<!-- Main content -->
	<section class="content">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary add-header">
				<h2>Organization Owners List</h2>
				<div class="col-xs-12 add-btns">
					<a href="ManageSubAdmins" name="addSubAdmin" id="addSubAdmin" class="add-device"><i class="fa fa-plus"></i> Add Organization Owners</a>
				</div>
				<form name="searchCategory" action="SubAdmins" method="post">
						<div class="box box-primary box-padding report separator">
							<div class="box-body no-padding" >
								<div class="col-sm-4 col-xs-12 form-group">
									<label>User Owner</label>
									<input type="text" placeholder="User Name" class="form-control" name="UserName" id="UserName"  value="<?php  if(isset($_SESSION['beacon_sess_subadmins_name']) && $_SESSION['beacon_sess_subadmins_name'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_subadmins_name'])); ?>" >
								</div>
								
								<div class="col-sm-4 col-xs-12 form-group" align="center">
									<label>&nbsp;</label>
									<input type="submit" class="btn btn-success fleft" name="Search" id="Search" value="Search">
								</div>
							</div>
						</div>
					</form>
				
				
				<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($subAdminsResult) && is_array($subAdminsResult) && count($subAdminsResult) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of Organization Owner(s)&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(is_array($subAdminsResult) && count($subAdminsResult) > 0 ) {
									pagingControlLatest($tot_rec,'SubAdmins'); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa <?php echo $class_icon ?>"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>
								<th width="15%" align="left" style="text-align:left;"><?php echo sortColumn('UserName','Username'); ?></th>
								<th width="15%" align="left" style="text-align:left;"><?php echo sortColumn('EmailAddress','Email'); ?></th>
								<th width="15%" align="left" style="text-align:left;">Organizations</th>
								<th width="7%" align="left" style="text-align:left;">Action</th>
							</tr>
							<?php if(isset($subAdminsResult) && is_array($subAdminsResult) && count($subAdminsResult) > 0 ) {
										foreach($subAdminsResult as $key => $value) { 
							?>
							<tr id="test_id_<?php echo $value->id; ?>">
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td><?php if(isset($value->UserName) && $value->UserName != '') echo $value->UserName; else echo '-';?></td>
								<td><?php if(isset($value->EmailAddress) && $value->EmailAddress != '') echo $value->EmailAddress; else echo '-'; ?></td>
								<td><?php if(isset($value->OrganizationName) && $value->OrganizationName != '') echo $value->OrganizationName; else echo '-'; ?> 
								</td>
												
								<td class="action-icons" align="center">
									<a href='ManageSubAdmins?editId=<?php echo $value->id; ?>' name='edit' title='Edit'><i class="fa fa-pencil"></i></a>
									<a href='SubAdmins?deleteId=<?php echo $value->id; ?>' class="delete_click" data-msg="Are you sure you want to delete this Sub Admin?" data-clicktype="1"  name='deleteUserType' title='Delete'><i class="fa fa-trash-o"></i></a>
								</td>
							<?php } } else { ?>
							<tr>
								<td colspan="9" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Sub Admin found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php commonfooter(); ?>
<script type="text/javascript">
$('.beacon-image-pop-up').fancybox({title:true});
</script>
</html>