<?php
/**
 * configuration variables
 *
 * This file has constants and global variable used throughout the application.
 *
 */
define("TITLE","Beacon");
if (isset($_SERVER['HTTPS']) && ($_SERVER["HTTPS"] == 'on' ) )
	$site = 'https://';
elseif (!empty($_SERVER['HTTP_X_FORWARDED_PROTO']) && $_SERVER['HTTP_X_FORWARDED_PROTO'] == 'https' || !empty($_SERVER['HTTP_X_FORWARDED_SSL']) && $_SERVER['HTTP_X_FORWARDED_SSL'] == 'on')
	$site = 'https://';
else
	$site = 'http://';

if($_SERVER['SERVER_ADDR']=='172.21.4.104')
{
	define('BASE_URL',$site.$_SERVER['HTTP_HOST']);
	define('SITE_PATH',  $site.$_SERVER['HTTP_HOST'].'/beacon');
	define('ABS_PATH',  'C:/wamp/www/beacon');
	define('SERVER',  0);
	define('WEB_SERVICE',   $site.$_SERVER['HTTP_HOST'].'/beacon/');
	define('SITE_PATH_UPLOAD',SITE_PATH.'/webresources/uploads/');
	define('ABS_PATH_UPLOAD',ABS_PATH.'/webresources/uploads/');
}
else
{
	define('BASE_URL',$site.$_SERVER['HTTP_HOST']);
	define('SITE_PATH',  $site.$_SERVER['HTTP_HOST'].'/beaconservices');
	define('ABS_PATH',  '/home2/keytwoac/public_html/beaconservices/');
	define('SERVER',  0);
	define('WEB_SERVICE',  $site.$_SERVER['HTTP_HOST'].'/beaconservices/');
	define('SITE_PATH_UPLOAD',SITE_PATH.'/webresources/uploads/');
	define('ABS_PATH_UPLOAD',ABS_PATH.'/webresources/uploads/');
}

define('ENCRYPTSALT','saltisgood');

//dl2k2hrieev.cloudfront.net
//script ans style path
define('SITE_TITLE', 'key2access');
define('ADMIN_SCRIPT_PATH', SITE_PATH.'/webresources/js/');
define('ADMIN_STYLE_PATH', SITE_PATH.'/webresources/css/');
define('ADMIN_IMAGE_PATH', SITE_PATH.'/webresources/images/');
define('BEACON_NO_IMAGE_PATH', SITE_PATH.'/webresources/images/beacon_no_image.png');

define('TEMP_USER_IMAGE_PATH', SITE_PATH.'/webresources/uploads/temp/');	
define('TEMP_USER_IMAGE_PATH_REL', ABS_PATH.'/webresources/uploads/temp/');

define('UPLOAD_ADMIN_LOGO_REL', ABS_PATH.'/webresources/uploads/adminlogo/');

define('ADMIN_LOGO_PATH',SITE_PATH_UPLOAD.'adminlogo/');	
define('ADMIN_LOGO_PATH_REL', ABS_PATH_UPLOAD.'adminlogo/');

define('USER_IMAGE_PATH',SITE_PATH_UPLOAD.'users/');	
define('USER_IMAGE_PATH_REL', ABS_PATH_UPLOAD.'users/');

define('USER_THUMB_IMAGE_PATH', SITE_PATH_UPLOAD.'users/thumbnail/');	
define('USER_THUMB_IMAGE_PATH_REL', ABS_PATH_UPLOAD.'users/thumbnail/');

define('UPLOAD_USER_PATH_REL', ABS_PATH.'/webresources/uploads/users/');
define('UPLOAD_USER_THUMB_PATH_REL', ABS_PATH.'/webresources/uploads/users/thumbnail/');

define('BEACON_IMAGE_PATH',SITE_PATH_UPLOAD.'beacons/');	
define('BEACON_IMAGE_PATH_REL', ABS_PATH_UPLOAD.'beacons/');

define('BEACON_THUMB_IMAGE_PATH', SITE_PATH_UPLOAD.'beacons/thumbnail/');	
define('BEACON_THUMB_IMAGE_PATH_REL', ABS_PATH_UPLOAD.'beacons/thumbnail/');

define('UPLOAD_BEACON_PATH_REL', ABS_PATH.'/webresources/uploads/beacons/');
define('UPLOAD_BEACON_THUMB_PATH_REL', ABS_PATH.'/webresources/uploads/beacons/thumbnail/');

define('TEMP_ORGANIZATION_IMAGE_PATH', SITE_PATH.'/webresources/uploads/temp/');	
define('TEMP_ORGANIZATION_IMAGE_PATH_REL', ABS_PATH.'/webresources/uploads/temp/');

define('UPLOAD_ORGANIZATION_PATH_REL', ABS_PATH.'/webresources/uploads/organizations/');
define('UPLOAD_ORGANIZATION_THUMB_PATH_REL', ABS_PATH.'/webresources/uploads/organizations/thumbnail/');

define('ORGANIZATION_IMAGE_PATH',SITE_PATH_UPLOAD.'organizations/');	
define('ORGANIZATION_IMAGE_PATH_REL', ABS_PATH_UPLOAD.'organizations/');

define('ORGANIZATION_THUMB_IMAGE_PATH', SITE_PATH_UPLOAD.'organizations/thumbnail/');	
define('ORGANIZATION_THUMB_IMAGE_PATH_REL', ABS_PATH_UPLOAD.'organizations/thumbnail/');

define('TEMP_ROLE_IMAGE_PATH', SITE_PATH.'/webresources/uploads/temp/');	
define('TEMP_ROLE_IMAGE_PATH_REL', ABS_PATH.'/webresources/uploads/temp/');

define('UPLOAD_ROLE_PATH_REL', ABS_PATH.'/webresources/uploads/roles/');
define('UPLOAD_ROLE_THUMB_PATH_REL', ABS_PATH.'/webresources/uploads/roles/thumbnail/');

define('ROLE_IMAGE_PATH',SITE_PATH_UPLOAD.'roles/');	
define('ROLE_IMAGE_PATH_REL', ABS_PATH_UPLOAD.'roles/');

define('ROLE_THUMB_IMAGE_PATH', SITE_PATH_UPLOAD.'roles/thumbnail/');	
define('ROLE_THUMB_IMAGE_PATH_REL', ABS_PATH_UPLOAD.'roles/thumbnail/');

define('LIMIT',100);
define('PERPAGE',25);

define('ADMIN_PER_PAGE_LIMIT', 10);

global $admin_per_page_array;
$admin_per_page_array = array(10,50,100,200,250);

global $device_status_array;
$device_status_array = array(0=>'Not Activated',1=>'Active', 2=> 'Inactive', 3 => 'Deleted');


global $location_range_array;
$location_range_array = array(1=>'Near', 2=> 'Immediate', 3 => 'Far');

global $beacons_status_array;
$beacons_status_array = array(0=> 'Inactive', 1=> 'Active', 2 => 'Deleted');

global $beacons_traffic_device_type;
$beacons_traffic_device_type = array(0=> 'V.1', 1=> 'V.2');


define('ADMIN_PER_PAGE_ARRAY', 'return ' . var_export($admin_per_page_array, 1) . ';');//define constant array
global $methodArray;

global $beacon_type_array;
$beacon_type_array = array(1=> 'IBeacon', 2=> 'Virtual Beacon', 3=> 'Traffic Beacon', 4=> 'Open Door Beacon',5=> 'Custom Beacon');

global $beacon_type_color;
$beacon_type_color = array(1=> 'blue', 2=> 'black', 3=> 'red', 4=> 'green',5=> 'blue');
 //, 3=> 'Android Beacon', 3=> 'EddystoneBeacon'
/*Permission Set May Updates*/
/* For Roles */
global $Role;
$Role					=	array(
									'0'		=>	'K2A Master',
									'1'		=>	'Master',
									'2'		=>	'Admin',
									'3'		=>	'Editor',
									'4'		=>	'Analyst',
									'5'		=>	'Technician'
								);
/* For Pages */
/* For module access */
global $Pages;
$Pages			=	array(
									'1'		=>	'Organization',
									'2'		=>	'Role',
									'3'		=>	'Beacon',
									'4'		=>	'Analytics'
								);
/* For module access */
/* For access/actions */
global $user_access;
$user_access			=	array(
									'1'		=>	'Add',
									'2'		=>	'Edit',
									'3'		=>	'View',
									'4'		=>	'Delete'
								);		

/* For access/actions */
/* For Role Based */
global $permission_access;
$permission_access		=	array(
									'0'		=>	'all',//K2A
									'1'		=>	'all',//Org Master
									'2'		=>	array( //Admin->Module_access
														'2_1'	=>	'1',
														'2_3'	=> 	'3',
														'2_4' 	=> 	'4',
														'3_1' 	=> 	'1',
														'3_2' 	=> 	'2',
														'3_3' 	=> 	'3',
														'3_4' 	=> 	'4'
												),
									'3'		=>	array( //Editor->Module_access
														'2_3'	=>	'3',
														'3_2'	=>	'2',
														'3_3'	=>	'3',
												),
									'4'		=>	array( //Analyst->Module_access
														'2_3'	=>	'3',
														'3_3'	=>	'3',
												),
									'5'		=>	'all', //Technician->Module_access
								);
global $role_array;
 $role_array	=	array(
						//0=>'K2AMaster',
						1=>'Master',
						2=>'Admin',
						3=>'Editor',
						4=>'Analyst',
						5=>'Technician'
						);
/*Permission Set May Updates*/
define ('DEFAULT_LOCATION_LIMIT',10);

?>
