<?php
	class BeaconController extends Controller
	{
		function getTotalRecordCount()
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->getTotalRecordCount();
		}
		function getBeaconList($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->getBeaconList($fields,$condition);
		}
		function insertBeaconDetails($fields)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->insertBeaconDetails($fields);
		}
		function updateBeaconDetails($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->updateBeaconDetails($fields,$condition);
		}
		function selectBeaconDetails($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->selectBeaconDetails($fields,$condition);
		}
		function getBeaconDetail($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->getBeaconDetail($fields,$condition);
		}
		function getBeaconCount($field,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->getBeaconCount($field,$condition);
		}
		function insertBeaconAngle($beacon_angle)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->insertBeaconAngle($beacon_angle);
		}
		function getBeaconAngle($fields,$conditions)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->getBeaconAngle($fields,$conditions);
		}
		function updateBeaconAngle($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->updateBeaconAngle($fields,$condition);
		}
		function insertMajorDetails($fields)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->insertMajorDetails($fields);
		}
		
		function selectMajorDetails($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->selectMajorDetails($fields,$condition);
		}
		
		function updateMajorDetails($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->updateMajorDetails($fields,$condition);
		}
		function selectMajorLatDetails($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->selectMajorLatDetails($fields,$condition);
		}
		function selectHardwareDetials($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->selectHardwareDetials($fields,$condition);
		}
		function selectMajMinDetials($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->selectMajMinDetials($fields,$condition);
		}
		function selectMajMinDetials1($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->selectMajMinDetials1($fields,$condition);
		}
		function getHardwareMajorDetails($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->getHardwareMajorDetails($fields,$condition);
		}
		function insertTrafficLocations($trafficLocation)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->insertTrafficLocations($trafficLocation);
		}
		function selectTrafficLocations($field,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->selectTrafficLocations($field,$condition);
		}
		function updateTrafficLocations($field,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->updateTrafficLocations($field,$condition);
		}
		function selectMajorsList($field,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->selectMajorsList($field,$condition);
		}
		function selectMajorCountDetails($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->selectMajorCountDetails($fields,$condition);
		}
		function selectMapBeaconDetails($fields,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->selectMapBeaconDetails($fields,$condition);
		}
		/* Get last Minor details worked by Rajkumar*/
		function getLastMinorDetials($field,$condition)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->getLastMinorDetials($field,$condition);
		}
		/* Get last Minor details worked by Rajkumar*/
		/* beacon edit details update*/
		function beaconUpdateDetails($fields)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->beaconUpdateDetails($fields);
		}
		/* beacon edit details update*/
		/* GET beacon edit details update*/
		function getbeaconUpdateDetails($fields,$cond)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->getbeaconUpdateDetails($fields,$cond);
		}
		/* beacon edit details update*/
		function getsystemTracking($fields,$cond)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->getsystemTracking($fields,$cond);
		}
		function getTrafficBeaconTracking($fields,$cond)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->getTrafficBeaconTracking($fields,$cond);
		}
		function trafficCalculation($fields,$cond)
		{
			if (!isset($this->BeaconModelObj))
				$this->loadModel('BeaconModel', 'BeaconModelObj');
			if ($this->BeaconModelObj)
				return $this->BeaconModelObj->trafficCalculation($fields,$cond);
		}
	}
?>