<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/BeaconController.php');
require_once('controllers/AdminController.php');
require_once('controllers/UserController.php');

$userObj		=  new UserController();
$beaconObj		=  new BeaconController();
$adminLoginObj  =  new AdminController();
admin_login_check();
$organizationDetails=array();
$beaconsList 	=  $param = $optionCondition = '';
/* check access and allow */
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] !=0 && isset($_SESSION['beacon_sess_beacon_permission']) && !empty($_SESSION['beacon_sess_beacon_permission'])) {
	if(!in_array($_GET['viewId'],$_SESSION['beacon_sess_beacon_permission'])){
		header("location:Beacons?cs=1");
	}
}	

$fields		= " * ";
$condition	= " and Status = 1 ";
$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
		$organizationDetails[$orgValue->id]	=	$orgValue;
	}
}
$isAdmin=0;
$searchClass	=	"display:block";
$formSytle		=	"display:none";
/* unset session variable */ 
if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['roles_sess_roletype']);
	unset($_SESSION['beacon_sess_searchbeacon']);
	unset($_SESSION['field_sess_searchField']);
}
if(isset($_POST['Search']) && $_POST['Search'] != '') {
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	if(isset($_POST['searchRolesType']))
		$_SESSION['roles_sess_roletype'] 	    = $_POST['searchRolesType'];
	if(isset($_POST['searchBeacon']))
		$_SESSION['beacon_sess_searchbeacon']		= trim($_POST['searchBeacon']);
	if(isset($_POST['searchField']))
		$_SESSION['field_sess_searchField']		= trim($_POST['searchField']);
}

$beaconCondition	=	1;


if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] != 0)
	$organizationId		=	$_SESSION['beacon_sess_user_orgid'];



if(isset($_GET['orgId']) && $_GET['orgId'] != '') 
	$fkOrganizationId = $_SESSION['beacon_sess_orgId'] = $_GET['orgId'];
if($_SESSION['beacon_sess_user_orgid'] != 0)
	$fkOrganizationId = $_SESSION['beacon_sess_user_orgid'];
if(isset($_GET['viewId']) && $_GET['viewId'] != ''){
	$param		 = '?viewId='.$_GET['viewId'];
}
setPagingControlValues('a.id',ADMIN_PER_PAGE_LIMIT);

$fields='bu.id,bu.fieldName,bu.oldValue,bu.newValue,bu.dateCreated,b.Description,a.IsSubAdmin';
$condition='bu.fkAdminsId='.$_GET['viewId'];
$Result  	= $beaconObj->getbeaconUpdateDetails($fields,$condition);
$role_array[0]='K2A Master';
//echo '<pre>';print_r($role_array);
$tot_rec 			= $beaconObj->getTotalRecordCount();
if($tot_rec!=0 && !is_array($Result)) {
	$_SESSION['curpage'] = 1;
	$Result 	 = $beaconObj->getbeaconUpdateDetails($fields,$condition);
}


commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>	
<!-- Main content -->
	<section class="content">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary add-header">
				<h2>Beacon Updation History Log</h2>
					<?php if(isset($_GET['viewId']) && $_GET['viewId'] != '') { ?>
						<div class="col-xs-12 add-btns">					
							<a href="Roles" name="Back" id="Back" class="add-device" alt="Back" title="Back"> Back </a>
						</div>
					<?php }  ?>
					<!----admin View Org---->
					
					<div class="general-setting sett-menu">	
						<h2 class="tabsection" id="searchBox" alt="Search" title="Search">Search <i class="fa fa-angle-down" id="searchBox_icon"></i></h2>
						<div id="searchBox_block" style="<?php echo $formSytle; ?>">
							<form name="searchCategory" style="" id="searchCategory" action="BeaconsTrack<?php echo $param; ?>" method="post">
								<div class="box box-primary box-padding report separator">
									<div class="box-body no-padding" >
										
										
										<div class="col-sm-4 col-xs-12 form-group">
											<label for="RolesType">Roles Type</label>
											<select name="searchRolesType" id="searchRolesType" class="form-control">
												<option value=''>--select--</option>
												<?php foreach($role_array as $key=>$value) { ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['roles_sess_roletype']) && $_SESSION['roles_sess_roletype'] != '' && ($_SESSION['roles_sess_roletype'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } ?>
											</select>
										</div>
										<div class="col-sm-4 col-xs-12 form-group">
											<label for="Users">Beacon Name</label>
											<input name="searchBeacon" id="searchBeacon" value="<?php echo isset($_SESSION['beacon_sess_searchbeacon'])?$_SESSION['beacon_sess_searchbeacon']:''; ?>" class="form-control">
										</div>
										<div class="col-sm-4 col-xs-12 form-group">
											<label for="Field">Field</label>
											<input name="searchField" id="searchField" value="<?php echo isset($_SESSION['field_sess_searchField'])?$_SESSION['field_sess_searchField']:''; ?>" class="form-control">
										</div>
										
										<div class="col-sm-12 clear" align="center">
											<input type="submit" class="btn btn-success" name="Search" id="Search" value="Search">
										</div>
									</div>
								</div>
							</form>
						</div>
					</div>						
					<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($Result) && is_array($Result) && count($Result) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of Beacon Updation Log(s)&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(is_array($Result) && count($Result) > 0 ) {
									pagingControlLatest($tot_rec,'BeaconsRoleTrack'.$param); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0" border="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>
								<th width="10%" align="left" style="text-align:left;">Beacon Name</th>
								<th width="10%" align="left" style="text-align:left">Role</th>
								<th width="20%" align="left" style="text-align:left;">Field</th>
								<th width="25%" align="left" style="text-align:left;">Old value</th>
								<th width="25%" align="left" style="text-align:left;">New Value</th>
								<th width="5%" align="left" style="text-align:left;">Updated <br />Date/Time</th>
							</tr>
							<?php if(isset($Result) && is_array($Result) && count($Result) > 0 ) {
										foreach($Result as $key => $value) { 
							?>
							<tr id="test_id_<?php echo $value->id;?>" >
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td class="description-value"><?php if(isset($value->Description) && $value->Description != '') echo ucfirst($value->Description); else echo '-'; ?></td>
								
								<td class="description-value"><?php if(isset($value->IsSubAdmin) && $value->IsSubAdmin != '' && isset($role_array[$value->IsSubAdmin])) echo $role_array[$value->IsSubAdmin]; else echo '-';?></td>
								<td><?php if(isset($value->fieldName) && $value->fieldName != '' ) echo $value->fieldName; else echo '-';?></td>
								<td><?php if(isset($value->oldValue) && $value->oldValue != '' ) echo $value->oldValue; else echo '-';?></td>
								<td><?php if(isset($value->newValue) && $value->newValue != '' ) echo $value->newValue; else echo '-';?></td>
								<td><?php if(isset($value->dateCreated) && $value->dateCreated != '' && $value->dateCreated != '0000-00-00 00:00:00' && $value->dateCreated != '1970-01-01 00:00:00'){
									$gmt_current_start_time = convertIntocheckinGmtSite($value->dateCreated);
									$date_created			=  displayConversationDateTimeForLog($gmt_current_start_time,$_SESSION['beacon_ses_from_timeZone']);
									dateSplitter($date_created); 
								} else echo "-";?></td>
								
								
								
							</tr>
							<?php } } else { ?>
							<tr>
								<td colspan="11" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Beacons Updation Log found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php commonfooter(); ?>
<script type="text/javascript">
</script>
</html>