<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/BeaconController.php');
require_once('controllers/AdminController.php');
require_once('controllers/UserController.php');

$userObj		=  new UserController();
$beaconObj		=  new BeaconController();
$adminLoginObj  =  new AdminController();
admin_login_check();
$organizationDetails=array();
$beaconsList 	=  $param = $optionCondition = '';
/* check access and allow */
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] !=0 && isset($_SESSION['beacon_sess_beacon_permission']) && !empty($_SESSION['beacon_sess_beacon_permission'])) {
	if(!in_array($_GET['viewId'],$_SESSION['beacon_sess_beacon_permission'])){
		header("location:Beacons?cs=1");
	}
}	
/* check access and allow */ 




$fields		= " * ";
$condition	= " and Status = 1 ";
$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
		$organizationDetails[$orgValue->id]	=	$orgValue;
	}
}
$isAdmin=0;
$searchClass	=	"display:block";
$formSytle		=	"display:none";
if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['roles_sess_roletype']);
	unset($_SESSION['users_sess_searchUser']);
	unset($_SESSION['field_sess_searchField']);
}
if(isset($_POST['Search']) && $_POST['Search'] != '') {
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	if(isset($_POST['searchRolesType']))
		$_SESSION['roles_sess_roletype'] 	    = $_POST['searchRolesType'];
	if(isset($_POST['searchUser']))
		$_SESSION['users_sess_searchUser']		= trim($_POST['searchUser']);
	if(isset($_POST['searchField']))
		$_SESSION['field_sess_searchField']		= trim($_POST['searchField']);
}

$beaconCondition	=	1;


if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] != 0)
	$organizationId		=	$_SESSION['beacon_sess_user_orgid'];



if(isset($_GET['orgId']) && $_GET['orgId'] != '') 
	$fkOrganizationId = $_SESSION['beacon_sess_orgId'] = $_GET['orgId'];
if($_SESSION['beacon_sess_user_orgid'] != 0)
	$fkOrganizationId = $_SESSION['beacon_sess_user_orgid'];
if(isset($_GET['viewId']) && $_GET['viewId'] != ''){
	$param		 = '?viewId='.$_GET['viewId'];
}
setPagingControlValues('d.id',ADMIN_PER_PAGE_LIMIT);
$Result	=	$FieldNameArray	=	array();
$FieldNameArray['Street1Name']			=	'N/S Street';
$FieldNameArray['Street2Name']			=	'E/W Street';
$FieldNameArray['Street1NameFR']			=	'N/S Street FR';
$FieldNameArray['Street2NameFR']			=	'E/W Street FR';
$FieldNameArray['Angle1WalkMessage']			=	'N/S Walk Message';
$FieldNameArray['Angle1WalkMessageFr']			=	'N/S Walk Message FR';
$FieldNameArray['Angle2WalkMessage']			=	'E/W Walk Message';
$FieldNameArray['Angle2WalkMessageFr']			=	'E/W Walk Message FR';
$FieldNameArray['Angle1WaitMessage']			=	'N/S Wait Message';
$FieldNameArray['Angle1WaitMessageFr']			=	'N/S Wait Message FR';
$FieldNameArray['Angle2WaitMessage']			=	'E/W Wait Message';
$FieldNameArray['Angle2WaitMessageFr']			=	'E/W Wait Message FR';
$FieldNameArray['DynamicMessage']				=	'Dynamic Message';
$FieldNameArray['StaticMessage']				=	'Static Message';
$FieldNameArray['DynamicMessageFR']				=	'Dynamic Message FR';
$FieldNameArray['StaticMessageFR']				=	'Static Message FR';
/*****Extra ******/
$FieldNameArray['BeaconLongitude']				=	'Beacon Longitude';
$FieldNameArray['BeaconLatitude']				=	'Beacon Latitude';
$FieldNameArray['Description']					=	'Name';
$FieldNameArray['DescriptionFR']				=	'Name FR';
$FieldNameArray['Angle1Description']			=	'Angle1 Description';
$FieldNameArray['Angle2Description']			=	'Angle2 Description';
$FieldNameArray['Angle3Description']			=	'Angle3 Description';
$FieldNameArray['Angle4Description']			=	'Angle4 Description';
$FieldNameArray['Angle1DescriptionFR']			=	'Angle1 Description FR';
$FieldNameArray['Angle2DescriptionFR']			=	'Angle2 Description FR';
$FieldNameArray['Angle3DescriptionFR']			=	'Angle3 Description FR';
$FieldNameArray['Angle4DescriptionFR']			=	'Angle4 Description FR';
if(isset($_GET['viewId']) && $_GET['viewId']!=''){
	$condition       		= 	" id = ".$_GET['viewId']." and Status in (0,1)";
	$field					=	'Description';
	$beaconDetailsResult  	= 	$beaconObj->selectBeaconDetails($field,$condition);
	$fields='b.BeaconTimezone,b.BeaconLatitude,b.Description,b.BeaconLongitude,bu.id,bu.fieldName,bu.oldValue,bu.newValue,bu.dateCreated,a.UserName,a.last_name,a.first_name,a.IsSubAdmin';
	$condition='bu.fkBeaconsId='.$_GET['viewId'];
	$Result  	= $beaconObj->getbeaconUpdateDetails($fields,$condition);
	$role_array[0]='K2A Master';
	//echo '<pre>';print_r($role_array);
	$tot_rec 			= $beaconObj->getTotalRecordCount();
	if($tot_rec!=0 && !is_array($Result)) {
		$_SESSION['curpage'] = 1;
		$Result 	 = $beaconObj->getbeaconUpdateDetails($fields,$condition);
	}
}
//echo '<pre>';print_r($Result);

commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>	
<!-- Main content -->
	<section class="content bor-change">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary add-header">
				<h2><b>Beacon - History <span class="view_beacon_name_right"><?php echo isset($beaconDetailsResult[0]->Description)?$beaconDetailsResult[0]->Description:'';?></span></b></h2>
					<?php if(isset($_GET['viewId']) && $_GET['viewId'] != '') { ?>
							
						<div class="col-xs-12 add-btns">			
							<a href="Beacons" name="Back" id="Back" class="add-device" alt="Back" title="Back"> Back </a>
						</div>
					<?php }  ?>
					<!----admin View Org---->
					
					<div class="general-setting sett-menu">	
						<h2 class="tabsection" id="searchBox" alt="Search" title="Search">Search <i class="fa fa-angle-down" id="searchBox_icon"></i></h2>
						<div id="searchBox_block" style="<?php echo $formSytle; ?>">
							<form name="searchCategory" style="" id="searchCategory" action="BeaconsTrack<?php echo $param; ?>" method="post">
								<div class="box box-primary box-padding report separator">
									<div class="box-body no-padding" >
										
										
										<div class="col-sm-4 col-xs-12 form-group">
											<label for="RolesType">Roles Type</label>
											<select name="searchRolesType" id="searchRolesType" class="form-control">
												<option value=''>--select--</option>
												<?php foreach($role_array as $key=>$value) { ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['roles_sess_roletype']) && $_SESSION['roles_sess_roletype'] != '' && ($_SESSION['roles_sess_roletype'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } ?>
											</select>
										</div>
										<div class="col-sm-4 col-xs-12 form-group">
											<label for="Users">Users</label>
											<input name="searchUser" id="searchUser" value="<?php echo isset($_SESSION['users_sess_searchUser'])?$_SESSION['users_sess_searchUser']:''; ?>" class="form-control">
										</div>
										<div class="col-sm-4 col-xs-12 form-group">
											<label for="Field">Field</label>
											<input name="searchField" id="searchField" value="<?php echo isset($_SESSION['field_sess_searchField'])?$_SESSION['field_sess_searchField']:''; ?>" class="form-control">
										</div>
										
										<div class="col-sm-12 clear" align="center">
											<input type="submit" class="btn btn-success" name="Search" id="Search" value="Search">
										</div>
									</div>
								</div>
							</form>
						</div>
					</div>						
					<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($Result) && is_array($Result) && count($Result) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of Beacon Update Log(s)&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(is_array($Result) && count($Result) > 0 ) {
									pagingControlLatest($tot_rec,'BeaconsTrack'.$param); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0" border="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>
								<th width="10%" align="left" style="text-align:left;">User Name</th>
								<th width="10%" align="left" style="text-align:left">Role</th>
								<th width="20%" align="left" style="text-align:left;">Field</th>
								<th width="25%" align="left" style="text-align:left;">Old Value</th>
								<th width="25%" align="left" style="text-align:left;">New Value</th>
								<th width="5%" align="left" style="text-align:left;">Date/Time<br />Updated </th>
								<!--th width="5%" align="left" style="text-align:left;">Beacon <br /> Date/Time Updated </th-->
							</tr>
							<?php if(isset($Result) && is_array($Result) && count($Result) > 0 ) {
										foreach($Result as $key => $value) { 
							?>
							<tr id="test_id_<?php echo $value->id;?>" >
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td class="description-value"><?php if(isset($value->first_name) && $value->first_name != '' && isset($value->last_name)) echo ucfirst($value->first_name.' '.$value->last_name); else echo '-'; ?></td>
								
								<td class="description-value"><?php if(isset($value->IsSubAdmin) && $value->IsSubAdmin != '' && isset($role_array[$value->IsSubAdmin])) echo $role_array[$value->IsSubAdmin]; else echo '-';?></td>
								<td><?php if(isset($value->fieldName) && $value->fieldName != '' ) echo isset($FieldNameArray[$value->fieldName])?$FieldNameArray[$value->fieldName]:$value->fieldName; else echo '-';?></td>
								<td><?php if(isset($value->oldValue) && $value->oldValue != '' ) echo $value->oldValue; else echo '-';?></td>
								<td><?php if(isset($value->newValue) && $value->newValue != '' ) echo $value->newValue; else echo '-';?></td>
								<?php //if($_SERVER['REMOTE_ADDR']=='103.98.32.27' || $_SERVER['REMOTE_ADDR']=='172.21.4.174' ){ ?>
								<!--td ><?php 
								if(isset($value->dateCreated) && $value->dateCreated != ''){
									//echo date_default_timezone_get();
									$track_time = convertTimeToZeroUTC($value->dateCreated,date_default_timezone_get());
									$time_show = convertTimeToZeroUTCAMPM($value->dateCreated,date_default_timezone_get());
									//echo $time_show; 
								}
									/* else 
										echo '-';  */
								?> </td-->
								<td dta-timezone="<?php echo $value->BeaconTimezone; ?>" dta-create="<?php echo $value->dateCreated; ?>"><?php if(isset($track_time) && $track_time != '' && $track_time != '0000-00-00 00:00:00' && $track_time != '1970-01-01 00:00:00'){
									if($value->BeaconLatitude!='' && $value->BeaconLongitude!='' && $value->BeaconTimezone!='')
										$beacon_date_time_show = convertTrackIntoBeaconDateTimeAMPM($value->dateCreated,$value->BeaconTimezone);
									else
										$beacon_date_time_show = '';
									echo $beacon_date_time_show;
								} else echo "-";
								?>
								</td>
								<?php //} ?>
								<!--td><?php/*  if(isset($value->dateCreated) && $value->dateCreated != '' && $value->dateCreated != '0000-00-00 00:00:00' && $value->dateCreated != '1970-01-01 00:00:00'){
									$gmt_current_start_time = convertIntocheckinGmtSite($value->dateCreated);
									$date_created			=  displayConversationDateTimeForLog($gmt_current_start_time,$_SESSION['beacon_ses_from_timeZone']);
									dateSplitter($date_created); 
								} else echo "-"; */?></td-->
								
								
								
							</tr>
							<?php } } else { ?>
							<tr>
								<td colspan="11" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Beacon Update Log found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php commonfooter(); ?>
<script type="text/javascript">
</script>
</html>