<?php 
	set_time_limit(240);
	require_once('./includes/PEAR/Spreadsheet_Excel_Writer/Writer.php');
	require_once('includes/CommonIncludes.php');
	require_once('controllers/UserController.php');
	require_once('includes/CommonIncludes.php');
	require_once('controllers/BeaconController.php');
	$beaconObj		=  new BeaconController();
	$workbook = new Spreadsheet_Excel_Writer();
	$userObj		=  	new UserController();
	$fileName = 'Beacon(s)';
	$workbook->send($fileName.'.xls');
    $worksheet=& $workbook->addWorksheet('Export');
	$worksheet->setLandscape();  
	$beaconsList 	=  $param = $optionCondition = '';
	$numColumns 			= 300;
	$maxColumnWidth			= 10;
	$intermediateColumnWidth= 20;
	$minColumnWidth 		= 20;
	$worksheet->setColumn(0, 0, 5);
	$worksheet->setColumn(0, 1, 25);
	$worksheet->setColumn(0, 2, 20);
	$worksheet->setColumn(0, 3, 35);
	$worksheet->setColumn(0, 4, 5);
	$worksheet->setColumn(0, 5, 5);
	$worksheet->setColumn(0, 6, 10);
	$worksheet->setColumn(0, 7, 15);
	$worksheet->setColumn(0, 8, 20);
	$sheetTitleFormat 		=& $workbook->addFormat(array('bold'=>1,'size'=>10));
	$boldFormat				=& $workbook->addFormat(array('bold'=>1,'size'=>9,'align'=>'left','textWrap'=>1,'bottom'=>1,'top'=>1,'left'=>1,'right'=>1));
	$TitleFormat			=& $workbook->addFormat(array('bold'=>1,'top'=>1,'bottom'=>1 ,'textWrap'=>1,'size'=>12,'left'=>1,'right'=>1,'color'=>'black','align'=>'center'));
	$columnTitleFormat		=& $workbook->addFormat(array('bold'=>1,'top'=>1,'bottom'=>1 ,'textWrap'=>1,'size'=>9,'left'=>1,'right'=>1,'color'=>'black','align'=>'center'));
	$regularFormat			=& $workbook->addFormat(array('size'=>9,'align'=>'left','textWrap'=>1,'bottom'=>1,'top'=>1,'left'=>1,'right'=>1));
	$mainTitleFormat		=& $workbook->addFormat(array('bold'=>1,'size'=>15));
	$mainsmallTitleFormat	=& $workbook->addFormat(array('bold'=>1,'size'=>12)); 
	
	$userType='';$beaconListResult =array();
	$beaconCondition	=	1;
	$fields		= " * ";
	$condition	= " and Status = 1 ";

	$organizationResult		= $userObj->selectOrganizations($fields,$condition);
	if(isset($organizationResult) && !empty($organizationResult)) {
		foreach($organizationResult as $orgKey => $orgValue) {
			$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
		}
	}
	
	if(isset($_GET['orgId']) && $_GET['orgId'] != '') 
		$fkOrganizationId = $_SESSION['beacon_sess_orgId'] = $_GET['orgId'];
	if($_SESSION['beacon_sess_user_orgid'] != 0)
		$fkOrganizationId = $_SESSION['beacon_sess_user_orgid'];
	if(isset($_GET['beaconId']) && $_GET['beaconId'] != ''){
		$beaconsList = " and b.fkDevicesId = ".$_GET['beaconId'];
		$param		 = '?beaconId='.$_GET['beaconId'];
	}
	/* if(isset($_SESSION['beacon_sess_type_of_organization']) && $_SESSION['beacon_sess_type_of_organization'] != 0)
		$organizationId		=	$_SESSION['beacon_sess_type_of_organization'];
 */
	
	$fields    	 = " b.*,d.DeviceName,d.DeviceId,u.FirstName,u.LastName ";
	$condition 	 = " and b.Status in (0,1) ";
	/* if(isset($fkAdminsId) && isset($fkOrganizationId)) {
		$condition			.=	" AND b.fkOrganizationId in (".$fkOrganizationId.")";
		$optionCondition 	= 	"and b.fkOrganizationId =".$fkOrganizationId." OR b.fkAdminsId =".$fkAdminsId;
		$beaconCondition	=	" fkOrganizationId =".$fkOrganizationId." OR fkAdminsId =".$fkAdminsId;
	}
	if(isset($fkUsersId) && $fkUsersId != 0) {
		$cond		    = " id = ".$fkUsersId;
		$field			= " UserBeacons ";
		$userDetails	= $userObj->selectUserDetails($field,$cond);
		$beacons		= $userDetails[0]->UserBeacons;
		if(isset($beacons) && $beacons != '') {
			$condition	.=	" and b.id in (".$beacons.")";
			$beaconCondition .= " and id in (".$beacons.")";
		}
	} 
	$fields    	 = " b.*,d.DeviceName,d.DeviceId,u.FirstName,u.LastName ";*/
	
	if($beaconsList != '')
	$condition  = " and b.Status in (0,1) ".$beaconsList;
    else	
    $condition	=	" and b.Status in (0,1)";
    if(isset($fkOrganizationId) && $fkOrganizationId != 0) 
	$condition			.=	" AND b.fkOrganizationId in (".$fkOrganizationId.")";
    if(isset($fkOrganizationId) && $fkOrganizationId !=0 && isset($_SESSION['beacon_sess_beacon_permission']) && !empty($_SESSION['beacon_sess_beacon_permission'])) {
	$beacons_arr	=	$_SESSION['beacon_sess_beacon_permission'];
	$beacons		=	implode(',',$beacons_arr);
	$condition			.=	" AND b.id in (".$beacons.")";
    }
	$beaconListResult  	= $beaconObj->getBeaconList($fields,$condition);
	$tot_rec 			= $beaconObj->getTotalRecordCount();
	if($tot_rec!=0 && !is_array($beaconListResult)) {
		$_SESSION['curpage'] = 1;
		$beaconListResult 	 = $beaconObj->getBeaconList($fields,$condition);
	}
	//print_r($beaconListResult);die;
	$row	=	0;
	$column =	0;
	$lastcolumn	=	8;
	$worksheet->setMerge($row,$column,$row,$lastcolumn);
	$worksheet->write($row, $column, 'Beacon List', $TitleFormat);
	$row	=	1;
	$column =	0;
	$worksheet->write($row, $column, ' # ', $columnTitleFormat);
	if(!isset($_GET['orgId'])) { 
		if(!isset($_GET['orgId']) && (isset($fkUsersId) && $fkUsersId == 0) || isset($fkAdminsId)) {
			$column =	1;
			$worksheet->write($row, $column, 'Organization Name', $columnTitleFormat);
		}
	}
	$column ++;
	$worksheet->write($row, $column, 'Beacon Name', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Hardware Name', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Hardware', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Major', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Minor', $columnTitleFormat);
	$column++;
	$worksheet->write($row, $column, 'Location Limit', $columnTitleFormat);
	$column++;
	$worksheet->write($row, $column, 'Battery %', $columnTitleFormat);
	$column++;
	$worksheet->write($row, $column, 'Last Updated Date/Time', $columnTitleFormat);
	if(isset($beaconListResult) && is_array($beaconListResult) && count($beaconListResult) > 0 ) {
		foreach($beaconListResult as $key => $value) { 
			$row++;
			$column =	0;
			$worksheet->write($row, $column, (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1, $columnTitleFormat);
			$column ++;
			if(!isset($_GET['orgId'])) { 
				if(!isset($_GET['orgId']) && (isset($fkUsersId) && $fkUsersId == 0) || isset($fkAdminsId)) {
					
					if(isset($organizationArray[$value->fkOrganizationId]))
						$org_name=  ucfirst($organizationArray[$value->fkOrganizationId]); 
					else 
						$org_name = '-';
					$worksheet->write($row, $column, $org_name , $columnTitleFormat);
				}
			}
			//$column ++;
			if(isset($value->Description) && $value->Description != '') 
				$Description	= ucfirst($value->Description); 
			else 
				$Description = '0';
			$worksheet->write($row, $column, $Description , $columnTitleFormat);
			$column ++;
			if(isset($value->DeviceName) && $value->DeviceName != '')
				$DeviceName	= ucfirst($value->DeviceName); 
			else 
				$DeviceName = '';
			$worksheet->write($row, $column, $DeviceName , $columnTitleFormat);
			$column ++;
			if(isset($value->DeviceId) && $value->DeviceId != '') 
				$DeviceId	= $value->DeviceId;
			else 
				$DeviceId = '';
			$worksheet->write($row, $column, $DeviceId , $columnTitleFormat);
			$column ++;
			if(isset($value->Major) && $value->Major != '' && $value->Major != 0) 
				$Major	= $value->Major; 
			else 
				$Major = '';
			$worksheet->write($row, $column, $Major , $columnTitleFormat);
			$column ++;
			if(isset($value->Minor) && $value->Minor != '' && $value->Minor != 0)
				$Minor	= $value->Minor;
			else 
				$Minor = '';
			$worksheet->write($row, $column, $Minor , $columnTitleFormat);
			$column++;
			if(isset($value->LocationLimit) && $value->LocationLimit != '0')
				$LocationLimit	= $value->LocationLimit; 
			else 
				$LocationLimit = '-';
			$worksheet->write($row, $column, $LocationLimit , $columnTitleFormat);
			$column++;
			if(isset($value->BatteryPower) && $value->BatteryPower != 0 && $value->BatteryPower <= 35)
				$BatteryPower	= $value->BatteryPower; 
			else 
				$BatteryPower = '-';
			$worksheet->write($row, $column, $BatteryPower , $columnTitleFormat);
			$column++;
			if(isset($value->DateModified) && $value->DateModified != '0000-00-00 00:00:00')
			{
				$gmt_current_start_time = convertIntocheckinGmtSite($value->DateModified);
									$gmt_current_start_time = convertIntocheckinGmtSite($value->DateModified);
									$date_created			=  displayConversationDateTimeForLog($gmt_current_start_time,$_SESSION['beacon_ses_from_timeZone']);
									$DateModified=dateSplitter_export($date_created);
			}
			else 
				$DateModified = '-';
			$worksheet->write($row, $column, $DateModified , $columnTitleFormat);
		}
	}
	else { 
		$row	=	2;
		$column =	0;
		$lastcolumn	=	9;
		$worksheet->setMerge($row,$column,$row,$lastcolumn);
		$worksheet->write($row, $column, 'No Beacons found', $columnTitleFormat);
	} 
	$workbook->close();
?>