<?php 
  
    set_time_limit(240);
	require_once('./includes/PEAR/Spreadsheet_Excel_Writer/Writer.php');
	require_once('includes/CommonIncludes.php');
	require_once('controllers/UserController.php');
	require_once('includes/CommonIncludes.php');
	require_once('controllers/BeaconController.php');
	require_once('controllers/AdminController.php');
	$beaconObj		=  new BeaconController();
	$adminLoginObj       =  new AdminController(); 
	$workbook = new Spreadsheet_Excel_Writer();
	$userObj		=  	new UserController();
	$fileName = 'Roles(s)';
	$workbook->send($fileName.'.xls');
    $worksheet=& $workbook->addWorksheet('Export');
	$worksheet->setLandscape();  
	$beaconsList 	=  $param = $optionCondition = '';
	$numColumns 			= 300;
	$maxColumnWidth			= 10;
	$intermediateColumnWidth= 20;
	$minColumnWidth 		= 20;
	$worksheet->setColumn(0, 0, 5);
	$worksheet->setColumn(0, 1, 15);
	$worksheet->setColumn(0, 2, 10);
	$worksheet->setColumn(0, 3, 15);
	$worksheet->setColumn(0, 4, 15);
	$worksheet->setColumn(0, 5, 25);
	$worksheet->setColumn(0, 6, 25);
	$worksheet->setColumn(0, 7, 20);
	$sheetTitleFormat 		=& $workbook->addFormat(array('bold'=>1,'size'=>10));
	$boldFormat				=& $workbook->addFormat(array('bold'=>1,'size'=>9,'align'=>'left','textWrap'=>1,'bottom'=>1,'top'=>1,'left'=>1,'right'=>1));
	$TitleFormat			=& $workbook->addFormat(array('bold'=>1,'top'=>1,'bottom'=>1 ,'textWrap'=>1,'size'=>12,'left'=>1,'right'=>1,'color'=>'black','align'=>'center'));
	$columnTitleFormat		=& $workbook->addFormat(array('bold'=>1,'top'=>1,'bottom'=>1 ,'textWrap'=>1,'size'=>9,'left'=>1,'right'=>1,'color'=>'black','align'=>'center'));
	$regularFormat			=& $workbook->addFormat(array('size'=>9,'align'=>'left','textWrap'=>1,'bottom'=>1,'top'=>1,'left'=>1,'right'=>1));
	$mainTitleFormat		=& $workbook->addFormat(array('bold'=>1,'size'=>15));
	$mainsmallTitleFormat	=& $workbook->addFormat(array('bold'=>1,'size'=>12)); 
	
	$userType='';$beaconListResult =array();
	$beaconCondition	=	1;
	$fields		= " * ";
	$condition	= " and Status = 1 ";

	$organizationResult		= $userObj->selectOrganizations($fields,$condition);
	if(isset($organizationResult) && !empty($organizationResult)) {
		foreach($organizationResult as $orgKey => $orgValue) {
			$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
		}
		}
	$fields		= " *,a.id as admins_id ";
	$condition=' and 1';
	if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type']==0)
	$condition	= " and a.Status = 1 ";
	else
	$condition	= " and a.Status = 1 and a.fkOrganizationId = '".$_SESSION['beacon_sess_user_orgid']."'";
	$adminResult		= $adminLoginObj->getSubAdminDetails($fields,$condition);
	$tot_rec 			= $adminLoginObj->getTotalRecordCount();
	// if(isset($_SESSION['select_org_id'])&& $_SESSION['select_org_id']!=''){ 	
	 // $fields		= " *,a.id as admins_id ";
	// if(isset($_SESSION['select_org_id']) && $_SESSION['select_org_id']!='')
	// $condition	= " and a.Status = 1 and a.fkOrganizationId= ".$_SESSION['select_org_id'];
	// if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type']!=0)
	// $condition	= " and a.Status = 1 and a.fkOrganizationId = '".$_SESSION['beacon_sess_user_orgid']."'";
	// $adminResult		= $adminLoginObj->getSubAdminDetails($fields,$condition);//raj (30-05-2019)
	// $tot_rec 			= $adminLoginObj->getTotalRecordCount();
   // }
   if($tot_rec!=0 && !is_array($adminResult)) {
		$_SESSION['curpage'] = 1;
		$adminResult		= $adminLoginObj->getSubAdminDetails($fields,$condition);
	}
	
	//print_r($beaconListResult);die;
	$row	=	0;
	$column =	0;
	$lastcolumn	=	7;
	$worksheet->setMerge($row,$column,$row,$lastcolumn);
	$worksheet->write($row, $column, 'Roles List', $TitleFormat);
	$row	=	1;
	$column =	0;
	$worksheet->write($row, $column, '#', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Organization Name', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Role', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'First Name', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Last Name', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'User Name', $columnTitleFormat);
	$column ++;
	$worksheet->write($row, $column, 'Email Address', $columnTitleFormat);
	
	$column++;
	$worksheet->write($row, $column, 'Date Last Active', $columnTitleFormat);
	
	if(isset($adminResult) && is_array($adminResult) && count($adminResult) > 0 ) {
				foreach($adminResult as $key => $value) { 
			$row++;
			$column =	0;
			$worksheet->write($row, $column, (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1, $columnTitleFormat);
			$column =	1;
			
					if(isset($organizationArray[$value->fkOrganizationId]))
						$org_name=  ucfirst($organizationArray[$value->fkOrganizationId]); 
					else 
						$org_name = '-';
					$worksheet->write($row, $column, $org_name , $columnTitleFormat);
				
			
			$column ++;
			if(isset($value->IsSubAdmin) && $value->IsSubAdmin != '') 
				$role	= ucfirst($Role[$value->IsSubAdmin]); 
			else 
				$role = '0';
			$worksheet->write($row, $column, $role , $columnTitleFormat);
			
				$column ++;
				if(isset($value->first_name) && $value->first_name != '')
					$FirstName	= ucfirst($value->first_name); 
				else 
					$FirstName = '';
				$worksheet->write($row, $column, $FirstName , $columnTitleFormat);
				$column ++;
				if(isset($value->last_name) && $value->last_name != '') 
					$LastName	= ucfirst($value->last_name);
				else 
					$LastName = '';
				$worksheet->write($row, $column, $LastName , $columnTitleFormat);
				$column ++;
				if(isset($value->UserName) && $value->UserName != '' ) 
					$UserName	= $value->UserName; 
				else 
					$UserName = '';
				$worksheet->write($row, $column, $UserName , $columnTitleFormat);
				$column ++;
				if(isset($value->EmailAddress) && $value->EmailAddress != '' )
					$EmailAddress	= $value->EmailAddress;
				else 
					$EmailAddress = '';
				$worksheet->write($row, $column, $EmailAddress , $columnTitleFormat);
			
			$column++;
			if(isset($value->LastLoginDate) && $value->LastLoginDate != '0000-00-00 00:00:00')
			{
				$gmt_current_start_time = convertIntocheckinGmtSite($value->LastLoginDate);
									$date_created			=  displayConversationDateTimeForLog($gmt_current_start_time,$_SESSION['beacon_ses_from_timeZone']);
									$LastLoginDate=dateSplitter_export($date_created);
			}						
			else 
				$LastLoginDate = '-';
			
			$worksheet->write($row, $column,$LastLoginDate , $columnTitleFormat);
			
		}
	}
	else { 
		$row	=	2;
		$column =	0;
		$lastcolumn	=	9;
		$worksheet->setMerge($row,$column,$row,$lastcolumn);
		$worksheet->write($row, $column, 'No Beacons found', $columnTitleFormat);
	} 
	$workbook->close();
?>