<?php 
  
    set_time_limit(240);
	require_once('./includes/PEAR/Spreadsheet_Excel_Writer/Writer.php');
	require_once('includes/CommonIncludes.php');
	require_once('controllers/UserController.php');
	require_once('includes/CommonIncludes.php');
	require_once('controllers/BeaconController.php');
	require_once('controllers/AdminController.php');
	$beaconObj		=  new BeaconController();
	$adminLoginObj       =  new AdminController(); 
	$workbook = new Spreadsheet_Excel_Writer();
	$userObj		=  	new UserController();
	$analyticstype=0;$name=$condition=$condition1=$condition2='';
	$field			 	= " *,s.DateCreated as track_date";
	$fkOrganizationId = $_SESSION['beacon_sess_user_orgid'];
	if(isset($fkOrganizationId) && $fkOrganizationId != 0){
		$condition 		=	" AND b.fkOrganizationId = ".$fkOrganizationId."";
		$condition1 	=	" AND b.fkOrganizationId = ".$fkOrganizationId."";
		$condition2 	=	" AND b.fkOrganizationId = ".$fkOrganizationId."";
	}
	if(isset($_GET['type']) && $_GET['type']!=''){
		$analyticstype	=	$_GET['type'];
	}
	if($analyticstype==1){
		$name	=	'Traffic';
		$condition      	.= " and b.BeaconType=3 ";
		$logResult  	= $beaconObj->getsystemTracking($field,$condition);
		
		//echo '<prE>';print_R($logResult);die;
		$Minor=array();
		if(isset($logResult) && !empty($logResult)){
			foreach($logResult as $k=>$v){
				$Minor[$v->Minor]=$v->Minor;
			}
		}
		$field3 		= "bc.blind_count , bc.normal_count , bc.phoneType";
		$condition3 	= '';
		$condition3    .= " AND b.TrafficDeviceType=1 ";

		if(isset($fkOrganizationId) && $fkOrganizationId != 0){
			$condition3    .= " AND b.fkOrganizationId = ".$fkOrganizationId."";
		}else if(isset($_SESSION['beacon_sess_ana_organization_name']) && $_SESSION['beacon_sess_ana_organization_name']!=''){
			$condition3    .= " AND b.fkOrganizationId = ".$_SESSION['beacon_sess_ana_organization_name']."";
		}


		$boradcastedcountResult  	= $beaconObj->trafficCalculation($field3,$condition3);
		if(isset($boradcastedcountResult) && $boradcastedcountResult != '')
		{
			$blind_count=0;
			foreach($boradcastedcountResult as $val){
				$blind_count=$val->blind_count;
				$total_app_other_req=$val->total_app_other_req;
				$total_app_physical_req=$val->total_app_physical_req;
				$total_ios_req=$val->total_ios_req;
				$total_android_req=$val->total_android_req;
				$blind_ios_req=$val->blind_ios_req;
				$blind_android_req=$val->blind_android_req;
				$total_app_blind_req=$val->total_app_blind_req;
				$other_ios_req=$val->other_ios_req;
				$other_android_req=$val->other_android_req;
				$latest_date=$val->broadcast_last_updated_date;
			}
			$A = $blind_count+($total_app_other_req+$total_app_physical_req);
			$B = $total_ios_req;
			$C = $total_android_req;
			$E = $blind_count;
			$D = $A - ( $B + $C );
			$F = 	$blind_ios_req+$blind_android_req;
			$G = $blind_count - ($total_app_blind_req);
			$H  = $I = $total_app_physical_req;
			$J = 0;
			$K = $L = $other_ios_req+$other_android_req;
			
		} 
	}
	$tot_rec_traffic 		= $beaconObj->getTotalRecordCount();
	$fileName = 'Total Count Analytics';
	$workbook->send($fileName.'.xls');
    $worksheet=& $workbook->addWorksheet('Export');
	$worksheet->setLandscape();  
	$numColumns 			= 300;
	$maxColumnWidth			= 10;
	$intermediateColumnWidth= 20;
	$minColumnWidth 		= 20;
	$sheetTitleFormat 		=& $workbook->addFormat(array('bold'=>1,'size'=>10));
	$boldFormat				=& $workbook->addFormat(array('bold'=>1,'size'=>9,'align'=>'left','textWrap'=>1,'bottom'=>1,'top'=>1,'left'=>1,'right'=>1));
	$TitleFormat			=& $workbook->addFormat(array('bold'=>1,'top'=>1,'bottom'=>1 ,'textWrap'=>1,'size'=>12,'left'=>1,'right'=>1,'color'=>'black','align'=>'center'));
	$columnTitleFormat		=& $workbook->addFormat(array('bold'=>1,'top'=>1,'bottom'=>1 ,'textWrap'=>1,'size'=>10,'left'=>1,'right'=>1,'color'=>'black','align'=>'center'));
	$regularFormat			=& $workbook->addFormat(array('size'=>9,'align'=>'left','textWrap'=>1,'bottom'=>1,'top'=>1,'left'=>1,'right'=>1));
	$mainTitleFormat		=& $workbook->addFormat(array('bold'=>1,'size'=>15));
	$mainsmallTitleFormat	=& $workbook->addFormat(array('bold'=>1,'size'=>12)); 
	if($analyticstype==1){
		$beaconsList 	=  $param = $optionCondition = '';
		$worksheet->setColumn(0, 0, 15);
		$worksheet->setColumn(0, 1, 10);
		$worksheet->setColumn(0, 2, 10);
		$worksheet->setColumn(0, 3, 10);
		$worksheet->setColumn(0, 4, 10);
		$worksheet->setColumn(0, 5, 15);
		$worksheet->setColumn(0, 6, 15);
		$worksheet->setColumn(0, 7, 10);
		$worksheet->setColumn(0, 8, 10);
		$worksheet->setColumn(0, 9, 10);
		$worksheet->setColumn(0, 10, 10);
		$worksheet->setColumn(0, 11, 10);
		$worksheet->setColumn(0, 12, 10);
		$worksheet->setColumn(0, 13, 10);
		$worksheet->setColumn(0, 14, 10);
		$worksheet->setColumn(0, 15, 10);
		$worksheet->setColumn(0, 16, 10);
		$worksheet->setColumn(0, 17, 10);
		$userType='';$beaconListResult =array();
		$beaconCondition	=	1;
		$fields		= " * ";
		$condition	= " and Status = 1 ";
		$organizationResult		= $userObj->selectOrganizations($fields,$condition);
		if(isset($organizationResult) && !empty($organizationResult)) {
			foreach($organizationResult as $orgKey => $orgValue) {
				$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
			}
		}
		
		$row	=	0;
		$column =	0;
		$lastcolumn	=	16;
		if(isset($_SESSION['beacon_sess_ana_beacon_name']) && $_SESSION['beacon_sess_ana_beacon_name']!=''){ 
			
			$top_name=  isset($_SESSION['search_result_beacon_name']	) && $_SESSION['search_result_beacon_name']!=''?'Intersections: '.str_replace('<br>',',',$_SESSION['search_result_beacon_name'])	:'Intersections: '.$_SESSION['beacon_sess_ana_beacon_name'];
			
		}else if(isset($_SESSION['beacon_sess_ana_organization_name']) && $_SESSION['beacon_sess_ana_organization_name'] != '' && isset($organizationArray[$_SESSION['beacon_sess_ana_organization_name']])){ 
			$top_name= $organizationArray[$_SESSION['beacon_sess_ana_organization_name']].' - Intersections: All';
		}else{ 
			$top_name='Intersections: All'; 
		}
		$worksheet->setMerge($row,$column,$row,$lastcolumn);
		$worksheet->write($row, $column, $top_name.' '.$fileName, $TitleFormat);
		$row	=	1;
		$column =	0;
		$worksheet->write($row, $column, 'Date of Update', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Location IDs', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Total Wireless Calls', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Total iOS Calls', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Total Android Calls', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Total Fob Call', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, '', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Total - Visual Impaired', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Mobile App - Visually Impaired', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Fob - Visually Impaired', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, '', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Total - Mobility Impaired', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Mobile App - Mobility Impaired', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Fob - Mobility Imapired', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, '', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Total- Other', $columnTitleFormat);
		$column ++;
		$worksheet->write($row, $column, 'Mobile App - Other', $columnTitleFormat);
		if(isset($boradcastedcountResult) && is_array($boradcastedcountResult) && count($boradcastedcountResult) > 0 ) {
			if(isset($Minor) && !empty($Minor)){
				foreach($Minor as $key=>$value){
					$row++;
					$column =	0;
					$worksheet->write($row, $column, $latest_date, $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $value, $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($A) && $A > 0)?$A:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($B) && $B > 0)?$B:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($C) && $C > 0)?$C:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($D) && $D > 0)?$D:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, '', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($E) && $E > 0)?$E:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($F) && $F > 0)?$F:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($G) && $G > 0)?$G:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, '', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($H) && $H > 0)?$H:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($I) && $I > 0)?$I:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($J) && $J > 0)?$J:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, '', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($K) && $K > 0)?$K:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($L) && $L > 0)?$L:'-', $columnTitleFormat);
				}
			}else{
					$row++;
					$column =	0;
					$worksheet->write($row, $column, $latest_date, $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, $value, $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($A) && $A > 0)?$A:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($B) && $B > 0)?$B:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($C) && $C > 0)?$C:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($D) && $D > 0)?$D:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, '', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($E) && $E > 0)?$E:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($F) && $F > 0)?$F:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($G) && $G > 0)?$G:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, '', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($H) && $H > 0)?$H:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($I) && $I > 0)?$I:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($J) && $J > 0)?$J:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, '', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($K) && $K > 0)?$K:'-', $columnTitleFormat);
					$column ++;
					$worksheet->write($row, $column, (isset($L) && $L > 0)?$L:'-', $columnTitleFormat);
			}
		}
		else { 
			$row =	2;
			$column =	0;
			$lastcolumn	=	16;
			$worksheet->setMerge($row,$column,$row,$lastcolumn);
			$worksheet->write($row, $column, 'No Data found', $columnTitleFormat);
		}
	}
	$workbook->close();
?>