<?php 
require_once('includes/CommonIncludes.php');
admin_login_check();
commonHead();
require_once('controllers/UserController.php');
$userObj	   		=   new UserController();
require_once('controllers/AdminController.php');
$adminLoginObj   	=   new AdminController();

$field_focus		=	'CityName';


if(isset($_GET['editId']) && $_GET['editId'] != '' ){
	$condition       		= 	" id = ".$_GET['editId']." and Status = 1";
	$fields					=	'*';
	$cityDetailsResult		= 	$userObj->selectCityDetails($fields,$condition);
	if(isset($cityDetailsResult) && is_array($cityDetailsResult) && count($cityDetailsResult) > 0){
		$CityName 			= 	$cityDetailsResult[0]->CityName;
		$CityNameFr 		= 	$cityDetailsResult[0]->CityNameFr;
	}
}

if(isset($_POST['submit']) && $_POST['submit'] != ''){
	$_POST          =   unEscapeSpecialCharacters($_POST);
   	$_POST          =   escapeSpecialCharacters($_POST);
	
	if(isset($_POST['CityName']))
		$CityName	=	$_POST['CityName'];
	
	if(isset($_POST['CityNameFr']))
		$CityNameFr	=	$_POST['CityNameFr'];
	
	if($_POST['submit'] == 'Save')
		$condition	=	" CityName = '".$_POST['CityName']."' AND id != ".$_POST['city_id']." AND Status = 1";
	else
		$condition	=	" CityName = '".$_POST['CityName']."' AND Status = 1";
	
	$fields			= " * ";
	$alreadyExist	=	$userObj->selectCityDetails($fields,$condition);
	
	
	if(isset($alreadyExist) && is_array($alreadyExist) && count($alreadyExist) > 0) {
		$error_msg  	= "City Name already exists";
		$field_focus	= 'CityName';
		$display 		= "block";
		$class   		= "alert-danger";
		$class_icon     = "fa-warning";
	}
	else {
		if($_POST['submit'] == 'Add') {
			$_POST['Status']	=	1;
			$insert_id			=	$userObj->insertCity($_POST);
			$msg				=	4;
		}

		if($_POST['submit'] == 'Save') {
			if(isset($_POST['city_id']) && $_POST['city_id'] != '') {
				$fields		=	"CityName		=	'".$CityName."',
								CityNameFr		=	'".$CityNameFr."',
								DateModified	= 	'".date('Y-m-d H:i:s')."'";
				$condition	=	" id	= ".$_POST['city_id'];
				$userObj->updateCityDetails($fields,$condition);
				$msg		=	5;
			}
		}
		header("location:AppSettings?cs=1&back=1&msg=".$msg);
	}
}

?>
<body class="skin-blue" onload="return fieldfocus('<?php echo $field_focus; ?>');">
	<?php top_header(); ?>
	<section class="content">
		<div class="row">
			<form name="add_city_form" id="add_city_form" action="" method="post">
			<div class="col-md-12"> 
				<div class="box box-primary"> 
					<h2><?php if(isset($_GET['editId']) && $_GET['editId'] != '' ) echo "Edit "; else echo 'Add ';?>City</h2>
					<div class="box-padding">
						<div class="col-md-12 no-padding">
						<?php if(isset($error_msg) && $error_msg != '')  { ?> <div class="alert <?php echo $class;  ?> alert-dismissable col-lg-4  col-sm-5  col-xs-11 text-center"><i class="fa <?php echo $class_icon ;  ?>"></i>  <?php echo $error_msg;  ?></div> <?php } ?>
						<input type="Hidden" name="city_id" id="city_id" value="<?php if(isset($_GET['editId']) && $_GET['editId'] != '' ) echo $_GET['editId'];?>">
						<input type="Hidden" name="fkUsersId" id="fkUsersId" value="<?php if(isset($fkUsersId) && $fkUsersId != '' ) echo $fkUsersId;?>">
						</div>
						<div class="form-group col-sm-6">
							<label>City Name</label>
							<input type="text" class="form-control" id="CityName" name="CityName" maxlength="50" value="<?php if(isset($CityName) && $CityName != '') echo ucfirst($CityName);  ?>" >
						</div>
						<div class="form-group col-sm-6">
							<label>City Name Fr</label>
							<input type="text" class="form-control" id="CityNameFr" name="CityNameFr" maxlength="50" value="<?php if(isset($CityNameFr) && $CityNameFr != '') echo ucfirst($CityNameFr);  ?>" >
						</div>
						<div class="box-footer  col-xs-12" align="center">
							<?php if(isset($_GET['editId']) && $_GET['editId'] != ''){ ?>
								<input type="submit" class="btn btn-success mR-button" name="submit" id="submit" value="Save" title="Save" alt="Save">
							<?php } else { ?>
								<input type="submit" class="btn btn-success mR-button" name="submit" id="submit" value="Add" title="Add" alt="Add">
							<?php } ?>
							<?php $href_page = "AppSettings?back=1";?>		
							<a href="<?php if(isset($href_page) && $href_page != '' ) echo $href_page; else echo 'AppSettings?back=1';?>" class="btn btn-default" name="Back" id="Back" title="Back" alt="Back" >Back </a>	
						</div>
					</div>
				</div><!-- /.box -->
			</div><!-- /.col -->
			</form>	
		</div><!-- /.row -->
	</section><!-- /.content -->	
<?php commonFooter(); ?>

</html>