<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/BeaconController.php');
require_once('controllers/AdminController.php');
require_once('controllers/UserController.php');


$userObj		=  new UserController();
$beaconObj		=  new BeaconController();
$adminLoginObj  =  new AdminController();
admin_login_check();
/* GET ORGANIZATION DETAILS*/
$fields		= " * ";
$condition	= " and Status = 1 ";
$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
	}
}

/* Set Session of select_org_id if Get id from Organization Page */
if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	unset($_SESSION['select_org_id']);
}
if(isset($_GET['OrgId']) && $_GET['OrgId']!='')
$_SESSION['select_org_id']=	$_GET['OrgId'];

/* GET SUB ADMIN DETAILS*/
$fields		= " *,a.id as admins_id ";
$isAdmin=0;
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] ==0){
	$isAdmin=1;
}
unset($_SESSION['orderby']);
unset($_SESSION['ordertype']);
unset($_SESSION['curpage']);
$condition	=	'';
if(isset($_SESSION['select_org_id']) && $_SESSION['select_org_id']!='')
{
$condition	= " and a.Status = 1 and a.fkOrganizationId = '".$_SESSION['select_org_id']."'";
}
else if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type']!=0)
{
$org_name  = $_SESSION['beacon_sub_admin_org_name'];
$condition	= " and a.Status = 1 and a.fkOrganizationId = '".$_SESSION['beacon_sess_user_orgid']."'";
}
$adminResult		= $adminLoginObj->getSubAdminDetails($fields,$condition);





//Delete Roles
if(isset($_GET['deleteId']) && $_GET['deleteId'] != '') {
	$condition			=	" id	= ".$_GET['deleteId'];
	$update_string 		= 	" Status = 2";
	$beaconListResult	= 	$adminLoginObj->updateSubadmin($update_string,$condition);
	header("location:ManageRoles?msg=3");
}
if(isset($_GET['msg']) && $_GET['msg'] == 1) {
	$msg		= "Role added successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 2 ) {
	$msg		= "Role updated successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 3 ) {
	$msg		= "Role Deleted successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}else if(isset($_GET['msg']) && $_GET['msg'] == 4 ) {
	$msg		= "Select Any Organization";
	$class		= "alert-danger";
	$class_icon = "fa-warning";
	$display 	= "block";
}
if(isset($_GET["SelectOrganization"])){
	if( $_GET["SelectOrganization"]!=""){		
		$select_org_id=$_GET["SelectOrganization"];
		$_SESSION['select_org_id']=$select_org_id;	    	
   }
else if($_GET["SelectOrganization"]=="")
{
	 unset($_SESSION['select_org_id']);
	  $fields		= " *,a.id as admins_id ";
	  $condition	= " and a.Status = 1 ";
	  $adminResult		= $adminLoginObj->getSubAdminDetails($fields,$condition);//raj (30-05-2019)
	  $tot_rec 			= $adminLoginObj->getTotalRecordCount();
}
}	 
    if(isset($_SESSION['select_org_id'])&& $_SESSION['select_org_id']!=''){ 
	 $fields		= " *,a.id as admins_id ";
	if(isset($_SESSION['select_org_id']) && $_SESSION['select_org_id']!='')
	$condition	= " and a.Status = 1 and fkOrganizationId= ".$_SESSION['select_org_id'];
	if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type']!=0)
	$condition	= " and a.Status = 1 and a.fkOrganizationId = '".$_SESSION['beacon_sess_user_orgid']."'";
	$adminResult		= $adminLoginObj->getSubAdminDetails($fields,$condition);//raj (30-05-2019)
	$tot_rec 			= $adminLoginObj->getTotalRecordCount();
	
   }
   
   if(isset($_SESSION['select_org_id']) && $_SESSION['select_org_id'] != '' ){
	
	
	$condition				=	" id	=	".$_SESSION['select_org_id'];
	$fields					=	" * ";
	$orgResult				=	$userObj->getOrganization($fields,$condition);	
	if(isset($orgResult) && count($orgResult)>0) {		
		$org_name   =   $orgResult[0]->OrganizationName;
	}	
}

	
//print_r($adminResult);
commonHead();
?>
<style>
.table .action-icons a:nth-child(1) {
	display:inline;
}
h2 .permission_desc
{   

	font-size:15px;
	line-height:18px;
}
 h2.tabsection span {
      display:inline;
	 display:block;
}
h2 .title_desc{
     width: 400px;
	 height:100px;
     float: left;
}
</style>
<body class="skin-blue">
	<?php top_header(); ?>
	<!-- Content Header (Page header) -->
	
	<!-- Main content -->
	<section class="content bor-change new">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary">
		           <h2 class="bor-top">Organization : <?php  if(isset($org_name)&& $org_name!='')echo $org_name; else echo "-"; ?> </h2>
				 
                        <div class="col-xs-6 add-btns">	
						 <?php if(isset($isAdmin) && $isAdmin == 1 ){ ?>
						 <a href="Roles" name="Back" id="Back" class="add-device" alt="Back" title="Back"> Back </a>
						<div class="col-sm-5 col-xs-12 form-group f-r" style=" margin-top:20px;">	
                         <span id="selectOrg">									   
						<select name="SelectOrganization" id="SelectOrganization" class="form-control">
							<option value="">--select Organization--</option>
							<?php foreach($organizationArray as $key=>$value) { ?>
							<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['select_org_id']) && $_SESSION['select_org_id'] != '' && ($_SESSION['select_org_id'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
							<?php } ?>
						</select>
						</span>		
                         </div>	
						 <?php } ?>						 
							
						</div>	
						
                     <?php 						
				    if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
						<?php   if((in_array('all',$_SESSION['beacon_sess_user_permission'])) || (in_array('1_5',$_SESSION['beacon_sess_user_permission']))){ ?>
					<div class=" change-password master-setting sett-menu">	
						<div class="tabsection" id="master" alt="Master" title="Master"><h2>Master</h2>
						<i class="fa fa-plus fa-angle-down general_icon" id="master_icon"></i>
						<?php 
							if(isset($adminResult) && is_array($adminResult) && count($adminResult) > 0 ) {
								foreach($adminResult as $key => $value) { 
									if($value->IsSubAdmin==1){
										$master_exist=1;
									}
								}
							}
							if(!isset($master_exist)){
							?>
						
								<a href="AddRole?roleId=1"   class="add-device" alt="Add Master" title="Add Master"><i class="fa fa-plus"></i> ADD MASTER</a>
							
							<?php } ?>
							</div>
						<!-- form start -->
						<div id="master_block" class="blockSection" style="display:<?php if(isset($_GET['open_id']) && ($_GET['open_id'] == 1 )){ echo "block";} else {echo "none";}?>;">
							
							<div class="table-responsive">
								<table width="100%" class="table" cellpadding="0" cellspacing="0">
									<tr>	
                                         <?php if(isset($isAdmin) && $isAdmin == 1 && (!isset($_SESSION['select_org_id']))){ ?>
										 <th width="25%" align="left" style="text-align:left;">Organization Name</th>
										 <?php } ?>										 
										<th width="25%" align="left" style="text-align:left;">User Name</th>										
										<th width="25%" align="left" style="text-align:left;">Name</th>							
										<th width="25%" align="center" >Action</th>
									</tr>
									<?php 
									     $row=0; 
									     if(isset($adminResult) && is_array($adminResult) && count($adminResult) > 0 ) {
												foreach($adminResult as $key => $value) { 
													if($value->IsSubAdmin==1){
														$row=1;
													
									?>
									<tr id="test_id_<?php echo $value->admins_id;?>" <?php  if(isset($value->Status) && $value->Status != '' && $value->Status == '0') echo 'style="color:red;"'; ?> >										
									 <?php if(isset($isAdmin) && $isAdmin == 1 && (!isset($_SESSION['select_org_id']))){ ?>
											<td><?php if(isset($organizationArray[$value->fkOrganizationId])) echo ucfirst($organizationArray[$value->fkOrganizationId]); else echo '-'; ?></td>							
										 <?php } ?>	
										<td><?php if(isset($value->UserName) && $value->UserName != '') echo $value->UserName; else echo '-';?>  </td>
										<td><?php if(isset($value->last_name) && $value->last_name != '' && isset($value->first_name) && $value->first_name != '') echo ucfirst($value->first_name).' '.ucfirst($value->last_name); else echo '-';?></td>
										<td class="action-icons" style="text-align:center">
											
											<?php   if(isset($isAdmin) && $isAdmin == 1 ){ ?>
											<a href='AddRole?editId=<?php echo $value->admins_id; ?>' name='edit' title='Edit'><i class="fa fa-pencil"></i></a> 
											<a href='ManageRoles?deleteId=<?php echo $value->admins_id; ?>'   class="delete_click" data-msg="Are you sure you want to delete this Master?" data-clicktype="1" name='delete' title='Delete'><i class="fa fa-trash-o"></i></a>
											<?php } ?>
										</td>
									</tr>
													<?php }}}  if($row==0) { ?>
									<tr>
										<td colspan="10" align="center" >
											<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Master found</div> 
										</td>
									</tr>
									<?php } ?>
								</table>
							</div>
						</div>
					</div>
					<!-- Master END-->
					<?php } if(in_array('1_4',$_SESSION['beacon_sess_user_permission']) || in_array('1_2',$_SESSION['beacon_sess_user_permission']) || in_array('1_3',$_SESSION['beacon_sess_user_permission']) || in_array('1_1',$_SESSION['beacon_sess_user_permission'])  || in_array('all',$_SESSION['beacon_sess_user_permission'])){ ?>
					<!-- Admins SETTINGS-->
					<div class="change-password admin-setting sett-menu">	
						<div class="tabsection" id="admin" alt="Admin" title="Admin"><h2>Admins</h2>
						<i class="fa fa-angle-down general_icon" id="admin_icon"></i>
						<span class="permission_desc"><b>Admin Can:</b><br>
						&nbsp;&nbsp;<b>-</b>&nbsp; View,edit and delete ALL beacons.<br>
						&nbsp;&nbsp;<b>-</b>&nbsp; Create new roles.<br>
						&nbsp;&nbsp;<b>-</b>&nbsp; Log in to the admin mobile app.</span> 
						<?php if(in_array('1_1',$_SESSION['beacon_sess_user_permission']) || in_array('all',$_SESSION['beacon_sess_user_permission'])){ ?>
						<a href="AddRole?roleId=2"   class="add-device" alt="Add Admins" title="Add Admins"><i class="fa fa-plus"></i> ADD Admins</a>
						<?php } ?>
						</div>
						<!-- form start -->
						<div id="admin_block" class="blockSection" style="display:<?php if(isset($_GET['open_id']) && ($_GET['open_id'] == 2 )){ echo "block";} else {echo "none";}?>;">
							
							
							
							<div class="table-responsive">
								<table width="100%" class="table" cellpadding="0" cellspacing="0">
									<tr>
									<?php if(isset($isAdmin) && $isAdmin == 1 && (!isset($_SESSION['select_org_id']))){ ?>
										 <th width="25%" align="left" style="text-align:left;">Organization Name</th>
										 <?php } ?>	
										<th width="35%" align="left" style="text-align:left;">User Name</th>
										<!-- <th width="5%" align="left" style="text-align:left;">Email Address</th> -->
										<th width="35%" align="left" style="text-align:left;">Name</th>							
										<th width="10%" align="center" >Action</th>
									</tr>
									<?php 
									      $row=0;
									     if(isset($adminResult) && is_array($adminResult) && count($adminResult) > 0  && (in_array('1_3',$_SESSION['beacon_sess_user_permission']) || in_array('all',$_SESSION['beacon_sess_user_permission']))) {
												foreach($adminResult as $key => $value) { 
													if($value->IsSubAdmin==2){
														$row=1;
													
									?>
									<tr id="test_id_<?php echo $value->id;?>" <?php  if(isset($value->Status) && $value->Status != '' && $value->Status == '0') echo 'style="color:red;"'; ?> >									
										<!-- <td><?php //if(isset($value->UserName) && $value->UserName != '') echo $value->UserName; else echo '-';?> </td> -->
										 <?php if(isset($isAdmin) && $isAdmin == 1 && (!isset($_SESSION['select_org_id']))){ ?>
										<td><?php if(isset($organizationArray[$value->fkOrganizationId])) echo ucfirst($organizationArray[$value->fkOrganizationId]); else echo '-'; ?></td>							
										 <?php } ?>	
										<td><?php if(isset($value->EmailAddress) && $value->EmailAddress != '') echo $value->EmailAddress; else echo '-';?>  </td>
										<td><?php if(isset($value->last_name) && $value->last_name != '' && isset($value->first_name) && $value->first_name != '') echo ucfirst($value->first_name).' '.ucfirst($value->last_name); else echo '-';?></td>
										<td class="action-icons" align="center" style="text-align:center">
											<?php if((isset($isAdmin) && $isAdmin == 1) || (in_array('all',$_SESSION['beacon_sess_user_permission']))){ ?>
											<a href='AddRole?editId=<?php echo $value->admins_id; ?>' name='edit' title='Edit'><i class="fa fa-pencil"></i></a>
											<?php } if((in_array('1_4',$_SESSION['beacon_sess_user_permission'])  || in_array('all',$_SESSION['beacon_sess_user_permission'])) && $value->admins_id!=$_SESSION['beacon_sess_user_id']){ ?>
											<a href='ManageRoles?deleteId=<?php echo $value->admins_id; ?>'    class="delete_click" data-msg="Are you sure you want to delete this Admin?" data-clicktype="1" name='delete' title='Delete'><i class="fa fa-trash-o"></i></a>
											<?php } ?>
										</td>
									</tr>
													<?php }} } if($row==0) { ?>
									<tr>
										<td colspan="12" align="center">
											<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Admin found</div> 
										</td>
									</tr>
									<?php } ?>
								</table>
							</div>
						</div>
					</div>
					<!-- Admins END-->
					<?php }  if((in_array('all',$_SESSION['beacon_sess_user_permission']))|| in_array('1_5',$_SESSION['beacon_sess_user_permission'])){ ?>
					<!-- Editors SETTINGS-->
					<div class=" change-password Editors-setting sett-menu">	
						<div class="tabsection " id="Editors" alt="Editors" title="Editors"><h2>Editor </h2>
						<i class="fa fa-angle-down general_icon" id="Editors_icon"></i>
						<span class="permission_desc"><b>Editor Can:</b><br>
						<span>&nbsp;&nbsp;<b>-</b>&nbsp; View and edit the messaging for all or a selected number of beacons.</span><br>
						<b>Editor Cannot:</b><br>
						&nbsp;&nbsp;<b>-</b>&nbsp; Add or delete Roles.<br>
						&nbsp;&nbsp;<b>-</b>&nbsp; Log into the admin mobile app.</span>
						<a href="AddRole?roleId=3"   class="add-device" alt="Add Editors" title="Add Editors"><i class="fa fa-plus"></i> ADD Editors</a>
						</div>
						<!-- form start -->
						<div id="Editors_block" class="blockSection" style="display:<?php if(isset($_GET['open_id']) && ($_GET['open_id'] == 3 )){ echo "block";} else {echo "none";}?>;">
							
							<div class="table-responsive">
							<?php   if(in_array('all',$_SESSION['beacon_sess_user_permission'])|| in_array('1_5',$_SESSION['beacon_sess_user_permission'])){ ?>
								
								<?php } ?>
								<table width="100%" class="table" cellpadding="0" cellspacing="0">
									<tr>
									<?php if(isset($isAdmin) && $isAdmin == 1 && (!isset($_SESSION['select_org_id']))){ ?>
										 <th width="25%" align="left" style="text-align:left;">Organization Name</th>
										 <?php } ?>	
										<th width="35%" align="left" style="text-align:left;">User Name</th> 
										<!-- <th width="5%" align="left" style="text-align:left;">Email Address</th> -->
										<th width="35%" align="left" style="text-align:left;">Name</th>							
										<th width="10%" align="center" >Action</th>
									</tr>
									<?php  
									       $row=0;
									       if(isset($adminResult) && is_array($adminResult) && count($adminResult) > 0 ) {
												foreach($adminResult as $key => $value) { 
													if($value->IsSubAdmin==3){
														$row=1;
													
									?>
									<tr id="test_id_<?php echo $value->id;?>" <?php  if(isset($value->Status) && $value->Status != '' && $value->Status == '0') echo 'style="color:red;"'; ?> >
										<!-- <td><?php //if(isset($value->UserName) && $value->UserName != '') echo $value->UserName; else echo '-';?> </td> -->
										 <?php if(isset($isAdmin) && $isAdmin == 1 && (!isset($_SESSION['select_org_id']))){ ?>
										<td><?php if(isset($organizationArray[$value->fkOrganizationId])) echo ucfirst($organizationArray[$value->fkOrganizationId]); else echo '-'; ?></td>							
										 <?php } ?>	
										<td><?php if(isset($value->EmailAddress) && $value->EmailAddress != '') echo $value->EmailAddress; else echo '-';?>  </td>
										<td><?php if(isset($value->last_name) && $value->last_name != '' && isset($value->first_name) && $value->first_name != '') echo ucfirst($value->first_name).' '.ucfirst($value->last_name); else echo '-';?></td>
										<td class="action-icons" align="center" style="text-align:center">
											<?php   //if(in_array('all',$_SESSION['beacon_sess_user_permission'])|| in_array('1_5',$_SESSION['beacon_sess_user_permission']) ){ ?>
											<a href='AddRole?editId=<?php echo $value->admins_id; ?>' name='edit' title='Edit'><i class="fa fa-pencil"></i></a>
											<a href='ManageRoles?deleteId=<?php echo $value->admins_id; ?>'     class="delete_click" data-msg="Are you sure you want to delete this Editor?" data-clicktype="1" name='delete' title='Delete'><i class="fa fa-trash-o"></i></a>
											<?php //} ?>
										</td>
									</tr>
													<?php }} } if($row==0) { ?>
									<tr>
										<td colspan="12" align="center">
											<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Editor found</div> 
										</td>
									</tr>
									<?php } ?>
								</table>
							</div>
						</div>
					</div>
					<!-- Editors END-->
					<?php }  if((in_array('all',$_SESSION['beacon_sess_user_permission']))|| in_array('1_5',$_SESSION['beacon_sess_user_permission'])){ ?>
					<!-- Analyst SETTINGS-->
					<div class="change-password Analyst-setting sett-menu">	
						<div class="tabsection" id="Analyst" alt="Analyst" title="Analyst"><h2>Analyst</h2>
						<i class="fa fa-angle-down general_icon" id="Analyst_icon"></i>
						<span class="permission_desc"><b>Analyst Can:</b><br>
						&nbsp;&nbsp;<b>-</b>&nbsp; Only VIEW the messaging and analytics for all or a selected number of beacons.<br>
						<b>Analyst Cannot:</b><br>
						&nbsp;&nbsp;<b>-</b>&nbsp; Add or delete Roles.<br>
						&nbsp;&nbsp;<b>-</b>&nbsp; Edit beacon messaging.</span>
						<?php   if(in_array('all',$_SESSION['beacon_sess_user_permission'])|| in_array('1_5',$_SESSION['beacon_sess_user_permission'])){ ?>
						<a href="AddRole?roleId=4"   class="add-device" alt="Add Analyst" title="Add Analyst"><i class="fa fa-plus"></i> ADD Analyst</a>
						<?php } ?>
						</div>
						<!-- form start -->
						<div id="Analyst_block" class="blockSection" style="display:<?php if(isset($_GET['open_id']) && ($_GET['open_id'] == 4 )){ echo "block";} else {echo "none";}?>;">
							
							<div class="table-responsive">
							
								
								
								<table width="100%" class="table" cellpadding="0" cellspacing="0">
									<tr>
									<?php if(isset($isAdmin) && $isAdmin == 1 && (!isset($_SESSION['select_org_id']))){ ?>
										 <th width="25%" align="left" style="text-align:left;">Organization Name</th>
										 <?php } ?>	
										<th width="35%" align="left" style="text-align:left;">User Name</th> 
										<!-- <th width="5%" align="left" style="text-align:left;">Email Address</th> -->
										<th width="35%" align="left" style="text-align:left;">Name</th>							
										<th width="10%" align="center" >Action</th>
									</tr>
									<?php  $row=0;
									       if(isset($adminResult) && is_array($adminResult) && count($adminResult) > 0 ) {
												foreach($adminResult as $key => $value) { 
													if($value->IsSubAdmin==4){
													$row=1;
									?>
									<tr id="test_id_<?php echo $value->id;?>" <?php  if(isset($value->Status) && $value->Status != '' && $value->Status == '0') echo 'style="color:red;"'; ?> >
										<!-- <td><?php //if(isset($value->UserName) && $value->UserName != '') echo $value->UserName; else echo '-';?> </td> -->
										 <?php if(isset($isAdmin) && $isAdmin == 1 && (!isset($_SESSION['select_org_id']))){ ?>
										<td><?php if(isset($organizationArray[$value->fkOrganizationId])) echo ucfirst($organizationArray[$value->fkOrganizationId]); else echo '-'; ?></td>							
										 <?php } ?>	
										<td><?php if(isset($value->EmailAddress) && $value->EmailAddress != '') echo $value->EmailAddress; else echo '-';?>  </td>
										<td><?php if(isset($value->last_name) && $value->last_name != '' && isset($value->first_name) && $value->first_name != '') echo ucfirst($value->first_name).' '.ucfirst($value->last_name); else echo '-';?></td>
										<td class="action-icons" align="center" style="text-align:center;">
											
											<a href='AddRole?editId=<?php echo $value->admins_id; ?>' name='edit' title='Edit'><i class="fa fa-pencil"></i></a>
											<a href='ManageRoles?deleteId=<?php echo $value->admins_id; ?>'      class="delete_click" data-msg="Are you sure you want to delete this Analyst?" data-clicktype="1"  name='delete' title='Delete'><i class="fa fa-trash-o"></i></a>
										</td>
									</tr>
													<?php }} } if($row==0) { ?>
									<tr>
										<td colspan="12" align="center">
											<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Analyst found</div> 
										</td>
									</tr>
									<?php } ?>
								</table>
							</div>
						</div>
					</div>
					<!-- Analyst END-->
					<?php }  if((in_array('all',$_SESSION['beacon_sess_user_permission']))|| in_array('1_5',$_SESSION['beacon_sess_user_permission'])){ ?>
					<!-- Technician SETTINGS-->
					<div class="change-password sett-menu">	
						<div class="tabsection" id="Technician" alt="Technician" title="Technician"><h2>Technician</h2>
						<i class="fa fa-angle-down general_icon" id="Technician_icon"></i>
						<span class="permission_desc"><b>Technician Can:</b><br>
						&nbsp;&nbsp;<b>-</b>&nbsp; Only login to the admin mobile app.<br>
						<b>Technician Cannot:</b><br>
						&nbsp;&nbsp;<b>-</b>&nbsp; Access the backend portal.<br>
						&nbsp;&nbsp;This role is typically reserved for the person on site that will be doing the installation.<br>
						
						</span> <?php   if(in_array('all',$_SESSION['beacon_sess_user_permission'])|| in_array('1_5',$_SESSION['beacon_sess_user_permission'])){ ?><a href="AddRole?roleId=5"   class="add-device" alt="Add Technician" title="Add Technician"><i class="fa fa-plus"></i> ADD Technician</a><?php } ?>
						</div>
						<!-- form start -->
						<div id="Technician_block" class="blockSection" style="display:<?php if(isset($_GET['open_id']) && ($_GET['open_id'] == 5 )){ echo "block";} else {echo "none";}?>;">
							
							<div class="table-responsive">
								
								
								
								<table width="100%" class="table" cellpadding="0" cellspacing="0">
									<tr>
									<?php if(isset($isAdmin) && $isAdmin == 1 && (!isset($_SESSION['select_org_id']))){ ?>
										 <th width="25%" align="left" style="text-align:left;">Organization Name</th>
										 <?php } ?>	
										<th width="35%" align="left" style="text-align:left;">User Name</th> 
										<!-- <th width="5%" align="left" style="text-align:left;">Email Address</th> -->
										<th width="35%" align="left" style="text-align:left;">Name</th>							
										<th width="10%" align="center" >Action</th>
									</tr>
									
									<?php
									$row=0;
									if(isset($adminResult) && is_array($adminResult) && count($adminResult) > 0 ) {
												foreach($adminResult as $key => $value) { 
													if($value->IsSubAdmin==5){
													$row=1;
									?>
									<tr id="test_id_<?php echo $value->id;?>" <?php  if(isset($value->Status) && $value->Status != '' && $value->Status == '0') echo 'style="color:red;"'; ?> >									
										<!-- <td><?php //if(isset($value->UserName) && $value->UserName != '') echo $value->UserName; else echo '-';?> </td> -->
										 <?php if(isset($isAdmin) && $isAdmin == 1 && (!isset($_SESSION['select_org_id']))){ ?>
										<td><?php if(isset($organizationArray[$value->fkOrganizationId])) echo ucfirst($organizationArray[$value->fkOrganizationId]); else echo '-'; ?></td>							
										 <?php } ?>	
										<td><?php if(isset($value->EmailAddress) && $value->EmailAddress != '') echo $value->EmailAddress; else echo '-';?>  </td>
										<td><?php if(isset($value->last_name) && $value->last_name != '' && isset($value->first_name) && $value->first_name != '') echo ucfirst($value->first_name).' '.ucfirst($value->last_name); else echo '-';?></td>
										<td class="action-icons" align="center" style="text-align:center;">
											<?php if(isset($visuallyImpaired) && $visuallyImpaired != 1) { ?>
											<a href='LocationDetail?viewId=<?php echo $value->id; ?>' name='view' title='View'><i class="fa fa-eye"></i></a>
											<?php } ?>
											<?php   //if(in_array('all',$_SESSION['beacon_sess_user_permission'])||in_array('1_5',$_SESSION['beacon_sess_user_permission'])){ ?>
											<a href='AddRole?editId=<?php echo $value->admins_id; ?>' name='edit' title='Edit'><i class="fa fa-pencil"></i></a>
											<a href='ManageRoles?deleteId=<?php echo $value->admins_id; ?>'      class="delete_click" data-msg="Are you sure you want to delete this Technician?" data-clicktype="1"    name='delete' title='Delete'><i class="fa fa-trash-o"></i></a>
											<?php // } ?>
										</td>
									</tr>
													<?php }} } if($row==0){ ?>
									<tr>
										<td colspan="3" align="center">
											<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Technician found</div> 
										</td>
									</tr>
									<?php } ?>
								</table>
							</div>
						</div>
					</div>
					<!-- Technician END-->
					<?php } ?>
					
				</div><!-- /.box -->
			</div>
		</div><!-- /.row -->
	</section><!-- /.content -->
	
	
	
<?php commonFooter(); ?>
<script type="text/javascript">
$('.beacon-image-pop-up').fancybox({title:true});
// $(document).on('click', '#addRoles', function(){

	 // if ( $('#selectOrg').css('display') == 'none')
	 // {
		 // alert("Select Any Organization");
		// $("#selectOrg").css("display", "block"); 
	 // }
	 // else
	 // {
		// id=$('#SelectOrganization').val();
		// if(id=='')
		// {
		// alert("Select Any Organization");
		// }
		// else
		// {
		// window.location.href = "ManageRoles";
		// }
	 // }	
// });

$(document).on('change', '#SelectOrganization', function(){
	      
			id=$(this).val();  
			window.location.href = "ManageRoles?SelectOrganization="+id;  
		
	
	});

	
// $('.tabsection').click(function(){
	
	// $( ".blockSection" ).each(function() {
		// $(this).slideUp(function(){
		// if($(this).is(':hidden')){
				
			// }else{
				
				// $(this).addClass('active');
					
			// }
			
		
	
// });
// });

// $(this).next('.blockSection').addClass('active');
// });
// $('.tabsection').click(function(){
     // $('.tabsection').not(this).each(function(){		 
		 // $(this).next('.blockSection').css('display','none');
		 // $(this).child('.general_icon').removeClass('fa fa-angle-up');
		 // $(this).child('.general_icon').addClass(' fa fa-angle-down');       
     // });
    
// })

	

</script>
</html>