<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/BeaconController.php');
require_once('controllers/AdminController.php');
require_once('controllers/UserController.php');


$userObj		=  new UserController();
$beaconObj		=  new BeaconController();
$adminLoginObj  =  new AdminController();
admin_login_check();

commonHead();

$fields		= " id,OrganizationName ";
$condition	= " and Status = 1 ";
$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
	}
}

if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['roles_sess_organization_name']);
	unset($_SESSION['roles_sess_search_name']);
	unset($_SESSION['roles_sess_roles_status']);
	unset($_SESSION['roles_sess_roletype']);
	unset($_SESSION['select_org_id']);
	
}
//check login session is admin
$isAdmin=0;
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] ==0){
	$isAdmin=1;
}
if(isset($_SESSION['beacon_sess_beacon_type']) && $_SESSION['beacon_sess_beacon_type'] != '' || isset($_SESSION['beacon_sess_devices_location_limit']) && $_SESSION['beacon_sess_devices_location_limit'] != '' || isset($_SESSION['beacon_sess_beacon_status']) && $_SESSION['beacon_sess_beacon_status'] != '' || isset($_SESSION['beacon_sess_organization_name']) && $_SESSION['beacon_sess_organization_name'] != '' || isset($_SESSION['beacon_sess_devices_device_id']) && $_SESSION['beacon_sess_devices_device_id'] != '' || isset($_SESSION['beacon_sess_beacons_device_name']) && $_SESSION['beacon_sess_beacons_device_name'] != '' )
{	
	$searchClass	=	"display:none";
	$formSytle		=	"display:block";
	
}
if(isset($_POST['Search']) && $_POST['Search'] != '') {
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	
	if(isset($_POST['OrganizationName']))
		$_SESSION['roles_sess_organization_name']			= $_POST['OrganizationName'];
	if(isset($_POST['search_name']))
		$_SESSION['roles_sess_search_name']			= $_POST['search_name'];
	if(isset($_POST['Status']))
		$_SESSION['roles_sess_roles_status']				= $_POST['Status'];
	if(isset($_POST['RolesType']))
		$_SESSION['roles_sess_roletype']		= trim($_POST['RolesType']);
}
// unset($_SESSION['orderby']);
// unset($_SESSION['ordertype']);
// unset($_SESSION['curpage']);
// unset($_SESSION['select_org_id']);
setPagingControlValues('a.id',ADMIN_PER_PAGE_LIMIT);
$fields		= " *,a.id as admins_id,a.Status as admin_status ";
$condition=' ';

if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type']==0)
$condition	= " ";//and a.Status = 1 ";
else
$condition	= "  and a.fkOrganizationId = '".$_SESSION['beacon_sess_user_orgid']."'";
if(!isset($_POST['Status']))
$condition	.=	" and a.Status in (0,1)";
if(isset($_SESSION['roles_sess_search_name']) && $_SESSION['roles_sess_search_name'] != '')
$condition	.=	" AND (UserName LIKE '%".$_SESSION['roles_sess_search_name']."%' OR first_name LIKE '%".$_SESSION['roles_sess_search_name']."%' OR last_name LIKE '%".$_SESSION['roles_sess_search_name']."%')";
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] ==2 && isset($_SESSION['beacon_sess_user_permission']) && !in_array('1_3',$_SESSION['beacon_sess_user_permission'])) {
	$condition			.=	" AND a.IsSubAdmin in (1,3,4,5)";
}
$condition	.=	" and a.Status!=2 ";
$adminResult		= $adminLoginObj->getSubAdminDetails($fields,$condition);
$tot_rec 			= $adminLoginObj->getTotalRecordCount();

$param='';
$beaconCondition	=	1;
if(isset($_SESSION['beacon_sess_user_orgid']) && $_SESSION['beacon_sess_user_orgid'] != 0)
	$organizationId		=	$_SESSION['beacon_sess_user_orgid'];

$searchClass	=	"display:none";
$formSytle		=	"display:none";
if(isset($_GET['deleteId']) && $_GET['deleteId'] != '') {
	$condition			=	" id	= ".$_GET['deleteId'];
	$update_string 		= 	" Status = 2";
	$beaconListResult	= 	$adminLoginObj->updateSubadmin($update_string,$condition);
	header("location:Roles?msg=3");
}

if(isset($_GET['msg']) && $_GET['msg'] == 1) {
	$msg		= "Role added successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 2 ) {
	$msg		= "Role Updated successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 3 ) {
	$msg		= "Role Deleted successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}else if(isset($_GET['msg']) && $_GET['msg'] == 4 ) {
	$msg		= "You don't have permission to delete this Roles, since it have users";
	$class		= "alert-danger";
	$class_icon = "fa-warning";
	$display 	= "block";
}

	// if(isset($_GET["SelectOrganization"])){
		// unset($_SESSION['roles_sess_organization_name']);
		// unset($_SESSION['roles_sess_roles_status']);
		// unset($_SESSION['roles_sess_roletype']);
		// $select_org_id=$_GET["SelectOrganization"];
		// $_SESSION['select_org_id']=$select_org_id;	    	
   // }
    // if(isset($_SESSION['select_org_id'])&& $_SESSION['select_org_id']!=''){ 
	 // $fields		= " *,a.id as admins_id ";
	// if(isset($_SESSION['select_org_id']) && $_SESSION['select_org_id']!='')
	// $condition	= " and a.Status = 1 and fkOrganizationId= ".$_SESSION['select_org_id'];
	// if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type']!=0)
	// $condition	= " and a.Status = 1 and a.fkOrganizationId = '".$_SESSION['beacon_sess_user_orgid']."'";
	// $adminResult		= $adminLoginObj->getSubAdminDetails($fields,$condition);//raj (30-05-2019)
	// $tot_rec 			= $adminLoginObj->getTotalRecordCount();
	
   // }
   
 ?>

<body class="skin-blue">
	<?php top_header(); ?>	
<!-- Main content -->
	<section class="content">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary add-header">
				<h2><b>Roles <?php if(isset($_GET['orgId']) && $_GET['orgId'] != '') { echo isset($organizationArray[$_GET['orgId']])?' - '.$organizationArray[$_GET['orgId']]:''; }else if(isset($fkOrganizationId) && $fkOrganizationId!=''){ echo isset($organizationArray[$fkOrganizationId])?' - '.$organizationArray[$fkOrganizationId]:''; }?></b></h2>
					<?php if((isset($_GET['orgId']) && $_GET['orgId'] != '')) { ?>
						<div class="col-xs-12 add-btns">
							<a href="Organizations?cs=1" name="Back" id="Back" class="add-device" alt="Back" title="Back"> Back </a>
						</div>
					<?php } else if((isset($isAdmin) && $isAdmin == 1) || (isset($organizationId))) { ?>
					     <div class="col-xs-8 add-btns">
						 <?php if(isset($isAdmin) && $isAdmin == 1 && !isset($organizationId)){ ?>
						<!--<div class="col-sm-5 col-xs-12 form-group" style=" margin-top:20px;">	
                                          
                                           <span id="selectOrg" style="display:<?php if(isset($_SESSION['select_org_id'])||isset($_GET['SelectOrganization'])) echo "block"; else echo "none"; ?>">									   
											<select name="SelectOrganization" id="SelectOrganization" class="form-control" onchange="this.form.submit()">
												<option value=''>--select Organization--</option>
												<?php foreach($organizationArray as $key=>$value) { ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['select_org_id']) && $_SESSION['select_org_id'] != '' && ($_SESSION['select_org_id'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } ?>
											</select>
											</span>
											
										</div> -->
						 <?php } if((in_array('1_1',$_SESSION['beacon_sess_user_permission'])||(in_array('1_5',$_SESSION['beacon_sess_user_permission']) ) || in_array('all',$_SESSION['beacon_sess_user_permission']))){ ?>
						
							<a href="ManageRoles?cs=1" name="addRoles" <?php if($isAdmin==1) echo "id='addRoles'";?> class="add-device" alt="Add Roles" title="Add Roles"><i class="fa fa-plus"></i> ADD ROLE</a>
						 <?php } ?>
							<!--a href="ManageMajorLatlng?cs=1" name="addLocation" id="addLocation" class="add-device" alt="Add / Edit major" title="Add / Edit major"><i class="fa fa-plus"></i> Add / Edit major</a-->
						</div>
					<?php } ?>
				
							<form name="searchCategory" style="" id="searchCategory" action="Roles<?php echo isset($param)?$param:''; ?>" method="post">
								<div class="box box-primary box-padding report separator">
									<div class="box-body no-padding" >
										<?php if($isAdmin==1) { ?>
										<div class="col-sm-4 col-xs-12 form-group">
										  
											<label for="OrganizationName">Organization Name</label>
											<select name="OrganizationName" id="OrganizationName" class="form-control">
												<option value=''>--select--</option>
												<?php foreach($organizationArray as $key=>$value) { ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['roles_sess_organization_name']) && $_SESSION['roles_sess_organization_name'] != '' && ($_SESSION['roles_sess_organization_name'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } ?>
											</select>
										</div>
										<?php } ?>
										
										<div class="col-sm-4 col-xs-12 form-group">
											<label for="RolesType">Roles Type</label>
											<select name="RolesType" id="RolesType" class="form-control">
												<option value=''>--select--</option>
												<?php foreach($role_array as $key=>$value) { ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['roles_sess_roletype']) && $_SESSION['roles_sess_roletype'] != '' && ($_SESSION['roles_sess_roletype'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } ?>
											</select>
										</div>
										
										<div class="col-sm-2 col-xs-12 form-group ">
											<label for="Status">Status</label>
											<select name="Status" id="Status" class="form-control">
												<option value=''>--select--</option>
												<?php foreach($beacons_status_array as $key=>$value) {
												if($key != 2){ ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['roles_sess_roles_status']) && $_SESSION['roles_sess_roles_status'] != '' && ($_SESSION['roles_sess_roles_status'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } } ?>
											</select>
										</div>
										<div class="col-sm-4 col-xs-12 form-group">
											<label>Name</label>
											<input type="text" placeholder="First Name or Last Name or User Name" class="form-control" name="search_name" id="search_name"  value="<?php  if(isset($_SESSION['roles_sess_search_name']) && $_SESSION['roles_sess_search_name'] != '') echo stripslashes(htmlentities($_SESSION['roles_sess_search_name'])); ?>" >
										</div>
										
										
										
										
										
										<div class="col-sm-12 clear" align="center">
											<input type="submit" class="btn btn-success" name="Search" id="Search" value="Search">
										</div>
									</div>
								</div>
							</form>
						
					<div style="padding-top:15px;"class="col-xs-12 no-padding-right"> 
						<div class="col-xs-12 col-sm-9 ">
						</div>
						<?php if(isset($_SESSION['beacon_sess_user_id'])&&($_SESSION['beacon_sess_user_id']==1 || $_SESSION['beacon_sess_user_id'] ==0)) 	
						{							
						 if(isset($adminResult) && is_array($adminResult) && count($adminResult) > 0 ) {
						?>
						<div class="col-xs-12 col-sm-12 ">
							<a href="ExportRoles" class="btn  btn-success float-right">Export to excel</a>
						</div>
						<?php } } ?>
					</div>
					<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($adminResult) && is_array($adminResult) && count($adminResult) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of Roles &nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(isset($adminResult) && is_array($adminResult) && count($adminResult) > 0 ) {
									pagingControlLatest($tot_rec,'Roles'.$param); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>		
								<?php if($isAdmin==1) { ?>								
								<th width="10%" align="left" style="text-align:left;">Organization</th>		
								<?php } ?>								
								<th width="10%" align="left" style="text-align:left">Role</th>
							    <th width="15%" align="left" style="text-align:left;">First Name</th>
								<th width="15%" align="left" style="text-align:left;">Last Name</th>								
								<th width="15%" align="left" style="text-align:left;">User Name</th>
								<!--th width="15%" align="left" style="text-align:left;">Email Address</th-->
								<th width="5%" align="left" style="text-align:left;">Date Last Active</th>
								<!-- <th width="5%" align="left" style="text-align:left;">Bluetooth<br/>Sensor</th> -->								
								<th width="12%" align="left" style="text-align:center;">Action</th>
							</tr>
							<?php if(isset($adminResult) && is_array($adminResult) && count($adminResult) > 0 ) {
										foreach($adminResult as $key => $value) { 	
//print_r($value);										
							?>
							<tr id="test_id_<?php echo $value->admins_id;?>" <?php  if(isset($value->admin_status) && $value->admin_status != '' && $value->admin_status == '0') echo 'style="color:red;"'; ?> >
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>								
								<?php if($isAdmin==1) { ?>
								<td><?php if(isset($organizationArray[$value->fkOrganizationId])) echo ucfirst($organizationArray[$value->fkOrganizationId]); else echo '-'; ?></td>							
								<?php } ?>
								<td><?php if(isset($value->IsSubAdmin) && $value->IsSubAdmin != '') echo ucfirst($Role[$value->IsSubAdmin]); else echo '-'; ?></td>											
								<td style="word-break: break-all;"><?php if(isset($value->first_name) && $value->first_name != '') echo ucfirst($value->first_name); else echo '-';?></td>
								<td style="word-break: break-all;"><?php if(isset($value->last_name) && $value->last_name != '') echo ucfirst($value->last_name); else echo '-';?></td>
								<td style="word-break: break-all;"><a href='RolesDetails?viewId=<?php echo $value->admins_id; ?>' name='view' title='View'><?php if(isset($value->UserName) && $value->UserName != '') echo $value->UserName; else echo '-';?></a> </td>
								<!--td style="word-break: break-all;"><?php //if(isset($value->EmailAddress) && $value->EmailAddress != '') echo $value->EmailAddress; else echo '-';?> </td-->
								<td><?php if(isset($value->LastLoginDate) && $value->LastLoginDate != '' && $value->LastLoginDate != '0000-00-00 00:00:00' && $value->LastLoginDate != '1970-01-01 00:00:00'){
									$gmt_current_start_time = convertIntocheckinGmtSite($value->LastLoginDate);
									$date_created			=  displayConversationDateTimeForLog($gmt_current_start_time,$_SESSION['beacon_ses_from_timeZone']);
									dateSplitter($date_created); 
								} else echo "-";?></td>					
								<td class="action-icons" align="center">
									
									<a href='BeaconRoleTrack?viewId=<?php echo $value->admins_id; ?>&cs=1' name='view' title='View'><i class="fa fa-eye"></i></a>
									<?php  if(($value->admins_id!=$_SESSION['beacon_sess_user_id'] ) && (($isAdmin==1) || (in_array('all',$_SESSION['beacon_sess_user_permission'])) || ($value->IsSubAdmin==2  && in_array('1_4',$_SESSION['beacon_sess_user_permission'])) || ($value->IsSubAdmin!=2 && $value->IsSubAdmin!=1 && in_array('1_5',$_SESSION['beacon_sess_user_permission'])))){ ?>
									<?php  //if(($isAdmin==1) || ($value->IsSubAdmin!=2 && (in_array('2_2',$_SESSION['beacon_sess_user_permission']) || in_array('1_5',$_SESSION['beacon_sess_user_permission']) || in_array('all',$_SESSION['beacon_sess_user_permission'])))){ ?>
									<a href='AddRole?back=1&editId=<?php echo $value->admins_id; ?>' name='edit' title='Edit'><i class="fa fa-pencil"></i></a>
									<?php }   if(($value->admins_id!=$_SESSION['beacon_sess_user_id'] ) && (($isAdmin==1) || (in_array('all',$_SESSION['beacon_sess_user_permission'])) || ($value->IsSubAdmin==2 && in_array('1_4',$_SESSION['beacon_sess_user_permission'])) || ($value->IsSubAdmin!=2 && $value->IsSubAdmin!=1 && in_array('1_5',$_SESSION['beacon_sess_user_permission'])))){ //if( ($isAdmin==1) || ($value->IsSubAdmin!=2 && $_SESSION['beacon_sess_user_orgid']!=0 && ((in_array('1_4',$_SESSION['beacon_sess_user_permission']) && $value->IsSubAdmin!=1 && $value->admins_id!=$_SESSION['beacon_sess_user_id']) || in_array('1_5',$_SESSION['beacon_sess_user_permission']) || (in_array('all',$_SESSION['beacon_sess_user_permission']) && $value->admins_id!=$_SESSION['beacon_sess_user_id'] ))))  { ?>
									<a href='Roles?deleteId=<?php echo $value->admins_id; ?>'  class="delete_click" data-msg="Are you sure you want to delete this Roles?" data-clicktype="1" name='delete' title='Delete'><i class="fa fa-trash-o"></i></a>
									<?php } ?>
								</td>
							</tr>
							<?php } } else { ?>
							<tr>
								<td colspan="12" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Roles found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php commonfooter(); ?>
<script type="text/javascript">
$('.beacon-image-pop-up').fancybox({title:true});
// $(document).on('click', '#addRoles', function(){

	 // if ( $('#selectOrg').css('display') == 'none')
	 // {
		 // alert("Select Any Organization");
		// $("#selectOrg").css("display", "block"); 
	 // }
	 // else
	 // {
		// id=$('#SelectOrganization').val();
		// if(id=='')
		// {
		// alert("Select Any Organization");
		// }
		// else
		// {
		// window.location.href = "ManageRoles";
		// }
	 // }	
// });

// $(document).on('change', '#SelectOrganization', function(){
	      
			// id=$(this).val();  
			// window.location.href = "Roles?SelectOrganization="+id;  
		
	
	// });


</script>
</html>