<?php 
require_once('includes/CommonIncludes.php');
admin_login_check();
commonHead();
require_once('controllers/UserController.php');
$userObj	   		=   new UserController();
require_once('controllers/AdminController.php');
$adminLoginObj   	=   new AdminController();
$role_array=array(
		0=>'K2AMaster',
		1=>'Master',
		2=>'Admin',
		3=>'Editor',
		4=>'Analyst',
		5=>'Technician'
		
		);
if(isset($_GET['viewId']) && $_GET['viewId'] != '' ){
	/* TO get subadmin details */
	$condition       		= 	"AND id = ".$_GET['viewId'];
	$fields					=	'*';
	$subAdminsResult		= 	$adminLoginObj->selectSubAdmins($fields,$condition);
	/* to get organization result */
	$condition				=	" id	=	'".$subAdminsResult[0]->fkOrganizationId."'";
	$fields					=	" * ";
	$orgResult				=	$userObj->getOrganization($fields,$condition);	
	if(isset($subAdminsResult) && is_array($subAdminsResult) && count($subAdminsResult) > 0){
		$UserName 			= 	$subAdminsResult[0]->UserName;
		$Email 				= 	$subAdminsResult[0]->EmailAddress;
		$FirstName 		= 	$subAdminsResult[0]->first_name;
		$LastName 			= 	$subAdminsResult[0]->last_name;
		$Status             =   $subAdminsResult[0]->Status; 
		$role_id            =   $subAdminsResult[0]->IsSubAdmin;
        $role_name          =   $role_array[$role_id];		
	}
	if(isset($orgResult) && count($orgResult)>0) {
		$org_id		=	$orgResult[0]->id;
		$organizationName   =   $orgResult[0]->OrganizationName;
	}
	
}

?>
<body class="skin-blue">
	<?php top_header(); ?>
	 <!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="col-md-12 view-page"> 
				<div class="box box-primary box-padding"> 
					<h2>Roles Details</h2>
					<div class="box-padding">
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Organization Name</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($organizationName) && $organizationName != '') echo $organizationName; else echo '-'; ?>
							</div>
						</div>	
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Name</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($FirstName) && $FirstName != '') echo $FirstName; else echo '-'; echo "  ";?>
								
								<?php if(isset($LastName) && $LastName != '') echo $LastName;  else echo '-'; ?>
							</div>
						</div>	
						
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Email</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($Email) && $Email != '' ) echo $Email;  else echo '-'; ?>
							</div>	
						</div>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Role</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($role_name) && $role_name != '' ) echo $role_name; ?>
							</div>
						</div>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Status</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($Status) && $Status != '' ) echo $beacons_status_array[$Status]; ?>
							</div>
						</div>
						
						
						
						
					</div>
					<div class="box-footer col-sm-12" align="center">
						<!--<a href="ManageCustomers?editId=<?php echo $_GET['viewId'];?>" title="Edit" alt="Edit" class="btn btn-success">Edit</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; -->
						<a href="Roles" class="btn btn-default" name="Back" id="Back" title="Back" alt="Back" >Back </a>
					</div>
				</div>
				</div>		
			</div>		
		</div><!-- /.row -->
	</section><!-- /.content -->				
<?php commonFooter(); ?>
</html>
<script type="text/javascript">
	$('.beacon-image-pop-up').fancybox({title:true});
	$(document).ready(function() {
		
	});
</script>