<?php 
require_once('includes/CommonIncludes.php');
admin_login_check();
commonHead();
require_once('controllers/UserController.php');
$userObj    =   new UserController();
require_once('controllers/BeaconController.php');
$beaconObj	=   new BeaconController();

if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2)//user 
	header("location:Devices?cs=1");
	
$fieldNameArr = $sampleDataArr = $requiredArr = $explanationArr = array();
if(isset($_GET['viewId']) && $_GET['viewId'] != '' ){
	$condition       = " id = ".$_GET['viewId'];
	$fields			 = " * ";
	$userDetails  	= $userObj->selectUserDetails($fields,$condition);
	if(isset($userDetails) && is_array($userDetails) && count($userDetails) > 0) {
		$organization	= $userDetails[0]->fkOrganizationId;
		$FirstName		= $userDetails[0]->FirstName;
		//$LastName		= $userDetails[0]->LastName;
		$Email			= $userDetails[0]->Email;
		$Status			= $userDetails[0]->Status;
		$UserImage		= $userDetails[0]->Photo;
		$Beacons		= $userDetails[0]->UserBeacons;
		
		if(isset($organization) && $organization != '') {
			$fields		= " OrganizationName ";
			$condition	= " and Status = 1 and id = ".$organization;

			$organizationResult		= $userObj->selectOrganizations($fields,$condition);
			$organizationName		= $organizationResult[0]->OrganizationName;
		}
		
		$beaconListArray	=	array();
		if(isset($Beacons) && $Beacons != '') {
			$fields		=	"Description,BeaconType";
			$condition	=	"Status = 1 and id in (".$Beacons.") ORDER BY BeaconType asc, Description asc";
			
			$beaconList	=	$beaconObj->selectBeaconDetails($fields,$condition);
			if(isset($beaconList) && !empty($beaconList)) {
				foreach($beaconList as $beKey => $beVal) {
					$beaconListArray[$beVal->BeaconType][]	=	$beVal->Description;
				}
			}
		}
		
		$user_image_path = $user_original_image_path = BEACON_NO_IMAGE_PATH;
		$image = $UserImage;
		if(isset($image) && $image != ''){
			$user_image = $image;
			if(SERVER){
				if(image_exists(1,$user_image))
					$user_original_image_path = USER_IMAGE_PATH.$user_image;
				if(image_exists(2,$user_image))
					$user_image_path 			= USER_THUMB_IMAGE_PATH.$user_image;
			}
			else{
				if(file_exists(USER_IMAGE_PATH_REL.$user_image))
					$user_original_image_path = USER_IMAGE_PATH.$user_image;
				if(file_exists(USER_THUMB_IMAGE_PATH_REL.$user_image))
					$user_image_path = USER_THUMB_IMAGE_PATH.$user_image;
			}
			
		}
	}
}

?>
<body class="skin-blue">
	<?php top_header(); ?>
	 <!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="col-md-12 view-page"> 
				<div class="box box-primary box-padding"> 
					<h2>Store User Details</h2>
					<div class="box-padding">
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Organization Name</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($organizationName) && $organizationName != '') echo $organizationName; else echo '-'; ?>
							</div>
						</div>	
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Name</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($FirstName) && $FirstName != '') echo $FirstName; else echo '-'; ?>
							</div>
						</div>	
						<!-- <div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Last Name</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($LastName) && $LastName != '') echo $LastName;  else echo '-'; ?>
							</div>
						</div> -->
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Email</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($Email) && $Email != '' ) echo $Email;  else echo '-'; ?>
							</div>
							
						</div>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Status</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<?php if(isset($Status) && $Status != '' ) echo $beacons_status_array[$Status]; ?>
							</div>
						</div>
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Image</label>
							<div  class="col-sm-7 col-xs-7  col-md-8">
								<a href="<?php if(isset($user_original_image_path) && $user_original_image_path != BEACON_NO_IMAGE_PATH ) echo $user_original_image_path; else echo "javascript:void(0)"; ?>" <?php if($user_original_image_path !=BEACON_NO_IMAGE_PATH ) { ?> class="beacon-image-pop-up" <?php } ?> > <img width="50" src="<?php echo $user_image_path; ?>" /></a>
							</div>
						</div>	
						<div class="form-group col-sm-6 row">
							<label class=" col-sm-5 col-xs-5 col-md-4">Beacons</label>
							<div  class="col-sm-7 col-xs-7 view-chk-beacon col-md-8">
								<?php if(isset($beaconListArray) && !empty($beaconListArray)) {
										foreach($beaconListArray as $bKey => $bVal) { 
											if($bKey == 1) { ?>
											<div><label>IBeacons</label></div>
											<?php } else if($bKey == 2) { ?>
											<br/><div><label>Virtual Beacons</label></div>
											<?php } else if($bKey == 3) { ?>
											<br/><div><label>Traffic Beacons</label></div>
											<?php } else if($bKey == 4) { ?>
											<br/><div><label>Open Door Beacons</label></div>
											<?php } 
												foreach($bVal as $becKey => $beVal) {
													echo '<span>'.$beVal.'</span>';
											}
										}
									} else {
										echo '-';
									}
								?>
							</div>
						</div>
					</div>
					<div class="box-footer col-sm-12" align="center">
						<!--<a href="ManageCustomers?editId=<?php echo $_GET['viewId'];?>" title="Edit" alt="Edit" class="btn btn-success">Edit</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; -->
						<a href="Users" class="btn btn-default" name="Back" id="Back" title="Back" alt="Back" >Back </a>
					</div>
				</div>
				</div>		
			</div>		
		</div><!-- /.row -->
	</section><!-- /.content -->				
<?php commonFooter(); ?>
</html>
<script type="text/javascript">
	$('.beacon-image-pop-up').fancybox({title:true});
	$(document).ready(function() {
		
	});
</script>