<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/UserController.php');
require_once('controllers/AdminController.php');
require_once('controllers/BeaconController.php');
require_once('controllers/DeviceController.php');
if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2)//user 
	header("location:Devices?cs=1");

$userObj		=  new UserController();
$adminLoginObj  =  new AdminController();
$beaconObj		=  new BeaconController();
$deviceObj		=  new DeviceController();
admin_login_check();

if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 3) {//sub admin 
	// $userType			=	3;	
	$isSubAdmin			=	1;
	$fkAdminsId			=	$_SESSION['beacon_sub_admin_user_id'];
	$OrganizationId		=	$_SESSION['beacon_sub_admin_organizations'];
}


$fields		= " * ";
$condition	= " and Status = 1 ";

if(isset($OrganizationId) && isset($fkAdminsId)) {
	$condition	.=	" AND id in (".$OrganizationId.")";
}

$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
	}
}

if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['beacon_sess_organization_name']);
	unset($_SESSION['beacon_sess_user_user_name']);
	unset($_SESSION['beacon_sess_user_email']);
	unset($_SESSION['beacon_sess_user_status']);
}

if(isset($_GET['deleteId']) && $_GET['deleteId'] != '') {
	$condition			=	" id	=".$_GET['deleteId'];
	$fields		 		= 	" Status = 2";
	$customerListResult	= 	$userObj->updateUserDetails($fields,$condition);
	
	$field		=	" Status 	= 2";
	$condition	=	" fkUsersId	=	'".$_GET['deleteId']."'";
	$beaconObj->updateBeaconDetails($field,$condition);
	
	$field		=	" Status = 3";
	$condition	=	" fkUsersId	=	'".$_GET['deleteId']."'";
	$deviceObj->updateDeviceDetails($field,$condition);
	header("location:Users?msg=3");
}

if(isset($_POST['Search']) && $_POST['Search'] != '') {
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	if(isset($_POST['OrganizationName']))
		$_SESSION['beacon_sess_organization_name']		= $_POST['OrganizationName'];
	if(isset($_POST['UserName']))
		$_SESSION['beacon_sess_user_user_name']			= trim($_POST['UserName']);
	if(isset($_POST['Email']))
		$_SESSION['beacon_sess_user_email']				= trim($_POST['Email']);
	if(isset($_POST['Status']))
		$_SESSION['beacon_sess_user_status']			= $_POST['Status'];
}


setPagingControlValues('id',ADMIN_PER_PAGE_LIMIT);
$fields    	 = " u.*, count(d.id) as deviceCount ";
$condition 	 = " and u.Status in (0,1) ";
if(isset($OrganizationId) && isset($fkAdminsId)) {
	$condition	.=	" AND u.fkOrganizationId in (".$OrganizationId.")";
}

$userListResult  		= $userObj->getUserList($fields,$condition);
$tot_rec 				= $userObj->getTotalRecordCount();
if($tot_rec!=0 && !is_array($userListResult)) {
	$_SESSION['curpage'] = 1;
	$userListResult	 	 = $userObj->getUserList($fields,$condition);
}

 if(isset($_GET['msg']) && $_GET['msg'] == 2 ) {
	$msg		= "User updated successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 3 ) {
	$msg		= "User deleted successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
/* echo '<pre>';print_r($customerListResult);echo '</pre>';
echo '<br>==============>'.$tot_rec;
 */
commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>	
<!-- Main content -->
	<section class="content">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary">
				<h2>Regular User List</h2>
				<form name="searchCategory" action="Users" method="post">
						<div class="box box-primary box-padding report separator">
							<div class="box-body no-padding" >
								<?php if(!isset($isSubAdmin)) { ?>
								<div class="col-sm-3 col-xs-12 form-group">
									<label for="OrganizationName">Organization Name</label>
									<select name="OrganizationName" id="OrganizationName" class="form-control">
										<option value=''>--select--</option>
										<?php foreach($organizationArray as $key=>$value) { ?>
										<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['beacon_sess_organization_name']) && $_SESSION['beacon_sess_organization_name'] != '' && ($_SESSION['beacon_sess_organization_name'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
										<?php } ?>
									</select>
								</div>
								<?php } ?>
								<div class="col-sm-3 col-xs-12 form-group">
									<label>Name</label>
									<input type="text" placeholder="Name" class="form-control" name="UserName" id="UserName"  value="<?php  if(isset($_SESSION['beacon_sess_user_user_name']) && $_SESSION['beacon_sess_user_user_name'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_user_user_name'])); ?>" >
								</div>
								<div class="col-sm-3 col-xs-12 form-group">
									<label>Email</label>
									<input type="text" placeholder="Email" class="form-control" name="Email" id="Email"  value="<?php if(isset($_SESSION['beacon_sess_user_email']) && $_SESSION['beacon_sess_user_email'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_user_email']));  ?>" >
								</div>
								<div class="col-sm-3 col-xs-12 form-group">
									<label for="Status">Status</label>
									<select name="Status" id="Status" class="form-control">
										<option value=''>--select--</option>
										<?php foreach($beacons_status_array as $key=>$value) {
										if($key != 2){ ?>
										<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['beacon_sess_user_status']) && $_SESSION['beacon_sess_user_status'] != '' && ($_SESSION['beacon_sess_user_status'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
										<?php } } ?>
									</select>
								</div>
								
								<div class="col-sm-12 clear" align="center">
									<input type="submit" class="btn btn-success" name="Search" id="Search" value="Search">
								</div>
							</div>
						</div>
					</form>
				
				
				<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($userListResult) && is_array($userListResult) && count($userListResult) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of Location User(s)&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(is_array($userListResult) && count($userListResult) > 0 ) {
									pagingControlLatest($tot_rec,'Users'); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>
								<th width="15%" align="left" style="text-align:left;">Organization Name</th>
								<th width="15%" align="left" style="text-align:left;"><?php echo sortColumn('FirstName','Name'); ?></th>
								<th width="15%" align="left" style="text-align:left;"><?php echo sortColumn('Email','Email'); ?></th>
								<th width="10%" align="left" style="text-align:left">Image</th>
								<th width="8%" align="left" style="text-align:left;">Status</th>
								<th width="15%" align="left" style="text-align:center;">Hardware Identifiers<br>Count</th>
								<th width="10%" align="left" style="text-align:left;">Action</th>
							</tr>
							<?php if(isset($userListResult) && is_array($userListResult) && count($userListResult) > 0 ) {
										foreach($userListResult as $key => $value) { 
											
											$user_image_path = $user_original_image_path = BEACON_NO_IMAGE_PATH;
											$image = $value->Photo;
											if(isset($image) && $image != ''){
												$user_image = $image;
												if(SERVER){
													if(image_exists(1,$user_image))
														$user_original_image_path = USER_IMAGE_PATH.$user_image;
													if(image_exists(2,$user_image))
														$user_image_path 			= USER_THUMB_IMAGE_PATH.$user_image;
												}
												else{
													if(file_exists(USER_IMAGE_PATH_REL.$user_image))
														$user_original_image_path = USER_IMAGE_PATH.$user_image;
													if(file_exists(USER_THUMB_IMAGE_PATH_REL.$user_image))
														$user_image_path = USER_THUMB_IMAGE_PATH.$user_image;
												}
												
											}
							?>
							<tr id="test_id_<?php echo $value->id;?>">
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<td><?php if(isset($organizationArray[$value->fkOrganizationId])) echo $organizationArray[$value->fkOrganizationId]; else echo '-';?></td>
								<td><?php if(isset($value->FirstName) && $value->FirstName != '') echo $value->FirstName; else echo '-';?></td>
								<td><?php if(isset($value->Email) && $value->Email != '') echo $value->Email; else echo '-'; ?></td>
								<td><a href="<?php if(isset($user_original_image_path) && $user_original_image_path != BEACON_NO_IMAGE_PATH ) echo $user_original_image_path; else echo "javascript:void(0)"; ?>" <?php if($user_original_image_path !=BEACON_NO_IMAGE_PATH ) { ?> class="beacon-image-pop-up" <?php } ?> > <img width="50" src="<?php echo $user_image_path; ?>" /></a></td>
								<td><?php if(isset($value->Status) && $value->Status != '') echo $beacons_status_array[$value->Status]; else echo '-'; ?></td>
								<td style="text-align:center;"><?php if(isset($value->deviceCount) && $value->deviceCount != '' && $value->deviceCount > 0) { ?>
								<a href="Devices?user=<?php echo $value->id; ?>&cs=1" name='beaconIdentifierLink'><?php echo $value->deviceCount ?></a>
								<?php }else echo '-'; ?></td>
								<td class="action-icons" align="center">
									<a href='UserDetails?viewId=<?php echo $value->id; ?>' name='view' title='View'><i class="fa fa-eye"></i></a>
									<a href='ManageUsers?editId=<?php echo $value->id; ?>' name='edit' title='Edit'><i class="fa fa-pencil"></i></a>
									<a href='Users?deleteId=<?php echo $value->id; ?>'   class="delete_click" data-msg="Are you sure you want to delete this User?" data-clicktype="1"  name='deleteUser' title='Delete'><i class="fa fa-trash-o"></i></a>
								</td>
							<?php } } else { ?>
							<tr>
								<td colspan="9" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Users found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php commonfooter(); ?>
<script type="text/javascript">
$('.beacon-image-pop-up').fancybox({title:true});
</script>
</html>